import { createContext } from 'react';

/**
 * @typedef {{
 *  uri: string,
 *  label: string,
 * }} Crumb
 *
 * @typedef {{
 *  crumbs: Crumb[],
 *  deferredCrumbIds: string[],
 *  register: (...args[]) => void,
 *  unregister: (...args[]) => void,
 *  deferCrumb: (...args[]) => void,
 *  resolveCrumb: (...args[]) => void,
 * }} BreadcrumbsContextType
 */

/**
 * @type {BreadcrumbsContextType} defaultContext
 */
var defaultContext = {
  crumbs: [],
  deferredCrumbIds: [],
  register: function register() {},
  unregister: function unregister() {},
  deferCrumb: function deferCrumb() {},
  resolveCrumb: function resolveCrumb() {}
};

/**
 * @type {React.Context<BreadcrumbsContextType>} BreadcrumbsContext
 */
var BreadcrumbsContext = /*#__PURE__*/createContext(defaultContext);
var BreadcrumbsContext$1 = BreadcrumbsContext;

export { BreadcrumbsContext$1 as default };
//# sourceMappingURL=BreadcrumbsContext.js.map
