import PropTypes from 'prop-types';
import { Link } from 'react-router-dom';
import '../Buttons/index.js';
import DropdownMenu from '../Menus/DropdownMenu_DEPRECATED.js';
import { Menu, MenuLink } from '@reach/menu-button';
import { jsx, jsxs } from 'react/jsx-runtime';
import DropdownButton from '../Buttons/DropdownButton_DEPRECATED.js';

var BreadcrumbsDropdown = function BreadcrumbsDropdown(_ref) {
  var ariaLabel = _ref.ariaLabel,
    crumbs = _ref.crumbs;
  return /*#__PURE__*/jsx("li", {
    className: "breadcrumb-item inline-block after:mx-2 after:my-0",
    children: /*#__PURE__*/jsxs(Menu, {
      children: [/*#__PURE__*/jsx(DropdownButton, {
        "aria-label": ariaLabel,
        className: "breadcrumb-dropdown",
        "data-testid": "breadcrumb-dropdown-button",
        type: "subtle",
        children: "..."
      }), /*#__PURE__*/jsx(DropdownMenu, {
        children: crumbs.map(function (crumb) {
          return /*#__PURE__*/jsx(MenuLink, {
            as: Link,
            to: crumb.uri,
            children: crumb.label
          }, "breadcrumb-dropdown-".concat(crumb.label));
        })
      })]
    })
  });
};
BreadcrumbsDropdown.propTypes = {
  ariaLabel: PropTypes.string.isRequired,
  crumbs: PropTypes.arrayOf(PropTypes.shape({
    label: PropTypes.string.isRequired,
    uri: PropTypes.string.isRequired
  })).isRequired
};
var BreadcrumbsDropdown$1 = BreadcrumbsDropdown;

export { BreadcrumbsDropdown$1 as default };
//# sourceMappingURL=BreadcrumbsDropdown.js.map
