import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import ButtonBase from './ButtonBase.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles = {
  danger: 'button-danger',
  primary: 'button-primary',
  'primary-alternate': 'button-primary-alternate',
  secondary: 'button-secondary',
  subtle: 'button-subtle',
  tertiary: 'button-tertiary',
  warning: 'button-warning'
};
var Button = function Button(_ref) {
  var children = _ref.children,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(ButtonBase, _objectSpread(_objectSpread({
    className: typeStyles[type] || ''
  }, rest), {}, {
    children: children
  }));
};
Button.defaultProps = {
  disabled: false,
  isLoading: false,
  isSubmit: false,
  type: 'secondary'
};
Button.propTypes = {
  children: PropTypes.node.isRequired,
  disabled: PropTypes.bool,
  isLoading: PropTypes.bool,
  isSubmit: PropTypes.bool,
  type: PropTypes.oneOf(['danger', 'primary', 'primary-alternate', 'secondary', 'subtle', 'tertiary', 'warning'])
};
var Button$1 = Button;

export { Button$1 as default };
//# sourceMappingURL=Button.js.map
