import { faTimes } from '@fortawesome/pro-solid-svg-icons';
import PropTypes from 'prop-types';
import Icon from '../Icons/Icon.js';
import ButtonBase from './ButtonBase.js';
import { jsx } from 'react/jsx-runtime';

var closeButtonStyles = {
  danger: 'text-red-4 hover:text-red-4',
  "default": 'text-gray-4 close-button-hover-default',
  info: 'text-blue-4 hover:text-blue-4',
  pantheor: 'text-purple-4 hover:text-purple-4',
  success: 'text-green-4 hover:text-green-4',
  warning: 'text-orange-4 hover:text-orange-4'
};
var CloseButton = function CloseButton(_ref) {
  var callback = _ref.callback,
    className = _ref.className,
    type = _ref.type;
  return /*#__PURE__*/jsx(ButtonBase, {
    "aria-label": "Close",
    className: "close-button ".concat(className || '', " ").concat(closeButtonStyles[type] || closeButtonStyles["default"]),
    onClick: callback,
    children: /*#__PURE__*/jsx(Icon, {
      icon: faTimes
    })
  });
};
CloseButton.defaultProps = {
  className: '',
  type: 'default'
};
CloseButton.propTypes = {
  callback: PropTypes.func.isRequired,
  className: PropTypes.string,
  type: PropTypes.string
};
var CloseButton$1 = CloseButton;

export { CloseButton$1 as default };
//# sourceMappingURL=CloseButton.js.map
