import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faSpinnerThird, faChevronDown } from '@fortawesome/pro-solid-svg-icons';
import { MenuButton } from '@reach/menu-button';
import '@reach/menu-button/styles.css';
import PropTypes from 'prop-types';
import Icon from '../Icons/Icon.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "disabled", "isLoading", "size", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var sizeStyles = {
  small: 'button-small',
  "default": ''
};
var typeStyles = {
  primary: 'button-primary',
  secondary: 'button-secondary',
  subtle: 'button-subtle',
  tertiary: 'button-tertiary'
};
var DropdownButton = function DropdownButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    isLoading = _ref.isLoading,
    size = _ref.size,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  var icon = isLoading ? faSpinnerThird : faChevronDown;
  return /*#__PURE__*/jsxs(MenuButton, _objectSpread(_objectSpread({
    className: "".concat(typeStyles[type] || '', " ").concat(sizeStyles[size] || ''),
    disabled: disabled || isLoading
  }, rest), {}, {
    children: [children, " ", /*#__PURE__*/jsx(Icon, {
      "aria-hidden": true,
      icon: icon,
      spin: isLoading
    })]
  }));
};
DropdownButton.defaultProps = {
  disabled: false,
  isLoading: false,
  size: 'default'
};
DropdownButton.propTypes = {
  children: PropTypes.node.isRequired,
  /**
   * Whether the button is in a disabled state or not
   */
  disabled: PropTypes.bool,
  /**
   * Whether the button is in a loading state or not
   */
  isLoading: PropTypes.bool,
  /**
   * Size of the button
   */
  size: PropTypes.oneOf(['default', 'small']),
  /**
   * Variant of the button
   */
  type: PropTypes.oneOf(['primary', 'secondary', 'subtle', 'tertiary']).isRequired
};
var DropdownButton$1 = DropdownButton;

export { DropdownButton$1 as default, sizeStyles };
//# sourceMappingURL=DropdownButton_DEPRECATED.js.map
