import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faChevronDown } from '@fortawesome/pro-solid-svg-icons';
import { MenuButton } from '@reach/menu-button';
import '@reach/menu-button/styles.css';
import PropTypes from 'prop-types';
import Avatar, { AvatarTeam } from '../Avatars/Avatar.js';
import Icon from '../Icons/Icon.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["ariaLabel", "children", "disabled", "imgSrc", "imgAltText", "isPersonal"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var GlobalPrimaryContextButton = function GlobalPrimaryContextButton(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    disabled = _ref.disabled,
    imgSrc = _ref.imgSrc,
    imgAltText = _ref.imgAltText,
    isPersonal = _ref.isPersonal,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxs(MenuButton, _objectSpread(_objectSpread({
    "aria-label": ariaLabel,
    className: "button-subtle",
    disabled: disabled
  }, rest), {}, {
    children: [/*#__PURE__*/jsxs("div", {
      className: "relative mb-1 h-10",
      children: [isPersonal ? /*#__PURE__*/jsx(Avatar, {
        imgAltText: imgAltText,
        imgSrc: imgSrc,
        size: "xlarge"
      }) : /*#__PURE__*/jsx(AvatarTeam, {
        imgAltText: imgAltText,
        imgSrc: imgSrc,
        size: "xlarge"
      }), /*#__PURE__*/jsx(Icon, {
        "aria-hidden": true,
        className: "absolute right-2 top-1/2 transform -translate-y-1/2",
        icon: faChevronDown
      })]
    }), children]
  }));
};
GlobalPrimaryContextButton.defaultProps = {
  disabled: false,
  imgAltText: '',
  imgSrc: '',
  isPersonal: false
};
GlobalPrimaryContextButton.propTypes = {
  /**
   * ARIA label for button
   */
  ariaLabel: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  /**
   * The disabled state of the button
   */
  disabled: PropTypes.bool,
  /**
   * Alternative text for the icon/avatar
   */
  imgAltText: PropTypes.string,
  /**
   * Image or icon to use other than the default team icon
   */
  imgSrc: PropTypes.string,
  /**
   * Set whether to use a personal avatar image or icon
   */
  isPersonal: PropTypes.bool
};
var GlobalPrimaryContextButton$1 = GlobalPrimaryContextButton;

export { GlobalPrimaryContextButton$1 as default };
//# sourceMappingURL=GlobalPrimaryContextButton_DEPRECATED.js.map
