import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faChevronDown } from '@fortawesome/pro-solid-svg-icons';
import { MenuButton } from '@reach/menu-button';
import '@reach/menu-button/styles.css';
import PropTypes from 'prop-types';
import { useMatch } from 'react-router-dom';
import { ACTIVE_STATE_CLASS_NAME } from '../consts/index.js';
import { FAIcon } from '../lib/customPropTypes.js';
import Icon from '../Icons/Icon.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "disabled", "icon", "path"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var GlobalPrimaryDropdownButton = function GlobalPrimaryDropdownButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    icon = _ref.icon,
    path = _ref.path,
    rest = _objectWithoutProperties(_ref, _excluded);
  var activeMatch = useMatch(path);
  var className = activeMatch ? "button-subtle ".concat(ACTIVE_STATE_CLASS_NAME) : 'button-subtle';
  return /*#__PURE__*/jsxs(MenuButton, _objectSpread(_objectSpread({
    className: className,
    disabled: disabled
  }, rest), {}, {
    children: [/*#__PURE__*/jsxs("div", {
      className: "relative mb-1",
      children: [/*#__PURE__*/jsx(Icon, {
        icon: icon,
        size: "lg"
      }), /*#__PURE__*/jsx(Icon, {
        "aria-hidden": true,
        className: "absolute right-1/2 top-1/2 transform translate-x-6 -translate-y-1/2",
        icon: faChevronDown
      })]
    }), /*#__PURE__*/jsx("div", {
      className: "mt-1",
      children: children
    })]
  }));
};
GlobalPrimaryDropdownButton.defaultProps = {
  disabled: false
};
GlobalPrimaryDropdownButton.propTypes = {
  children: PropTypes.node.isRequired,
  /**
   * The disabled state of the button
   */
  disabled: PropTypes.bool,
  /**
   * Icon to use for the button
   */
  icon: FAIcon.isRequired,
  /**
   * Path scope (i.e.: 'support/*')
   */
  path: PropTypes.string.isRequired
};
var GlobalPrimaryDropdownButton$1 = GlobalPrimaryDropdownButton;

export { GlobalPrimaryDropdownButton$1 as default };
//# sourceMappingURL=GlobalPrimaryDropdownButton_DEPRECATED.js.map
