import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import ButtonBase from './ButtonBase.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "disabled", "href", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles = {
  primary: 'link-primary',
  secondary: 'link-secondary',
  subtle: 'link-subtle',
  tertiary: 'link-tertiary',
  github: 'link-github',
  gitlab: 'link-gitlab',
  bitbucket: 'link-bitbucket'
};
var LinkButton = function LinkButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    href = _ref.href,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  var style = typeStyles[type] || '';
  return disabled ? /*#__PURE__*/jsx(ButtonBase, _objectSpread(_objectSpread({
    className: style,
    disabled: true,
    onClick: function onClick() {}
  }, rest), {}, {
    children: children
  })) : /*#__PURE__*/jsx("a", _objectSpread(_objectSpread({
    className: style,
    href: href
  }, rest), {}, {
    children: children
  }));
};
LinkButton.propTypes = {
  children: PropTypes.node.isRequired,
  disabled: PropTypes.bool,
  href: PropTypes.string.isRequired,
  type: PropTypes.oneOf(Object.keys(typeStyles)).isRequired
};
LinkButton.defaultProps = {
  disabled: false
};
var LinkButton$1 = LinkButton;

export { LinkButton$1 as default };
//# sourceMappingURL=LinkButton.js.map
