import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { Link } from 'react-router-dom';
import ButtonBase from './ButtonBase.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "disabled", "to", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles = {
  primary: 'link-primary',
  secondary: 'link-secondary',
  subtle: 'link-subtle',
  tertiary: 'link-tertiary'
};
var RouterLinkButton = function RouterLinkButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    to = _ref.to,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  var style = typeStyles[type] || '';
  return disabled ? /*#__PURE__*/jsx(ButtonBase, _objectSpread(_objectSpread({
    className: style,
    disabled: true,
    onClick: function onClick() {}
  }, rest), {}, {
    children: children
  })) : /*#__PURE__*/jsx(Link, _objectSpread(_objectSpread({
    className: style,
    to: to
  }, rest), {}, {
    children: children
  }));
};
RouterLinkButton.propTypes = {
  children: PropTypes.node.isRequired,
  disabled: PropTypes.bool,
  to: PropTypes.string.isRequired,
  type: PropTypes.oneOf(['primary', 'secondary', 'subtle', 'tertiary']).isRequired
};
RouterLinkButton.defaultProps = {
  disabled: false
};
var RouterLinkButton$1 = RouterLinkButton;

export { RouterLinkButton$1 as default };
//# sourceMappingURL=RouterLinkButton.js.map
