import PropTypes from 'prop-types';
import ExpandAnimation from '../Animation/ExpandAnimation.js';
import { jsx } from 'react/jsx-runtime';

var ExpandableContent = function ExpandableContent(_ref) {
  var ariaLabelledBy = _ref.ariaLabelledBy,
    children = _ref.children,
    isShown = _ref.isShown;
  return /*#__PURE__*/jsx(ExpandAnimation, {
    "aria-hidden": !isShown,
    "aria-labelledby": ariaLabelledBy,
    className: "py-0 px-0.5 mb-2 overflow-hidden",
    isShown: isShown,
    children: children
  });
};
ExpandableContent.propTypes = {
  ariaLabelledBy: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  isShown: PropTypes.bool.isRequired
};
var ExpandableContent$1 = ExpandableContent;

export { ExpandableContent$1 as default };
//# sourceMappingURL=ExpandableContent.js.map
