import _slicedToArray from '@babel/runtime/helpers/slicedToArray';
import { Scope } from 'informed';
import { PropTypes } from 'prop-types';
import { useState, Children } from 'react';
import { ButtonSubtle } from '../Buttons/index.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var FilterCategory = function FilterCategory(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    expanded = _ref.expanded,
    id = _ref.id,
    label = _ref.label,
    limit = _ref.limit;
  var _useState = useState(expanded),
    _useState2 = _slicedToArray(_useState, 2),
    allChildrenVisible = _useState2[0],
    setAllChildrenVisible = _useState2[1];
  var toggleChildren = function toggleChildren() {
    return setAllChildrenVisible(!allChildrenVisible);
  };
  var filteredChildren = Children.map(children, function (child) {
    if (child.props.count !== 0) {
      return child;
    }
    return null;
  });
  return /*#__PURE__*/jsxs("div", {
    className: "mb-6",
    children: [/*#__PURE__*/jsx("p", {
      className: "font-semibold",
      children: label
    }), /*#__PURE__*/jsxs(Scope, {
      scope: id,
      children: [/*#__PURE__*/jsx("fieldset", {
        children: /*#__PURE__*/jsx("legend", {
          className: "sr-only",
          children: ariaLabel
        })
      }), /*#__PURE__*/jsx("div", {
        "aria-expanded": allChildrenVisible,
        children: filteredChildren.map(function (child, i) {
          return /*#__PURE__*/jsx("div", {
            style: {
              display: !allChildrenVisible && i >= limit ? 'none' : 'block'
            },
            children: child
          }, i);
        })
      })]
    }), Children.count(filteredChildren) > limit && /*#__PURE__*/jsx(ButtonSubtle, {
      className: "p-0 font-normal rounded-none cursor-pointer text-blue-3 hover:bg-white hover:bg-opacity-0 hover:border-white hover:border-opacity-0",
      onClick: toggleChildren,
      size: "small",
      children: allChildrenVisible ? '- Show Less' : '+ Show More'
    })]
  });
};
FilterCategory.defaultProps = {
  expanded: false,
  limit: 5
};
FilterCategory.propTypes = {
  ariaLabel: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  expanded: PropTypes.bool,
  id: PropTypes.string.isRequired,
  label: PropTypes.string.isRequired,
  limit: PropTypes.number
};
var FilterCategory$1 = FilterCategory;

export { FilterCategory$1 as default };
//# sourceMappingURL=FilterCategory.js.map
