import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faCheck } from '@fortawesome/pro-regular-svg-icons';
import { Checkbox } from 'informed';
import PropTypes from 'prop-types';
import { FAIcon } from '../lib/customPropTypes.js';
import Icon from '../Icons/Icon.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "className", "field", "icon"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CustomCheckbox = function CustomCheckbox(_ref) {
  var children = _ref.children,
    className = _ref.className,
    field = _ref.field,
    icon = _ref.icon,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxs("label", {
    className: "custom-checkbox ".concat(className),
    htmlFor: field,
    children: [/*#__PURE__*/jsx(Checkbox, _objectSpread({
      className: "checkbox",
      field: field,
      id: field
    }, rest)), /*#__PURE__*/jsx(Icon, {
      icon: icon
    }), /*#__PURE__*/jsx("span", {
      children: children
    })]
  });
};
CustomCheckbox.defaultProps = {
  className: '',
  icon: faCheck
};
CustomCheckbox.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  field: PropTypes.string.isRequired,
  icon: FAIcon
};
var CustomCheckbox$1 = CustomCheckbox;

export { CustomCheckbox$1 as default };
//# sourceMappingURL=CustomCheckbox.js.map
