import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faDotCircle } from '@fortawesome/pro-solid-svg-icons';
import { Radio } from 'informed';
import PropTypes from 'prop-types';
import { FAIcon } from '../lib/customPropTypes.js';
import Icon from '../Icons/Icon.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "className", "icon", "id", "value"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CustomRadio = function CustomRadio(_ref) {
  var children = _ref.children,
    className = _ref.className,
    icon = _ref.icon,
    id = _ref.id,
    value = _ref.value,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxs("label", {
    className: "custom-radio ".concat(className),
    htmlFor: id,
    children: [/*#__PURE__*/jsx(Radio, _objectSpread({
      className: "radio",
      id: id,
      value: value
    }, rest)), /*#__PURE__*/jsx(Icon, {
      icon: icon
    }), /*#__PURE__*/jsx("span", {
      children: children
    })]
  });
};
CustomRadio.defaultProps = {
  className: '',
  icon: faDotCircle
};
CustomRadio.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  icon: FAIcon,
  id: PropTypes.string.isRequired,
  value: PropTypes.string.isRequired
};
var CustomRadio$1 = CustomRadio;

export { CustomRadio$1 as default };
//# sourceMappingURL=CustomRadio.js.map
