import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { asField, BasicTextArea } from 'informed';
import PropTypes from 'prop-types';
import { Fragment } from 'react';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["className"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CustomTextArea = asField(function (_ref) {
  var className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  var field = props.field,
    fieldState = props.fieldState;
  var error = fieldState.error,
    value = fieldState.value,
    touched = fieldState.touched;
  var statusClass = value && !error && touched ? 'success' : value && error && 'error';
  return /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx(BasicTextArea, _objectSpread(_objectSpread({}, props), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(statusClass || '', " ").concat(className || ''),
      id: field
    })), error && /*#__PURE__*/jsx("small", {
      className: "text-red-3",
      children: error
    })]
  });
});
CustomTextArea.defaultProps = {
  className: '',
  type: 'text'
};
CustomTextArea.propTypes = {
  className: PropTypes.string,
  field: PropTypes.string.isRequired,
  type: PropTypes.string
};
var CustomTextArea$1 = CustomTextArea;

export { CustomTextArea$1 as default };
//# sourceMappingURL=CustomTextArea.js.map
