import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { useField } from 'informed';
import PropTypes from 'prop-types';
import { Fragment } from 'react';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var SelectField = function SelectField(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties(_ref, _excluded);
  var _useField = useField(props),
    fieldApi = _useField.fieldApi,
    fieldState = _useField.fieldState,
    informed = _useField.informed,
    render = _useField.render,
    userProps = _useField.userProps;
  var _onBlur = userProps.onBlur,
    _onChange = userProps.onChange;
  var error = fieldState.error,
    touched = fieldState.touched,
    value = fieldState.value;
  var setTouched = fieldApi.setTouched,
    setValue = fieldApi.setValue;
  var statusClass = value && !error && touched ? 'success' : value && error && 'error';
  return render( /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx("select", _objectSpread(_objectSpread(_objectSpread({}, informed), userProps), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(statusClass || ''),
      id: props.id || props.field,
      onBlur: function onBlur(e) {
        setTouched(true);
        if (_onBlur) {
          _onBlur(e);
        }
      },
      onChange: function onChange(e) {
        setValue(e.target.value);
        if (_onChange) {
          _onChange(e);
        }
      },
      children: children
    })), error && /*#__PURE__*/jsx("small", {
      className: "text-red-3",
      children: error
    })]
  }));
};
SelectField.propTypes = {
  children: PropTypes.node.isRequired
};
var SelectField$1 = SelectField;

export { SelectField$1 as default };
//# sourceMappingURL=SelectField.js.map
