import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { useField } from 'informed';
import PropTypes from 'prop-types';
import { Fragment } from 'react';
import TextareaAutosize from 'react-textarea-autosize';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["className", "maxRows", "minRows"],
  _excluded2 = ["defaultValue"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var TextAreaAutosize = function TextAreaAutosize(_ref) {
  var className = _ref.className,
    maxRows = _ref.maxRows,
    minRows = _ref.minRows,
    props = _objectWithoutProperties(_ref, _excluded);
  var _useField = useField(_objectSpread({
      fieldType: 'text'
    }, props)),
    render = _useField.render,
    informed = _useField.informed,
    fieldState = _useField.fieldState;
  var error = fieldState.error,
    touched = fieldState.touched,
    value = fieldState.value;
  informed.defaultValue;
    var rest = _objectWithoutProperties(informed, _excluded2);
  var statusClass = value && !error && touched ? 'success' : value && error && 'error';
  return render( /*#__PURE__*/jsxs(Fragment, {
    children: [/*#__PURE__*/jsx(TextareaAutosize, _objectSpread(_objectSpread({}, rest), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(className, " ").concat(statusClass || ''),
      id: props.field,
      maxRows: maxRows,
      minRows: minRows
    })), error && /*#__PURE__*/jsx("small", {
      className: "text-red-3",
      children: error
    })]
  }));
};
TextAreaAutosize.defaultProps = {
  className: '',
  maxRows: 22,
  minRows: 2
};
TextAreaAutosize.propTypes = {
  className: PropTypes.string,
  field: PropTypes.string.isRequired,
  maxRows: PropTypes.number,
  minRows: PropTypes.number
};
var TextAreaAutosize$1 = TextAreaAutosize;

export { TextAreaAutosize$1 as default };
//# sourceMappingURL=TextAreaAutosize.js.map
