import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { HeadingLevel } from '../lib/customPropTypes.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "className", "level", "levelStyle"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var headingSizes = function headingSizes(level) {
  var heading = "H".concat(level);
  var levelStyles = {
    H1: 'text-3xl',
    H2: 'text-2xl',
    H3: 'text-xl',
    H4: 'text-lg',
    H5: 'text-base',
    H6: 'text-sm'
  };
  return levelStyles[heading];
};
var HX = function HX(_ref) {
  var children = _ref.children,
    className = _ref.className,
    level = _ref.level,
    _ref$levelStyle = _ref.levelStyle,
    levelStyle = _ref$levelStyle === void 0 ? level : _ref$levelStyle,
    rest = _objectWithoutProperties(_ref, _excluded);
  var DynamicHeading = "h".concat(level);
  return /*#__PURE__*/jsx(DynamicHeading, _objectSpread(_objectSpread({
    className: "".concat(headingSizes(levelStyle), " ").concat(className)
  }, rest), {}, {
    children: children
  }));
};
HX.defaultProps = {
  className: ''
};
HX.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  level: HeadingLevel.isRequired,
  levelStyle: HeadingLevel.isRequired
};
var HX$1 = HX;

export { HX$1 as default };
//# sourceMappingURL=HX.js.map
