import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var LoadingCircle = function LoadingCircle(_ref) {
  var height = _ref.height,
    width = _ref.width;
  return /*#__PURE__*/jsx("span", {
    className: "animate-loading rounded-full bg-gray-2 bg-loading bg-no-repeat inline-block leading-none",
    style: {
      height: height,
      width: width,
      backgroundSize: '200px 100%'
    },
    children: "\u200C"
  });
};
LoadingCircle.defaultProps = {
  height: 24,
  width: 24
};
LoadingCircle.propTypes = {
  /**
   * The height the circle will be set to, either a number or string value such as "3rem".
   */
  height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  /**
   * The width the circle will be set to, either a number or string value such as "3rem".
   */
  width: PropTypes.oneOfType([PropTypes.number, PropTypes.string])
};
var LoadingCircle$1 = LoadingCircle;

export { LoadingCircle$1 as default };
//# sourceMappingURL=LoadingCircle.js.map
