import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["height", "width"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var LoadingLine = function LoadingLine(_ref) {
  var height = _ref.height,
    width = _ref.width,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("span", _objectSpread(_objectSpread({}, rest), {}, {
    className: "animate-loading rounded bg-gray-2 bg-loading bg-no-repeat inline-block leading-none",
    style: {
      height: height,
      width: width,
      backgroundSize: '200px 100%'
    },
    children: "\u200C"
  }));
};
LoadingLine.defaultProps = {
  height: 24,
  width: '100%'
};
LoadingLine.propTypes = {
  /**
   * The height the line will be set to, either a number or string value such as "3rem".
   */
  height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  /**
   * The width the line will be set to that will override the default of full width of parent container – either a number or string value such as "50%".
   */
  width: PropTypes.oneOfType([PropTypes.number, PropTypes.string])
};
var LoadingLine$1 = LoadingLine;

export { LoadingLine$1 as default };
//# sourceMappingURL=LoadingLine.js.map
