import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { MenuList } from '@reach/menu-button';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var DropdownMenu = function DropdownMenu(_ref) {
  var children = _ref.children,
    size = _ref.size,
    rest = _objectWithoutProperties(_ref, _excluded);
  var sizeStyles;
  if (size === 'large') {
    sizeStyles = {
      maxWidth: 588,
      width: "".concat(100 / 2, "vw")
    };
  } else if (size === 'small') {
    sizeStyles = {
      maxWidth: 294,
      width: "".concat(100 / 4, "vw")
    };
  } else {
    sizeStyles = {
      maxWidth: 392,
      width: "".concat(100 / 3, "vw")
    };
  }
  return /*#__PURE__*/jsx(MenuList, _objectSpread(_objectSpread({}, rest), {}, {
    className: "bg-white border border-solid border-gray-3 rounded shadow-dropdown mt-1 overflow-hidden dd-styles",
    style: sizeStyles,
    children: children
  }));
};
DropdownMenu.defaultProps = {
  size: 'default'
};
DropdownMenu.propTypes = {
  children: PropTypes.node.isRequired,
  /**
   * Set the width and maximum width of the menu overlay (list of items)
   */
  size: PropTypes.oneOf(['default', 'large', 'small'])
};
var DropdownMenu$1 = DropdownMenu;

export { DropdownMenu$1 as default };
//# sourceMappingURL=DropdownMenu_DEPRECATED.js.map
