import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { MenuPopover } from '@reach/menu-button';
import { Form } from 'informed';
import PropTypes from 'prop-types';
import Combobox, { ComboboxItemsProptypes } from '../Forms/Combobox/Combobox.js';
import DropdownMenu from './DropdownMenu_DEPRECATED.js';
import MenuHeading from './MenuHeading_DEPRECATED.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "comboboxProps", "dropdownMenuProps", "i18n", "items", "minComboboxItems"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MAX_VISIBLE = 8;
var MIN_COMBOBOX_ITEMS = 9;
var GlobalPrimaryDropdownMenu = function GlobalPrimaryDropdownMenu(_ref) {
  var children = _ref.children,
    comboboxProps = _ref.comboboxProps,
    dropdownMenuProps = _ref.dropdownMenuProps,
    i18n = _ref.i18n,
    items = _ref.items,
    minComboboxItems = _ref.minComboboxItems,
    rest = _objectWithoutProperties(_ref, _excluded);
  var isComboboxVisible = items.length >= minComboboxItems;
  var cboxProps = _objectSpread({
    field: 'workspace-switcher'
  }, comboboxProps);
  return isComboboxVisible ? /*#__PURE__*/jsxs(MenuPopover, _objectSpread(_objectSpread({
    className: "bg-white border border-gray-2 rounded-sm shadow-dropdown overflow-hidden max-w-sm w-4/12 global-primary-dropdown"
  }, rest), {}, {
    children: [/*#__PURE__*/jsx(Form, {
      children: /*#__PURE__*/jsx(Combobox, _objectSpread(_objectSpread({}, cboxProps), {}, {
        dropdownHeaderText: i18n.comboboxDropdownHeader,
        hideDownButton: true,
        hideLabel: true,
        items: items,
        itemsAlwaysOpen: true,
        labelText: i18n.labelText,
        maxVisible: MAX_VISIBLE,
        noBorder: true,
        noResultsText: i18n.noResultsText,
        placeholder: i18n.placeholder
      }))
    }), children]
  })) : /*#__PURE__*/jsxs(DropdownMenu, _objectSpread(_objectSpread({}, dropdownMenuProps), {}, {
    children: [i18n.menuDropdownHeader && /*#__PURE__*/jsx(MenuHeading, {
      children: i18n.menuDropdownHeader
    }), items.map(function (item) {
      return item.isUnprivileged ? /*#__PURE__*/jsx("div", {
        className: "unprivileged-item",
        children: item.content
      }, item.value) : /*#__PURE__*/jsx("div", {
        children: item.content
      }, item.value);
    }), children]
  }));
};
GlobalPrimaryDropdownMenu.defaultProps = {
  children: null,
  comboboxProps: {},
  dropdownMenuProps: {},
  minComboboxItems: MIN_COMBOBOX_ITEMS
};
GlobalPrimaryDropdownMenu.propTypes = {
  children: PropTypes.node,
  comboboxProps: PropTypes.shape({}),
  dropdownMenuProps: PropTypes.shape({}),
  /**
   * Internationalization object to display content in proper language
   */
  i18n: PropTypes.shape({
    comboboxDropdownHeader: PropTypes.string,
    labelText: PropTypes.string.isRequired,
    menuDropdownHeader: PropTypes.string,
    noResultsText: PropTypes.string,
    placeholder: PropTypes.string
  }).isRequired,
  /**
   * Items to display in the combobox list
   */
  items: ComboboxItemsProptypes.isRequired,
  /**
   * Minimum number of items to display
   */
  minComboboxItems: PropTypes.number
};
var GlobalPrimaryDropdownMenu$1 = GlobalPrimaryDropdownMenu;

export { GlobalPrimaryDropdownMenu$1 as default };
//# sourceMappingURL=GlobalPrimaryDropdownMenu_DEPRECATED.js.map
