import PropTypes from 'prop-types';
import { HeadingLevel } from '../lib/customPropTypes.js';
import HX from '../Headings/HX.js';
import { jsx } from 'react/jsx-runtime';

var ModalHeader = function ModalHeader(_ref) {
  var children = _ref.children,
    headingLevel = _ref.headingLevel,
    headingLevelStyle = _ref.headingLevelStyle;
  return /*#__PURE__*/jsx("div", {
    className: "border-b border-solid border-gray-2 py-4 px-6",
    children: /*#__PURE__*/jsx(HX, {
      className: "mb-0 mr-8",
      level: headingLevel,
      levelStyle: headingLevelStyle,
      children: children
    })
  });
};
ModalHeader.defaultProps = {
  headingLevel: 5,
  headingLevelStyle: 5
};
ModalHeader.propTypes = {
  children: PropTypes.node.isRequired,
  /**
   * Level of heading
   */
  headingLevel: HeadingLevel,
  /**
   * Style level of heading
   */
  headingLevelStyle: HeadingLevel
};
var ModalHeader$1 = ModalHeader;

export { ModalHeader$1 as default };
//# sourceMappingURL=ModalHeader.js.map
