import PropTypes from 'prop-types';
import { jsxs, jsx } from 'react/jsx-runtime';

var GlobalPrimary = function GlobalPrimary(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    className = _ref.className,
    contextDropdown = _ref.contextDropdown;
  return /*#__PURE__*/jsxs("nav", {
    "aria-label": ariaLabel,
    className: "global-primary-navigation bg-gray-6 h-full text-center z-navigation ".concat(className),
    children: [contextDropdown ? /*#__PURE__*/jsx("div", {
      className: "global-primary-navigation-container pb-4",
      children: contextDropdown
    }) : null, /*#__PURE__*/jsx("div", {
      className: "global-primary-navigation-container flex flex-col flex-nowrap items-center justify-start text-center",
      children: children
    })]
  });
};
GlobalPrimary.defaultProps = {
  className: ''
};
GlobalPrimary.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  /**
   * Any custom CSS classes to add to the navigation
   */
  className: PropTypes.string,
  /**
   * Contextual dropdown element to be inserted at the top of the navigation
   */
  contextDropdown: PropTypes.node.isRequired
};
var GlobalPrimary$1 = GlobalPrimary;

export { GlobalPrimary$1 as default };
//# sourceMappingURL=GlobalPrimary.js.map
