import PropTypes from 'prop-types';
import Panel from '../Panels/Panel.js';
import { jsx } from 'react/jsx-runtime';

var SideNavigation = function SideNavigation(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children;
  return /*#__PURE__*/jsx("nav", {
    "aria-label": ariaLabel,
    children: /*#__PURE__*/jsx("div", {
      className: "overflow-y-auto max-h-3/4",
      children: /*#__PURE__*/jsx(Panel, {
        children: children
      })
    })
  });
};
SideNavigation.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired
};
var SideNavigation$1 = SideNavigation;

export { SideNavigation$1 as default };
//# sourceMappingURL=SideNavigation.js.map
