import PropTypes from 'prop-types';
import Container from '../Containers/Container.js';
import { jsx } from 'react/jsx-runtime';

var UtilityNavigation = function UtilityNavigation(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    className = _ref.className,
    isCentered = _ref.isCentered;
  return /*#__PURE__*/jsx("header", {
    className: "border-b border-solid border-gray-2 bg-white z-navigation ".concat(className),
    children: /*#__PURE__*/jsx("nav", {
      "aria-label": ariaLabel,
      className: "py-1",
      children: /*#__PURE__*/jsx(Container, {
        isCentered: isCentered,
        type: "widest",
        children: /*#__PURE__*/jsx("div", {
          className: "flex flex-wrap flex-row items-center justify-start",
          children: children
        })
      })
    })
  });
};
UtilityNavigation.defaultProps = {
  className: '',
  isCentered: false
};
UtilityNavigation.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  /**
   * Any custom CSS classes to add to the navigation
   */
  className: PropTypes.string,
  /**
   * Sets centering of container
   */
  isCentered: PropTypes.bool
};
var UtilityNavigation$1 = UtilityNavigation;

export { UtilityNavigation$1 as default };
//# sourceMappingURL=UtilityNavigation.js.map
