import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { faExclamationSquare, faInfoCircle, faCheckCircle, faExclamationTriangle } from '@fortawesome/pro-regular-svg-icons';
import { faSpinnerThird } from '@fortawesome/pro-solid-svg-icons';
import PropTypes from 'prop-types';
import Icon from '../Icons/Icon.js';
import PantheorIcon from './PantheorIcon.js';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["alt", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var iconColor = {
  danger: 'text-red-3',
  info: 'text-blue-3',
  pantheor: 'text-purple-3',
  success: 'text-green-3',
  warning: 'text-orange-3',
  working: 'text-current'
};
var alertIcon = {
  danger: faExclamationSquare,
  info: faInfoCircle,
  working: faSpinnerThird,
  success: faCheckCircle,
  warning: faExclamationTriangle
};
var NotificationStatusIcon = function NotificationStatusIcon(_ref) {
  var alt = _ref.alt,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("span", {
    className: "".concat(iconColor[type], " inline mr-2"),
    children: type === 'pantheor' ? /*#__PURE__*/jsx(PantheorIcon, _objectSpread({
      "aria-label": alt,
      role: "img"
    }, rest)) : /*#__PURE__*/jsx(Icon, _objectSpread({
      alt: alt,
      icon: alertIcon[type],
      spin: type === 'working'
    }, rest))
  });
};
NotificationStatusIcon.defaultProps = {
  alt: ''
};
NotificationStatusIcon.propTypes = {
  alt: PropTypes.string,
  type: PropTypes.oneOf(['danger', 'info', 'pantheor', 'success', 'warning', 'working']).isRequired
};
var NotificationStatusIcon$1 = NotificationStatusIcon;

export { NotificationStatusIcon$1 as default };
//# sourceMappingURL=NotificationStatusIcon.js.map
