import Portal from '@reach/portal';
import PropTypes from 'prop-types';
import { cssTransition, ToastContainer } from 'react-toastify';
import '../Buttons/index.js';
import { jsx } from 'react/jsx-runtime';
import CloseButton from '../Buttons/CloseButton.js';

var slide = cssTransition({
  enter: 'slide-in',
  exit: 'slide-out'
});
var ToastCloseButton = function ToastCloseButton(_ref) {
  var closeToast = _ref.closeToast;
  return /*#__PURE__*/jsx(CloseButton, {
    callback: closeToast,
    className: "absolute right-4 top-2 text-xl"
  });
};
ToastCloseButton.propTypes = {
  closeToast: PropTypes.func.isRequired
};
var Toaster = function Toaster() {
  return /*#__PURE__*/jsx(Portal, {
    children: /*#__PURE__*/jsx(ToastContainer, {
      className: "fixed bottom-16 right-8 z-notifications toaster Toastify__toast Toastify__progress-bar",
      closeButton: ToastCloseButton,
      closeOnClick: false,
      limit: 6,
      newestOnTop: true,
      transition: slide
    })
  });
};
var Toaster$1 = Toaster;

export { Toaster$1 as default };
//# sourceMappingURL=Toaster.js.map
