import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import NotificationStatusIcon from '../Notifications/NotificationStatusIcon.js';
import { jsx, jsxs } from 'react/jsx-runtime';

var _excluded = ["children", "className", "iconAlt", "type"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typesCSS = {
  danger: 'border-l-red-3',
  info: 'border-l-blue-3',
  success: 'border-l-green-3',
  warning: 'border-l-orange-3',
  working: 'border-l-gray-5'
};
var ContextPanel = function ContextPanel(_ref) {
  var children = _ref.children,
    className = _ref.className,
    iconAlt = _ref.iconAlt,
    type = _ref.type,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx("div", _objectSpread(_objectSpread({
    className: "context-panel-styles p-4 border-l-4 ".concat(typesCSS[type], " ").concat(className)
  }, rest), {}, {
    children: /*#__PURE__*/jsxs("span", {
      className: "flex flex-row",
      children: [/*#__PURE__*/jsx(NotificationStatusIcon, {
        alt: iconAlt,
        type: type
      }), /*#__PURE__*/jsx("span", {
        children: children
      })]
    })
  }));
};
ContextPanel.defaultProps = {
  className: '',
  iconAlt: ''
};
ContextPanel.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  iconAlt: PropTypes.string,
  type: PropTypes.oneOf(['danger', 'info', 'success', 'warning', 'working']).isRequired
};
var ContextPanel$1 = ContextPanel;

export { ContextPanel$1 as default };
//# sourceMappingURL=ContextPanel.js.map
