import PropTypes from 'prop-types';
import HX from '../Headings/HX.js';
import { jsx } from 'react/jsx-runtime';

var typesCSS = {
  danger: 'bg-red-4 text-white',
  "default": 'bg-black text-white',
  info: 'bg-blue-3 text-white',
  pantheor: 'bg-purple-4 text-white',
  warning: 'bg-orange-3 text-black'
};
var PanelHeader = function PanelHeader(_ref) {
  var children = _ref.children,
    level = _ref.level,
    levelStyle = _ref.levelStyle,
    type = _ref.type;
  return /*#__PURE__*/jsx(HX, {
    className: "flex justify-center p-4 rounded-t rounded-b-none -mt-4 mb-4 -mx-4 ".concat(typesCSS[type]),
    level: level,
    levelStyle: levelStyle,
    children: children
  });
};
PanelHeader.defaultProps = {
  levelStyle: 4,
  type: 'default'
};
PanelHeader.propTypes = {
  children: PropTypes.node.isRequired,
  level: PropTypes.oneOf([1, 2, 3, 4, 5, 6]).isRequired,
  levelStyle: PropTypes.oneOf([1, 2, 3, 4, 5, 6]),
  type: PropTypes.oneOf(['danger', 'default', 'info', 'pantheor', 'warning'])
};
var PanelHeader$1 = PanelHeader;

export { PanelHeader$1 as default };
//# sourceMappingURL=PanelHeader.js.map
