import PropTypes from 'prop-types';
import { StepApiContext } from './Context.js';
import useStepGateState from './hooks/useStepGateState.js';
import useStepperApi from './hooks/useStepperApi.js';
import { jsx } from 'react/jsx-runtime';

var StepGate = function StepGate(_ref) {
  var children = _ref.children,
    id = _ref.id,
    label = _ref.label;
  var _useStepperApi = useStepperApi(),
    getStepApi = _useStepperApi.getStepApi,
    registerGate = _useStepperApi.registerGate;
  var _useStepGateState = useStepGateState(id),
    isCurrentGate = _useStepGateState.isCurrentGate;
  registerGate(id, label);
  if (!isCurrentGate) return null;
  return /*#__PURE__*/jsx(StepApiContext.Provider, {
    value: getStepApi(),
    children: children
  });
};
StepGate.propTypes = {
  children: PropTypes.node.isRequired,
  id: PropTypes.string.isRequired,
  label: PropTypes.string.isRequired
};
var StepGate$1 = StepGate;

export { StepGate$1 as default };
//# sourceMappingURL=StepGate.js.map
