import _toConsumableArray from '@babel/runtime/helpers/toConsumableArray';
import PropTypes from 'prop-types';
import useStepperState from '../hooks/useStepperState.js';
import Gate from './Gate.js';
import { jsx } from 'react/jsx-runtime';

var StepperProgress = function StepperProgress(_ref) {
  var disableNav = _ref.disableNav;
  var _useStepperState = useStepperState(),
    currentGate = _useStepperState.currentGate,
    currentStep = _useStepperState.currentStep,
    gates = _useStepperState.gates,
    steps = _useStepperState.steps;
  var gateList = _toConsumableArray(gates.values());
  var gateElements = gateList.map(function (gate, idx) {
    return /*#__PURE__*/jsx(Gate, {
      ariaPosinset: idx + 1,
      ariaSetsize: gateList.length,
      currentStep: currentStep,
      disableNav: disableNav,
      gate: gate,
      gateTotal: gates.size,
      isActive: idx === currentGate,
      steps: steps
    }, gate.id);
  });
  return /*#__PURE__*/jsx("ol", {
    className: "flex items-center content-center justify-around list-none mx-8 mt-16 mb-20 px-4 py-0",
    children: gateElements
  });
};
StepperProgress.propTypes = {
  disableNav: PropTypes.bool
};
StepperProgress.defaultProps = {
  disableNav: false
};
var StepperProgress$1 = StepperProgress;

export { StepperProgress$1 as default };
//# sourceMappingURL=StepperProgress.js.map
