import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { Tab as Tab$2 } from '@reach/tabs';
import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["isSelected", "children"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Tab = function Tab(props) {
  var isSelected = props.isSelected,
    children = props.children,
    rest = _objectWithoutProperties(props, _excluded);
  var selectedStyles = 'border-b-blue-3 border-b-4 text-blue-3';
  var unselectedStyles = 'border-b-gray-2 border-b-2 font-normal';
  return /*#__PURE__*/jsx(Tab$2, _objectSpread(_objectSpread({
    className: "cursor-pointer border-t-0 border-l-0 border-r-0 rounded-none px-4 py-2 focus:shadow-none ".concat(isSelected ? selectedStyles : unselectedStyles)
  }, rest), {}, {
    children: children
  }));
};
Tab.defaultProps = {
  isSelected: false
};
Tab.propTypes = {
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)]).isRequired,
  isSelected: PropTypes.bool
};
var Tab$1 = Tab;

export { Tab$1 as default };
//# sourceMappingURL=Tab.js.map
