import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import hashSum from 'hash-sum';
import PropTypes from 'prop-types';
import TagCloseButton from './TagCloseButton.js';
import { jsxs, jsx } from 'react/jsx-runtime';

var _excluded = ["children", "onClose"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var colors = ['bg-blue-1', 'bg-cyan-2', 'bg-gray-2', 'bg-green-1', 'bg-orange-1', 'bg-orange-2', 'bg-purple-1', 'bg-purple-2', 'bg-red-1', 'bg-teal-2', 'bg-yellow-2', 'bg-yellow-3'];
var childrenToColor = function childrenToColor(children) {
  var pos = parseInt(hashSum(children), 16);
  var color = colors[pos % colors.length];
  return "".concat(color, " text-gray-6");
};
var RandomColorTag = function RandomColorTag(_ref) {
  var children = _ref.children,
    onClose = _ref.onClose,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxs("span", _objectSpread(_objectSpread({}, props), {}, {
    className: "tag inline-flex flex-row items-center justify-center rounded ".concat(childrenToColor(children)),
    children: [/*#__PURE__*/jsx("span", {
      className: "tag-truncated text-ellipsis overflow-hidden whitespace-nowrap",
      title: children,
      children: children
    }), onClose && /*#__PURE__*/jsx(TagCloseButton, {
      callback: onClose,
      className: "text-gray-3"
    })]
  }));
};
RandomColorTag.defaultProps = {
  onClose: null
};
RandomColorTag.propTypes = {
  children: PropTypes.string.isRequired,
  onClose: PropTypes.func
};
var RandomColorTag$1 = RandomColorTag;

export { RandomColorTag$1 as default };
//# sourceMappingURL=RandomColorTag.js.map
