import PropTypes from 'prop-types';
import { jsx } from 'react/jsx-runtime';

var CardGridTemplate = function CardGridTemplate(_ref) {
  var children = _ref.children,
    maxCardWidth = _ref.maxCardWidth,
    minCardWidth = _ref.minCardWidth;
  var cardColumn = {
    gridTemplateColumns: "repeat(auto-fill, minmax(".concat(minCardWidth, ", ").concat(maxCardWidth, "))")
  };
  return /*#__PURE__*/jsx("div", {
    className: "card-grid-template grid gap-4 grid-rows-1",
    style: cardColumn,
    children: children
  });
};

/* Defaults from design team */
CardGridTemplate.defaultProps = {
  maxCardWidth: '1fr',
  minCardWidth: '18rem'
};
CardGridTemplate.propTypes = {
  children: PropTypes.node.isRequired,
  maxCardWidth: PropTypes.string,
  minCardWidth: PropTypes.string
};
var CardGridTemplate$1 = CardGridTemplate;

export { CardGridTemplate$1 as default };
//# sourceMappingURL=CardGridTemplate.js.map
