import { RadioGroup } from 'informed';
import PropTypes from 'prop-types';
import React from 'react';
import { jsxs, jsx } from 'react/jsx-runtime';

var ToggleBase = function ToggleBase(_ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    humanName = _ref.humanName,
    id = _ref.id;
  var childrenWithId = React.Children.map(children, function (child) {
    return /*#__PURE__*/React.cloneElement(child, {
      groupId: id
    });
  });
  return /*#__PURE__*/jsxs("fieldset", {
    className: className,
    disabled: disabled,
    children: [/*#__PURE__*/jsx("legend", {
      className: "sr-only",
      children: humanName
    }), /*#__PURE__*/jsx(RadioGroup, {
      disabled: disabled,
      field: id,
      children: childrenWithId
    })]
  });
};
ToggleBase.defaultProps = {
  className: '',
  disabled: false
};
ToggleBase.propTypes = {
  children: PropTypes.arrayOf(PropTypes.node).isRequired,
  className: PropTypes.string,
  disabled: PropTypes.bool,
  humanName: PropTypes.string.isRequired,
  id: PropTypes.string.isRequired
};
var ToggleBase$1 = ToggleBase;

export { ToggleBase$1 as default };
//# sourceMappingURL=ToggleBase.js.map
