import _defineProperty from '@babel/runtime/helpers/defineProperty';
import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { forwardRef } from 'react';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["variant", "label", "disabled", "type", "onClick", "className"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Button = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var variant = _ref.variant,
    label = _ref.label,
    disabled = _ref.disabled,
    type = _ref.type,
    onClick = _ref.onClick,
    className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  var variantClass = variant ? "pds-button--".concat(variant) : undefined;
  return /*#__PURE__*/jsx("button", _objectSpread(_objectSpread({}, props), {}, {
    type: type,
    className: ['pds-button', variantClass, className].join(' ').trim(),
    disabled: disabled,
    onClick: onClick,
    ref: ref,
    children: label
  }));
});
Button.propTypes = {
  /**
   * Which variant of button to render
   */
  variant: PropTypes.oneOf(['primary', 'secondary', 'tertiary', 'subtle', 'critical']),
  /**
   * The text of the button
   */
  label: PropTypes.node.isRequired,
  /**
   * Is the button disabled?
   */
  disabled: PropTypes.bool,
  /**
   * Type of button
   */
  type: PropTypes.oneOf(['button', 'submit', 'reset']),
  /**
   * Click event handler callback
   */
  onClick: PropTypes.func.isRequired
};
Button.defaultProps = {
  variant: 'secondary',
  type: 'button',
  disabled: false
};
var Button$1 = Button;

export { Button$1 as default };
//# sourceMappingURL=Button.js.map
