'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
var PropTypes = require('prop-types');
var proSolidSvgIcons = require('@fortawesome/pro-solid-svg-icons');
var React = require('react');
var reactFontawesome = require('@fortawesome/react-fontawesome');
var jsxRuntime = require('react/jsx-runtime');
var reactRouterDom = require('react-router-dom');
var proRegularSvgIcons = require('@fortawesome/pro-regular-svg-icons');
var _slicedToArray = require('@babel/runtime/helpers/slicedToArray');
var downshift = require('downshift');
var informed = require('informed');
var proLightSvgIcons = require('@fortawesome/pro-light-svg-icons');
var reactToastify = require('react-toastify');
var _toConsumableArray = require('@babel/runtime/helpers/toConsumableArray');
var _objectDestructuringEmpty = require('@babel/runtime/helpers/objectDestructuringEmpty');
var _extends = require('@babel/runtime/helpers/extends');
var menuButton = require('@reach/menu-button');
require('@reach/menu-button/styles.css');
var _asyncToGenerator = require('@babel/runtime/helpers/asyncToGenerator');
var _regeneratorRuntime = require('@babel/runtime/regenerator');
var Prism = require('prismjs/components/prism-core');
require('prismjs/components/prism-bash');
require('prismjs/components/prism-markup');
require('prismjs/components/prism-css');
require('prismjs/components/prism-clike');
require('prismjs/components/prism-javascript');
require('prismjs/themes/prism-okaidia.css');
require('prismjs/plugins/line-numbers/prism-line-numbers');
require('prismjs/plugins/line-numbers/prism-line-numbers.css');
var reactCsv = require('react-csv');
var reactSpring = require('react-spring');
var ResizeObserver = require('resize-observer-polyfill');
var _typeof = require('@babel/runtime/helpers/typeof');
var flatMap = require('flatmap');
var hashSum = require('hash-sum');
var TextareaAutosize = require('react-textarea-autosize');
var Markdown = require('markdown-to-jsx');
var uuid = require('uuid');
var reactDom = require('@floating-ui/react-dom');
var dialog = require('@reach/dialog');
require('@reach/dialog/styles.css');
var Tippy = require('@tippyjs/react');
var Portal = require('@reach/portal');
var _classCallCheck = require('@babel/runtime/helpers/classCallCheck');
var _createClass = require('@babel/runtime/helpers/createClass');
var autoId = require('@reach/auto-id');
var reactTable = require('react-table');
var tabs = require('@reach/tabs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var _slicedToArray__default = /*#__PURE__*/_interopDefaultLegacy(_slicedToArray);
var _toConsumableArray__default = /*#__PURE__*/_interopDefaultLegacy(_toConsumableArray);
var _objectDestructuringEmpty__default = /*#__PURE__*/_interopDefaultLegacy(_objectDestructuringEmpty);
var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _asyncToGenerator__default = /*#__PURE__*/_interopDefaultLegacy(_asyncToGenerator);
var _regeneratorRuntime__default = /*#__PURE__*/_interopDefaultLegacy(_regeneratorRuntime);
var Prism__default = /*#__PURE__*/_interopDefaultLegacy(Prism);
var ResizeObserver__default = /*#__PURE__*/_interopDefaultLegacy(ResizeObserver);
var _typeof__default = /*#__PURE__*/_interopDefaultLegacy(_typeof);
var flatMap__default = /*#__PURE__*/_interopDefaultLegacy(flatMap);
var hashSum__default = /*#__PURE__*/_interopDefaultLegacy(hashSum);
var TextareaAutosize__default = /*#__PURE__*/_interopDefaultLegacy(TextareaAutosize);
var Markdown__default = /*#__PURE__*/_interopDefaultLegacy(Markdown);
var Tippy__default = /*#__PURE__*/_interopDefaultLegacy(Tippy);
var Portal__default = /*#__PURE__*/_interopDefaultLegacy(Portal);
var _classCallCheck__default = /*#__PURE__*/_interopDefaultLegacy(_classCallCheck);
var _createClass__default = /*#__PURE__*/_interopDefaultLegacy(_createClass);

const BITBUCKET = {
	hex: "#004DC0",
	rgb: "0,77,192"
};
const BLACK = {
	hex: "#000000",
	rgb: "34,34,34"
};
const BLUE_1 = {
	hex: "#EAF7FF",
	rgb: "234,247,255"
};
const BLUE_2 = {
	hex: "#6AB9E8",
	rgb: "106,185,232"
};
const BLUE_3 = {
	hex: "#1173AC",
	rgb: "17,115,172"
};
const BLUE_4 = {
	hex: "#074F7A",
	rgb: "7,79,122"
};
const BLUE_5 = {
	hex: "#03324D",
	rgb: "3,50,77"
};
const CYAN_1 = {
	hex: "#DFF4FA",
	rgb: "223,244,250"
};
const CYAN_2 = {
	hex: "#66D4F8",
	rgb: "102,212,248"
};
const CYAN_3 = {
	hex: "#02A9E0",
	rgb: "2,169,224"
};
const CYAN_4 = {
	hex: "#00759B",
	rgb: "0,117,155"
};
const CYAN_5 = {
	hex: "#05465B",
	rgb: "5,70,91"
};
const GATSBY = {
	hex: "#663399",
	rgb: "102,51,153"
};
const GITLAB = {
	hex: "#380D75",
	rga: "56,13,117"
};
const GRAY_1 = {
	hex: "#F6F9F9",
	rgb: "246,249,249"
};
const GRAY_2 = {
	hex: "#DDE5E7",
	rgb: "221,229,231"
};
const GRAY_3 = {
	hex: "#8097A8",
	rgb: "128, 151, 168"
};
const GRAY_4 = {
	hex: "#627684",
	rgb: "98,118,132"
};
const GRAY_5 = {
	hex: "#4F5D6B",
	rgb: "79,93,107"
};
const GRAY_6 = {
	hex: "#283139",
	rgb: "40,49,57"
};
const GRAY_7 = {
	hex: "#181C20",
	rgb: "24,28,32"
};
const GREEN_1 = {
	hex: "#E4FFF4",
	rgb: "228,255,244"
};
const GREEN_2 = {
	hex: "#5ECD9F",
	rgb: "94,205,159"
};
const GREEN_3 = {
	hex: "#00864E",
	rgb: "0,134,78"
};
const GREEN_4 = {
	hex: "#025E38",
	rgb: "2,94,56"
};
const GREEN_5 = {
	hex: "#013721",
	rgb: "1,55,33"
};
const ORANGE_1 = {
	hex: "#FFF0DC",
	rgb: "255,240,220"
};
const ORANGE_2 = {
	hex: "#FCBE6F",
	rgb: "252,190,111"
};
const ORANGE_3 = {
	hex: "#F78A00",
	rgb: "247,138,0"
};
const ORANGE_4 = {
	hex: "#B16300",
	rgb: "177,99,0"
};
const ORANGE_5 = {
	hex: "#5A3201",
	rgb: "90,50,1"
};
const PURPLE_1 = {
	hex: "#FFEDFB",
	rgb: "255,237,251"
};
const PURPLE_2 = {
	hex: "#CD94C0",
	rgb: "205,148,192"
};
const PURPLE_3 = {
	hex: "#825077",
	rgb: "130,80,119"
};
const PURPLE_4 = {
	hex: "#5E3355",
	rgb: "94,51,85"
};
const PURPLE_5 = {
	hex: "#3F1D38",
	rgb: "63,29,56"
};
const PURPLE_6 = {
	hex: "#3017A1",
	rgb: "48,23,161"
};
const PURPLE_7 = {
	hex: "#24107B",
	rgb: "36,16,123"
};
const RED_1 = {
	hex: "#FFE1E3",
	rgb: "255,225,227"
};
const RED_2 = {
	hex: "#FD8189",
	rgb: "253,129,137"
};
const RED_3 = {
	hex: "#DD2631",
	rgb: "221,38,49"
};
const RED_4 = {
	hex: "#9E171F",
	rgb: "158,23,31"
};
const RED_5 = {
	hex: "#5E0B10",
	rgb: "94,11,16"
};
const TEAL_1 = {
	hex: "#F3FFFD",
	rgb: "243,255,253"
};
const TEAL_2 = {
	hex: "#BCFFF5",
	rgb: "188,255,245"
};
const TEAL_3 = {
	hex: "#17D7BB",
	rgb: "23,215,187"
};
const TEAL_4 = {
	hex: "#019A82",
	rgb: "1,154,130"
};
const TEAL_5 = {
	hex: "#015044",
	rgb: "1,80,68"
};
const WHITE = {
	hex: "#FFFFFF",
	rgb: "255,255,255"
};
const YELLOW_1 = {
	hex: "#FCF8E0",
	rgb: "252,248,224"
};
const YELLOW_2 = {
	hex: "#FFEC7D",
	rgb: "255,236,125"
};
const YELLOW_3 = {
	hex: "#EFD01B",
	rgb: "239,208,27"
};
const YELLOW_4 = {
	hex: "#CAB01B",
	rgb: "202,176,27"
};
const YELLOW_5 = {
	hex: "#6E6010",
	rgb: "110,96,16"
};
var colors$1 = {
	BITBUCKET: BITBUCKET,
	BLACK: BLACK,
	BLUE_1: BLUE_1,
	BLUE_2: BLUE_2,
	BLUE_3: BLUE_3,
	BLUE_4: BLUE_4,
	BLUE_5: BLUE_5,
	CYAN_1: CYAN_1,
	CYAN_2: CYAN_2,
	CYAN_3: CYAN_3,
	CYAN_4: CYAN_4,
	CYAN_5: CYAN_5,
	GATSBY: GATSBY,
	GITLAB: GITLAB,
	GRAY_1: GRAY_1,
	GRAY_2: GRAY_2,
	GRAY_3: GRAY_3,
	GRAY_4: GRAY_4,
	GRAY_5: GRAY_5,
	GRAY_6: GRAY_6,
	GRAY_7: GRAY_7,
	GREEN_1: GREEN_1,
	GREEN_2: GREEN_2,
	GREEN_3: GREEN_3,
	GREEN_4: GREEN_4,
	GREEN_5: GREEN_5,
	ORANGE_1: ORANGE_1,
	ORANGE_2: ORANGE_2,
	ORANGE_3: ORANGE_3,
	ORANGE_4: ORANGE_4,
	ORANGE_5: ORANGE_5,
	PURPLE_1: PURPLE_1,
	PURPLE_2: PURPLE_2,
	PURPLE_3: PURPLE_3,
	PURPLE_4: PURPLE_4,
	PURPLE_5: PURPLE_5,
	PURPLE_6: PURPLE_6,
	PURPLE_7: PURPLE_7,
	RED_1: RED_1,
	RED_2: RED_2,
	RED_3: RED_3,
	RED_4: RED_4,
	RED_5: RED_5,
	TEAL_1: TEAL_1,
	TEAL_2: TEAL_2,
	TEAL_3: TEAL_3,
	TEAL_4: TEAL_4,
	TEAL_5: TEAL_5,
	WHITE: WHITE,
	YELLOW_1: YELLOW_1,
	YELLOW_2: YELLOW_2,
	YELLOW_3: YELLOW_3,
	YELLOW_4: YELLOW_4,
	YELLOW_5: YELLOW_5
};

var colors$2 = /*#__PURE__*/Object.freeze({
  __proto__: null,
  BITBUCKET: BITBUCKET,
  BLACK: BLACK,
  BLUE_1: BLUE_1,
  BLUE_2: BLUE_2,
  BLUE_3: BLUE_3,
  BLUE_4: BLUE_4,
  BLUE_5: BLUE_5,
  CYAN_1: CYAN_1,
  CYAN_2: CYAN_2,
  CYAN_3: CYAN_3,
  CYAN_4: CYAN_4,
  CYAN_5: CYAN_5,
  GATSBY: GATSBY,
  GITLAB: GITLAB,
  GRAY_1: GRAY_1,
  GRAY_2: GRAY_2,
  GRAY_3: GRAY_3,
  GRAY_4: GRAY_4,
  GRAY_5: GRAY_5,
  GRAY_6: GRAY_6,
  GRAY_7: GRAY_7,
  GREEN_1: GREEN_1,
  GREEN_2: GREEN_2,
  GREEN_3: GREEN_3,
  GREEN_4: GREEN_4,
  GREEN_5: GREEN_5,
  ORANGE_1: ORANGE_1,
  ORANGE_2: ORANGE_2,
  ORANGE_3: ORANGE_3,
  ORANGE_4: ORANGE_4,
  ORANGE_5: ORANGE_5,
  PURPLE_1: PURPLE_1,
  PURPLE_2: PURPLE_2,
  PURPLE_3: PURPLE_3,
  PURPLE_4: PURPLE_4,
  PURPLE_5: PURPLE_5,
  PURPLE_6: PURPLE_6,
  PURPLE_7: PURPLE_7,
  RED_1: RED_1,
  RED_2: RED_2,
  RED_3: RED_3,
  RED_4: RED_4,
  RED_5: RED_5,
  TEAL_1: TEAL_1,
  TEAL_2: TEAL_2,
  TEAL_3: TEAL_3,
  TEAL_4: TEAL_4,
  TEAL_5: TEAL_5,
  WHITE: WHITE,
  YELLOW_1: YELLOW_1,
  YELLOW_2: YELLOW_2,
  YELLOW_3: YELLOW_3,
  YELLOW_4: YELLOW_4,
  YELLOW_5: YELLOW_5,
  'default': colors$1
});

var Z_INDEX_NAVIGATION = 100;
var Z_INDEX_DROPDOWN = 200;
var Z_INDEX_NOTIFICATIONS = 300;
var Z_INDEX_OVERLAY = 400;
var Z_INDEX_MODAL = 500;

var zIndex = /*#__PURE__*/Object.freeze({
  __proto__: null,
  Z_INDEX_NAVIGATION: Z_INDEX_NAVIGATION,
  Z_INDEX_DROPDOWN: Z_INDEX_DROPDOWN,
  Z_INDEX_NOTIFICATIONS: Z_INDEX_NOTIFICATIONS,
  Z_INDEX_OVERLAY: Z_INDEX_OVERLAY,
  Z_INDEX_MODAL: Z_INDEX_MODAL
});

var getDisplayName = function getDisplayName(component) {
  return component.displayName || component.name || 'Unknown';
};
var DTIcon = function DTIcon(props, propName, componentName) {
  var prop = props[propName];
  var error = null;
  React.Children.forEach(prop, function (child) {
    if (getDisplayName(child.type) !== 'Icon') {
      error = new Error("`".concat(componentName, "` only accepts children of type `Icon`."));
    }
  });
  return error;
};
DTIcon.isRequired = function (props, propName, componentName) {
  return props[propName] == null ? new Error("".concat(propName, " is required in `").concat(componentName, "`")) : DTIcon(props, propName, componentName);
};
var FAIcon = PropTypes__default["default"].shape({
  icon: PropTypes__default["default"].arrayOf(PropTypes__default["default"].oneOfType([PropTypes__default["default"].arrayOf(PropTypes__default["default"].any), PropTypes__default["default"].number, PropTypes__default["default"].string])).isRequired,
  iconName: PropTypes__default["default"].string.isRequired,
  prefix: PropTypes__default["default"].string.isRequired
});
var HeadingLevel = PropTypes__default["default"].oneOf([1, 2, 3, 4, 5, 6]);

var _excluded$13 = ["alt", "icon"];
function ownKeys$1n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1n(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Icon = function Icon(_ref) {
  var alt = _ref.alt,
    icon = _ref.icon,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$13);
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [alt ? /*#__PURE__*/jsxRuntime.jsx("span", {
      className: "sr-only",
      children: alt
    }) : null, /*#__PURE__*/jsxRuntime.jsx(reactFontawesome.FontAwesomeIcon, _objectSpread$1n({
      icon: icon
    }, rest))]
  });
};
Icon.defaultProps = {
  alt: ''
};
Icon.propTypes = {
  alt: PropTypes__default["default"].string,
  icon: FAIcon.isRequired
};
var Icon$1 = Icon;

var _excluded$12 = ["type"];
function ownKeys$1m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1m(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typesCSS$2 = {
  danger: 'bg-red-2',
  info: 'bg-blue-2',
  "new": 'bg-yellow-3',
  disabled: 'bg-gray-3',
  success: 'bg-green-2',
  warning: 'bg-orange-2'
};
var StatusIndicator = function StatusIndicator(_ref) {
  var type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$12);
  return /*#__PURE__*/jsxRuntime.jsx("span", _objectSpread$1m({
    "aria-hidden": "true",
    className: "status-indicator inline-block rounded-full ".concat(typesCSS$2[type]),
    focusable: "false",
    role: "img"
  }, rest));
};
StatusIndicator.propTypes = {
  type: PropTypes__default["default"].oneOf(['danger', 'info', 'new', 'disabled', 'success', 'warning']).isRequired
};
var StatusIndicator$1 = StatusIndicator;

var _excluded$11 = ["icon", "imgAltText", "imgSrc", "size"];
function ownKeys$1l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1l(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var avatarContainer = 'bg-gray-2 rounded-full text-gray-5 inline-flex justify-center items-center overflow-hidden text-center';
var fontSize = {
  small: 'text-sm',
  "default": 'text-base',
  large: 'text-xl',
  xlarge: 'text-2xl'
};
var heightWidth = {
  small: 'h-4 w-4',
  "default": 'h-6 w-6',
  large: 'h-8 w-8',
  xlarge: 'h-10 w-10'
};
var Avatar = function Avatar(_ref) {
  var icon = _ref.icon,
    imgAltText = _ref.imgAltText,
    imgSrc = _ref.imgSrc,
    size = _ref.size,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$11);
  var avatar = /*#__PURE__*/jsxRuntime.jsx(Icon$1, _objectSpread$1l({
    alt: imgAltText,
    icon: icon,
    transform: "shrink-2"
  }, rest));
  if (imgSrc) {
    avatar = /*#__PURE__*/jsxRuntime.jsx("img", _objectSpread$1l({
      alt: imgAltText,
      className: "align-middle ".concat(heightWidth[size]),
      src: imgSrc
    }, rest));
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "".concat(avatarContainer, " ").concat(heightWidth[size], " ").concat(fontSize[size]),
    children: avatar
  });
};
Avatar.defaultProps = {
  icon: proSolidSvgIcons.faUser,
  imgAltText: '',
  imgSrc: undefined,
  size: 'default'
};
Avatar.propTypes = {
  icon: FAIcon,
  imgAltText: PropTypes__default["default"].string,
  imgSrc: PropTypes__default["default"].string,
  size: PropTypes__default["default"].oneOf(['small', 'default', 'large', 'xlarge'])
};

// Team variant
// TODO: no need for a unique React component, should be deprecated in favor of <Avatar />

var AvatarTeam = function AvatarTeam(_ref2) {
  var props = _extends__default["default"]({}, (_objectDestructuringEmpty__default["default"](_ref2), _ref2));
  return /*#__PURE__*/jsxRuntime.jsx(Avatar, _objectSpread$1l({}, props));
};
AvatarTeam.defaultProps = {
  icon: proSolidSvgIcons.faUsers
};
var Avatar$1 = Avatar;

var _excluded$10 = ["children", "className", "disabled", "isLoading", "isSubmit", "onClick", "size"];
function ownKeys$1k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1k(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var sizes$2 = {
  "default": '',
  small: 'button-small'
};

// TODO: Change "children" to an actual prop. A button should not allow any child within it.
var ButtonBase$1 = function ButtonBase(_ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    isLoading = _ref.isLoading,
    isSubmit = _ref.isSubmit,
    onClick = _ref.onClick,
    size = _ref.size,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$10);
  return /*#__PURE__*/jsxRuntime.jsxs("button", _objectSpread$1k(_objectSpread$1k({
    className: "".concat(className, " ").concat(sizes$2[size] || ''),
    disabled: disabled || isLoading,
    onClick: onClick,
    type: isSubmit ? 'submit' : 'button'
  }, rest), {}, {
    children: [isLoading && /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
      children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
        icon: proSolidSvgIcons.faSpinnerThird,
        spin: true
      }), ' ']
    }), children]
  }));
};
ButtonBase$1.defaultProps = {
  className: '',
  disabled: false,
  isLoading: false,
  isSubmit: false,
  size: 'default'
};
ButtonBase$1.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  disabled: PropTypes__default["default"].bool,
  isLoading: PropTypes__default["default"].bool,
  isSubmit: PropTypes__default["default"].bool,
  onClick: PropTypes__default["default"].func.isRequired,
  size: PropTypes__default["default"].oneOf(['default', 'small'])
};
var ButtonBase$2 = ButtonBase$1;

var _excluded$$ = ["children", "type"];
function ownKeys$1j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1j(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles$6 = {
  danger: 'button-danger',
  primary: 'button-primary',
  'primary-alternate': 'button-primary-alternate',
  secondary: 'button-secondary',
  subtle: 'button-subtle',
  tertiary: 'button-tertiary',
  warning: 'button-warning'
};
var Button$2 = function Button(_ref) {
  var children = _ref.children,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$$);
  return /*#__PURE__*/jsxRuntime.jsx(ButtonBase$2, _objectSpread$1j(_objectSpread$1j({
    className: typeStyles$6[type] || ''
  }, rest), {}, {
    children: children
  }));
};
Button$2.defaultProps = {
  disabled: false,
  isLoading: false,
  isSubmit: false,
  type: 'secondary'
};
Button$2.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  isLoading: PropTypes__default["default"].bool,
  isSubmit: PropTypes__default["default"].bool,
  type: PropTypes__default["default"].oneOf(['danger', 'primary', 'primary-alternate', 'secondary', 'subtle', 'tertiary', 'warning'])
};
var Button$3 = Button$2;

var ButtonGroup = function ButtonGroup(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "button-group ".concat(className || ''),
    children: children
  });
};
ButtonGroup.defaultProps = {
  className: ''
};
ButtonGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string
};
var ButtonGroup$1 = ButtonGroup;

var useClipboard = function useClipboard(text, options) {
  var _useState = React.useState(false),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    isCopied = _useState2[0],
    setIsCopied = _useState2[1];
  var duration = options && options.duration;
  React.useEffect(function () {
    var id;
    if (isCopied && duration) {
      id = setTimeout(function () {
        setIsCopied(false);
      }, duration);
    }
    return function () {
      if (id) {
        clearTimeout(id);
      }
    };
  }, [isCopied, duration]);
  var doCopy = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator__default["default"]( /*#__PURE__*/_regeneratorRuntime__default["default"].mark(function _callee() {
      return _regeneratorRuntime__default["default"].wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!navigator.clipboard) {
                _context.next = 9;
                break;
              }
              _context.prev = 1;
              _context.next = 4;
              return navigator.clipboard.writeText(text);
            case 4:
              setIsCopied(true);
              _context.next = 9;
              break;
            case 7:
              _context.prev = 7;
              _context.t0 = _context["catch"](1);
            case 9:
            case "end":
              return _context.stop();
          }
        }
      }, _callee, null, [[1, 7]]);
    }));
    return function doCopy() {
      return _ref.apply(this, arguments);
    };
  }();
  return [isCopied, doCopy];
};
var useClipboard$1 = useClipboard;

var _excluded$_ = ["children", "clipboardOptions", "clipboardText", "type"];
function ownKeys$1i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1i(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles$5 = {
  primary: 'button-primary',
  secondary: 'button-secondary',
  subtle: 'button-subtle',
  tertiary: 'button-tertiary'
};
var ClipboardButton = function ClipboardButton(_ref) {
  var children = _ref.children,
    clipboardOptions = _ref.clipboardOptions,
    clipboardText = _ref.clipboardText,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$_);
  var _useClipboard = useClipboard$1(clipboardText, clipboardOptions),
    _useClipboard2 = _slicedToArray__default["default"](_useClipboard, 2),
    isCopied = _useClipboard2[0],
    setIsCopied = _useClipboard2[1];
  var getChildContent = function getChildContent() {
    var props = {
      isCopied: isCopied
    };
    if (typeof children === 'function') {
      return children(props);
    }
    return children;
  };
  return /*#__PURE__*/jsxRuntime.jsx("button", _objectSpread$1i(_objectSpread$1i({
    className: typeStyles$5[type] || '',
    onClick: setIsCopied,
    type: "button"
  }, rest), {}, {
    children: getChildContent()
  }));
};
ClipboardButton.defaultProps = {
  clipboardOptions: {},
  clipboardText: '',
  type: 'primary'
};
ClipboardButton.propTypes = {
  children: PropTypes__default["default"].oneOfType([PropTypes__default["default"].node, PropTypes__default["default"].func]).isRequired,
  clipboardOptions: PropTypes__default["default"].shape({
    duration: PropTypes__default["default"].number
  }),
  clipboardText: PropTypes__default["default"].string,
  type: PropTypes__default["default"].oneOf(['primary', 'secondary', 'subtle', 'tertiary'])
};
var ClipboardButton$1 = ClipboardButton;

var closeButtonStyles = {
  danger: 'text-red-4 hover:text-red-4',
  "default": 'text-gray-4 close-button-hover-default',
  info: 'text-blue-4 hover:text-blue-4',
  pantheor: 'text-purple-4 hover:text-purple-4',
  success: 'text-green-4 hover:text-green-4',
  warning: 'text-orange-4 hover:text-orange-4'
};
var CloseButton = function CloseButton(_ref) {
  var callback = _ref.callback,
    className = _ref.className,
    type = _ref.type;
  return /*#__PURE__*/jsxRuntime.jsx(ButtonBase$2, {
    "aria-label": "Close",
    className: "close-button ".concat(className || '', " ").concat(closeButtonStyles[type] || closeButtonStyles["default"]),
    onClick: callback,
    children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: proSolidSvgIcons.faTimes
    })
  });
};
CloseButton.defaultProps = {
  className: '',
  type: 'default'
};
CloseButton.propTypes = {
  callback: PropTypes__default["default"].func.isRequired,
  className: PropTypes__default["default"].string,
  type: PropTypes__default["default"].string
};
var CloseButton$1 = CloseButton;

var _excluded$Z = ["children", "disabled", "isLoading", "size", "type"];
function ownKeys$1h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1h(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var sizeStyles = {
  small: 'button-small',
  "default": ''
};
var typeStyles$4 = {
  primary: 'button-primary',
  secondary: 'button-secondary',
  subtle: 'button-subtle',
  tertiary: 'button-tertiary'
};
var DropdownButton = function DropdownButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    isLoading = _ref.isLoading,
    size = _ref.size,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$Z);
  var icon = isLoading ? proSolidSvgIcons.faSpinnerThird : proSolidSvgIcons.faChevronDown;
  return /*#__PURE__*/jsxRuntime.jsxs(menuButton.MenuButton, _objectSpread$1h(_objectSpread$1h({
    className: "".concat(typeStyles$4[type] || '', " ").concat(sizeStyles[size] || ''),
    disabled: disabled || isLoading
  }, rest), {}, {
    children: [children, " ", /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      "aria-hidden": true,
      icon: icon,
      spin: isLoading
    })]
  }));
};
DropdownButton.defaultProps = {
  disabled: false,
  isLoading: false,
  size: 'default'
};
DropdownButton.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Whether the button is in a disabled state or not
   */
  disabled: PropTypes__default["default"].bool,
  /**
   * Whether the button is in a loading state or not
   */
  isLoading: PropTypes__default["default"].bool,
  /**
   * Size of the button
   */
  size: PropTypes__default["default"].oneOf(['default', 'small']),
  /**
   * Variant of the button
   */
  type: PropTypes__default["default"].oneOf(['primary', 'secondary', 'subtle', 'tertiary']).isRequired
};
var DropdownButton$1 = DropdownButton;

var _excluded$Y = ["ariaLabel", "children", "disabled", "imgSrc", "imgAltText", "isPersonal"];
function ownKeys$1g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1g(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var GlobalPrimaryContextButton = function GlobalPrimaryContextButton(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    disabled = _ref.disabled,
    imgSrc = _ref.imgSrc,
    imgAltText = _ref.imgAltText,
    isPersonal = _ref.isPersonal,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$Y);
  return /*#__PURE__*/jsxRuntime.jsxs(menuButton.MenuButton, _objectSpread$1g(_objectSpread$1g({
    "aria-label": ariaLabel,
    className: "button-subtle",
    disabled: disabled
  }, rest), {}, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("div", {
      className: "relative mb-1 h-10",
      children: [isPersonal ? /*#__PURE__*/jsxRuntime.jsx(Avatar$1, {
        imgAltText: imgAltText,
        imgSrc: imgSrc,
        size: "xlarge"
      }) : /*#__PURE__*/jsxRuntime.jsx(AvatarTeam, {
        imgAltText: imgAltText,
        imgSrc: imgSrc,
        size: "xlarge"
      }), /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
        "aria-hidden": true,
        className: "absolute right-2 top-1/2 transform -translate-y-1/2",
        icon: proSolidSvgIcons.faChevronDown
      })]
    }), children]
  }));
};
GlobalPrimaryContextButton.defaultProps = {
  disabled: false,
  imgAltText: '',
  imgSrc: '',
  isPersonal: false
};
GlobalPrimaryContextButton.propTypes = {
  /**
   * ARIA label for button
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  /**
   * The disabled state of the button
   */
  disabled: PropTypes__default["default"].bool,
  /**
   * Alternative text for the icon/avatar
   */
  imgAltText: PropTypes__default["default"].string,
  /**
   * Image or icon to use other than the default team icon
   */
  imgSrc: PropTypes__default["default"].string,
  /**
   * Set whether to use a personal avatar image or icon
   */
  isPersonal: PropTypes__default["default"].bool
};
var GlobalPrimaryContextButton$1 = GlobalPrimaryContextButton;

// eslint-disable-next-line import/prefer-default-export
var ACTIVE_STATE_CLASS_NAME = 'active';

var _excluded$X = ["children", "disabled", "icon", "path"];
function ownKeys$1f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1f(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var GlobalPrimaryDropdownButton = function GlobalPrimaryDropdownButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    icon = _ref.icon,
    path = _ref.path,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$X);
  var activeMatch = reactRouterDom.useMatch(path);
  var className = activeMatch ? "button-subtle ".concat(ACTIVE_STATE_CLASS_NAME) : 'button-subtle';
  return /*#__PURE__*/jsxRuntime.jsxs(menuButton.MenuButton, _objectSpread$1f(_objectSpread$1f({
    className: className,
    disabled: disabled
  }, rest), {}, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("div", {
      className: "relative mb-1",
      children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
        icon: icon,
        size: "lg"
      }), /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
        "aria-hidden": true,
        className: "absolute right-1/2 top-1/2 transform translate-x-6 -translate-y-1/2",
        icon: proSolidSvgIcons.faChevronDown
      })]
    }), /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "mt-1",
      children: children
    })]
  }));
};
GlobalPrimaryDropdownButton.defaultProps = {
  disabled: false
};
GlobalPrimaryDropdownButton.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  /**
   * The disabled state of the button
   */
  disabled: PropTypes__default["default"].bool,
  /**
   * Icon to use for the button
   */
  icon: FAIcon.isRequired,
  /**
   * Path scope (i.e.: 'support/*')
   */
  path: PropTypes__default["default"].string.isRequired
};
var GlobalPrimaryDropdownButton$1 = GlobalPrimaryDropdownButton;

var _excluded$W = ["ariaLabel", "disabled", "icon", "isLoading", "size"];
function ownKeys$1e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1e(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var IconDropdownButton = function IconDropdownButton(_ref) {
  var ariaLabel = _ref.ariaLabel,
    disabled = _ref.disabled,
    icon = _ref.icon,
    isLoading = _ref.isLoading,
    size = _ref.size,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$W);
  var menuIcon = isLoading ? proSolidSvgIcons.faSpinnerThird : icon;
  return /*#__PURE__*/jsxRuntime.jsx(menuButton.MenuButton, _objectSpread$1e(_objectSpread$1e({
    "aria-label": ariaLabel,
    className: "icon-dropdown-button",
    disabled: disabled || isLoading
  }, rest), {}, {
    children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      "aria-hidden": true,
      icon: menuIcon,
      size: size,
      spin: isLoading
    })
  }));
};
IconDropdownButton.defaultProps = {
  disabled: false,
  isLoading: false,
  size: '2x'
};
IconDropdownButton.propTypes = {
  /**
   * ARIA label that describes the purpose of this button
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  /**
   * Whether the button is in a disabled state or not
   */
  disabled: PropTypes__default["default"].bool,
  /**
   * Which icon will the button be
   */
  icon: FAIcon.isRequired,
  /**
   * Whether the button is in a loading state or not
   */
  isLoading: PropTypes__default["default"].bool,
  /**
   * Size of the icon
   */
  size: PropTypes__default["default"].oneOf(['xs', 'sm', 'lg', '2x', '3x', '4x', '5x', '6x', '7x', '8x', '9x', '10x'])
};
var IconDropdownButton$1 = IconDropdownButton;

var _excluded$V = ["children", "disabled", "href", "type"];
function ownKeys$1d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1d(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles$3 = {
  primary: 'link-primary',
  secondary: 'link-secondary',
  subtle: 'link-subtle',
  tertiary: 'link-tertiary',
  github: 'link-github',
  gitlab: 'link-gitlab',
  bitbucket: 'link-bitbucket'
};
var LinkButton = function LinkButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    href = _ref.href,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$V);
  var style = typeStyles$3[type] || '';
  return disabled ? /*#__PURE__*/jsxRuntime.jsx(ButtonBase$2, _objectSpread$1d(_objectSpread$1d({
    className: style,
    disabled: true,
    onClick: function onClick() {}
  }, rest), {}, {
    children: children
  })) : /*#__PURE__*/jsxRuntime.jsx("a", _objectSpread$1d(_objectSpread$1d({
    className: style,
    href: href
  }, rest), {}, {
    children: children
  }));
};
LinkButton.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  href: PropTypes__default["default"].string.isRequired,
  type: PropTypes__default["default"].oneOf(Object.keys(typeStyles$3)).isRequired
};
LinkButton.defaultProps = {
  disabled: false
};
var LinkButton$1 = LinkButton;

var _excluded$U = ["ariaLabel", "isLoading"];
function ownKeys$1c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1c(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MeatballDropdownButton = function MeatballDropdownButton(_ref) {
  var ariaLabel = _ref.ariaLabel,
    isLoading = _ref.isLoading,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$U);
  return /*#__PURE__*/jsxRuntime.jsx(IconDropdownButton$1, _objectSpread$1c({
    ariaLabel: ariaLabel,
    className: "w-10 h-10 px-4 py-0 border-solid border-gray-3",
    icon: proSolidSvgIcons.faEllipsisV,
    isLoading: isLoading,
    size: "sm"
  }, rest));
};
MeatballDropdownButton.defaultProps = {
  isLoading: false
};
MeatballDropdownButton.propTypes = {
  /**
   * ARIA label that describes the purpose of this button
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  /**
   * Whether the button is in a loading state or not
   */
  isLoading: PropTypes__default["default"].bool
};
var MeatballDropdownButton$1 = MeatballDropdownButton;

var _excluded$T = ["children", "disabled", "to", "type"];
function ownKeys$1b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1b(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles$2 = {
  primary: 'link-primary',
  secondary: 'link-secondary',
  subtle: 'link-subtle',
  tertiary: 'link-tertiary'
};
var RouterLinkButton = function RouterLinkButton(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    to = _ref.to,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$T);
  var style = typeStyles$2[type] || '';
  return disabled ? /*#__PURE__*/jsxRuntime.jsx(ButtonBase$2, _objectSpread$1b(_objectSpread$1b({
    className: style,
    disabled: true,
    onClick: function onClick() {}
  }, rest), {}, {
    children: children
  })) : /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Link, _objectSpread$1b(_objectSpread$1b({
    className: style,
    to: to
  }, rest), {}, {
    children: children
  }));
};
RouterLinkButton.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  to: PropTypes__default["default"].string.isRequired,
  type: PropTypes__default["default"].oneOf(['primary', 'secondary', 'subtle', 'tertiary']).isRequired
};
RouterLinkButton.defaultProps = {
  disabled: false
};
var RouterLinkButton$1 = RouterLinkButton;

var _excluded$S = ["children", "size"];
function ownKeys$1a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1a(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var DropdownMenu = function DropdownMenu(_ref) {
  var children = _ref.children,
    size = _ref.size,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$S);
  var sizeStyles;
  if (size === 'large') {
    sizeStyles = {
      maxWidth: 588,
      width: "".concat(100 / 2, "vw")
    };
  } else if (size === 'small') {
    sizeStyles = {
      maxWidth: 294,
      width: "".concat(100 / 4, "vw")
    };
  } else {
    sizeStyles = {
      maxWidth: 392,
      width: "".concat(100 / 3, "vw")
    };
  }
  return /*#__PURE__*/jsxRuntime.jsx(menuButton.MenuList, _objectSpread$1a(_objectSpread$1a({}, rest), {}, {
    className: "bg-white border border-solid border-gray-3 rounded shadow-dropdown mt-1 overflow-hidden dd-styles",
    style: sizeStyles,
    children: children
  }));
};
DropdownMenu.defaultProps = {
  size: 'default'
};
DropdownMenu.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Set the width and maximum width of the menu overlay (list of items)
   */
  size: PropTypes__default["default"].oneOf(['default', 'large', 'small'])
};
var DropdownMenu$1 = DropdownMenu;

function ownKeys$19(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$19(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$19(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$19(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ToggleButton$2 = function ToggleButton(_ref) {
  var disabled = _ref.disabled,
    getToggleButtonProps = _ref.getToggleButtonProps,
    setTouched = _ref.setTouched,
    toggleButtonLabelText = _ref.toggleButtonLabelText;
  return /*#__PURE__*/jsxRuntime.jsx("button", _objectSpread$19(_objectSpread$19({}, getToggleButtonProps({
    onClick: function onClick() {
      return setTouched(true);
    }
  })), {}, {
    "aria-label": toggleButtonLabelText,
    className: "absolute top-0 right-0 p-2 border-0",
    disabled: disabled,
    type: "button",
    children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: proLightSvgIcons.faChevronDown
    })
  }));
};
ToggleButton$2.defaultProps = {
  disabled: false
};
ToggleButton$2.propTypes = {
  disabled: PropTypes__default["default"].bool,
  getToggleButtonProps: PropTypes__default["default"].func.isRequired,
  setTouched: PropTypes__default["default"].func.isRequired,
  toggleButtonLabelText: PropTypes__default["default"].string.isRequired
};
var ToggleButton$3 = ToggleButton$2;

var _excluded$R = ["disabled", "field", "getToggleButtonProps", "hideDownButton", "initialValue", "inputRef", "noBorder", "onBlur", "toggleButtonLabelText", "userInput", "validate", "validateOnBlur", "validateOnChange", "validateOnMount"];
function ownKeys$18(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$18(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$18(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$18(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Input = function Input(props) {
  var disabled = props.disabled;
    props.field;
    var getToggleButtonProps = props.getToggleButtonProps,
    hideDownButton = props.hideDownButton;
    props.initialValue;
    var inputRef = props.inputRef,
    noBorder = props.noBorder,
    onBlur = props.onBlur,
    toggleButtonLabelText = props.toggleButtonLabelText,
    userInput = props.userInput;
    props.validate;
    var validateOnBlur = props.validateOnBlur,
    validateOnChange = props.validateOnChange,
    validateOnMount = props.validateOnMount,
    rest = _objectWithoutProperties__default["default"](props, _excluded$R);
  /**
   * if you need a custom onBlur or onChange etc, get it from 'props' because Informed
   * will not pass it on through the 'userProps' that you get back from useField
   */

  var _useField = informed.useField(props),
    fieldApi = _useField.fieldApi,
    fieldState = _useField.fieldState;
  var setTouched = fieldApi.setTouched;
  var error = fieldState.error,
    touched = fieldState.touched,
    value = fieldState.value;
  var validation = validateOnBlur || validateOnChange || validateOnMount;
  var statusClass = value && !error && touched && validation ? 'success' : value && error && 'error';
  var handleBlur = function handleBlur(event) {
    onBlur(event);
    setTouched(true);
  };
  var handleClick = function handleClick() {
    setTouched(true);
  };
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      className: "absolute w-4 h-10 mx-2 my-0",
      icon: proLightSvgIcons.faSearch
    }), /*#__PURE__*/jsxRuntime.jsx("input", _objectSpread$18(_objectSpread$18({}, rest), {}, {
      className: "custom-field ".concat(noBorder ? 'no-border' : '', " ").concat(statusClass || '', " custom-input"),
      disabled: disabled,
      onBlur: handleBlur,
      onClick: handleClick,
      ref: inputRef,
      type: "text",
      value: userInput
    })), !hideDownButton && /*#__PURE__*/jsxRuntime.jsx(ToggleButton$3, {
      disabled: disabled,
      getToggleButtonProps: getToggleButtonProps,
      setTouched: setTouched,
      toggleButtonLabelText: toggleButtonLabelText
    }), error && /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-red-3",
      children: error
    })]
  });
};
Input.defaultProps = {
  disabled: false,
  hideDownButton: false,
  initialValue: '',
  noBorder: false,
  onBlur: function onBlur() {},
  toggleButtonLabelText: undefined,
  userInput: ''
};
Input.propTypes = {
  disabled: PropTypes__default["default"].bool,
  field: PropTypes__default["default"].string.isRequired,
  getToggleButtonProps: PropTypes__default["default"].func.isRequired,
  hideDownButton: PropTypes__default["default"].bool,
  initialValue: PropTypes__default["default"].string,
  inputRef: PropTypes__default["default"].func.isRequired,
  noBorder: PropTypes__default["default"].bool,
  onBlur: PropTypes__default["default"].func,
  toggleButtonLabelText: PropTypes__default["default"].string,
  userInput: PropTypes__default["default"].string,
  validate: PropTypes__default["default"].func.isRequired,
  validateOnBlur: PropTypes__default["default"].bool.isRequired,
  validateOnChange: PropTypes__default["default"].bool.isRequired,
  validateOnMount: PropTypes__default["default"].bool.isRequired
};
var Input$1 = Input;

function ownKeys$17(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$17(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$17(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$17(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var alwaysOpenTextStyle = 'py-1.5 px-3';
var textStyle = 'absolute py-1.5 px-3 left-0 w-full bg-white rounded top-full shadow-dropdown z-dropdown';
var Combobox = function Combobox(_ref) {
  var disabled = _ref.disabled,
    dropdownHeaderText = _ref.dropdownHeaderText,
    field = _ref.field,
    hideDownButton = _ref.hideDownButton,
    hideLabel = _ref.hideLabel,
    initialValue = _ref.initialValue,
    isLoading = _ref.isLoading,
    items = _ref.items,
    itemsAlwaysOpen = _ref.itemsAlwaysOpen,
    labelText = _ref.labelText,
    loadingText = _ref.loadingText,
    maxVisible = _ref.maxVisible,
    noBorder = _ref.noBorder,
    noResultsText = _ref.noResultsText,
    onBlur = _ref.onBlur,
    onItemSelect = _ref.onItemSelect,
    placeholder = _ref.placeholder,
    toggleButtonLabelText = _ref.toggleButtonLabelText,
    validate = _ref.validate,
    validateOnBlur = _ref.validateOnBlur,
    validateOnChange = _ref.validateOnChange,
    validateOnMount = _ref.validateOnMount;
  var _useState = React.useState(items),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    filteredItems = _useState2[0],
    setFilteredItems = _useState2[1];
  var initialItem = initialValue ? items.find(function (item) {
    return item.value === initialValue;
  }) : null;
  var initialDisplayValue = initialItem ? initialItem.displayName : initialValue;
  var _useState3 = React.useState(initialDisplayValue),
    _useState4 = _slicedToArray__default["default"](_useState3, 2),
    userInput = _useState4[0],
    setUserInput = _useState4[1];
  var formApi = informed.useFormApi();

  /**
   * needed to handle items that arrive asynchronously, after initial mount/render and state is
   * set. list filtering is being handled in this useEffect now instead of using the downshift hook,
   * in order to correctly handle user input, and apply the filter, prior to items arriving
   */
  React.useEffect(function () {
    var input = userInput ? userInput.toLowerCase() : userInput;
    if (input) {
      setFilteredItems(items.filter(function (_ref2) {
        var searchIndex = _ref2.searchIndex;
        return searchIndex.some(function (item) {
          return item.toLowerCase().includes(input);
        });
      }));
    } else {
      // If there is no input, show all the items.
      setFilteredItems(items);
    }
  }, [items, userInput]);
  formApi.emitter.on('reset', function () {
    setUserInput(initialDisplayValue);
  });
  formApi.emitter.on('value', function (fieldName, value) {
    if (field === fieldName) {
      var itemChange = items.find(function (item) {
        return item.value === value;
      });
      setUserInput(itemChange ? itemChange.displayName : value);
    }
  });
  var _useCombobox = downshift.useCombobox({
      items: filteredItems,
      itemToString: function itemToString(item) {
        return item ? item.displayName : '';
      },
      onInputValueChange: function onInputValueChange(_ref3) {
        var _ref3$inputValue = _ref3.inputValue,
          inputValue = _ref3$inputValue === void 0 ? '' : _ref3$inputValue;
        return setUserInput(inputValue);
      },
      onSelectedItemChange: function onSelectedItemChange(item) {
        var selectedItem = item.selectedItem;
        // This can't be bound on initial mount, as the child component doesn't exist yet.
        var _formApi$getField = formApi.getField(field),
          fieldApi = _formApi$getField.fieldApi;
        fieldApi.setValue(selectedItem === null || selectedItem === void 0 ? void 0 : selectedItem.value);
        onItemSelect(selectedItem);
      }
    }),
    isOpen = _useCombobox.isOpen,
    getComboboxProps = _useCombobox.getComboboxProps,
    getInputProps = _useCombobox.getInputProps,
    getItemProps = _useCombobox.getItemProps,
    getLabelProps = _useCombobox.getLabelProps,
    getMenuProps = _useCombobox.getMenuProps,
    getToggleButtonProps = _useCombobox.getToggleButtonProps,
    highlightedIndex = _useCombobox.highlightedIndex;
  var showNoResultsText = noResultsText.length > 0 && filteredItems.length === 0;
  var hasDropdownHeader = dropdownHeaderText.length > 0 && items.length > 0;
  var remCalculation = hasDropdownHeader ? maxVisible * 2.25 + 2.25 // an extra 2.25rem to account for the dropdown header
  : maxVisible * 2.25;
  var itemsHeader = hasDropdownHeader ? /*#__PURE__*/jsxRuntime.jsx("li", {
    className: "m-0 pt-3 pb-1 px-3 font-semibold text-sm uppercase text-gray-4",
    children: dropdownHeaderText
  }) : null;
  var itemsList = filteredItems.map(function (item, index) {
    return /*#__PURE__*/jsxRuntime.jsx("li", _objectSpread$17(_objectSpread$17({
      className: "m-0 ".concat(item.isUnprivileged ? 'unprivileged-item-combobox' : "py-1.5 px-3 ".concat(index === highlightedIndex && 'bg-cyan-1 text-blue-4'))
      // eslint-disable-next-line react/no-array-index-key
    }, getItemProps({
      index: index
    })), {}, {
      children: item.content
    }), "".concat(item.id, "-").concat(index));
  });
  var itemsDisplay = itemsAlwaysOpen ? /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("ul", _objectSpread$17(_objectSpread$17({}, getMenuProps({
      className: 'pl-0 m-0 overflow-y-auto list-none'
    })), {}, {
      style: {
        maxHeight: "".concat(remCalculation, "rem")
      },
      children: [itemsHeader, !isLoading && itemsList]
    })), isLoading && /*#__PURE__*/jsxRuntime.jsx("div", {
      className: alwaysOpenTextStyle,
      children: loadingText
    }), !isLoading && showNoResultsText && /*#__PURE__*/jsxRuntime.jsx("div", {
      className: alwaysOpenTextStyle,
      children: noResultsText
    })]
  }) : /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("ul", _objectSpread$17(_objectSpread$17({}, getMenuProps({
      className: 'absolute left-0 w-full pl-0 m-0 overflow-y-auto list-none bg-white rounded top-full shadow-dropdown z-dropdown'
    })), {}, {
      style: {
        maxHeight: "".concat(remCalculation, "rem")
      },
      children: [isOpen && itemsHeader, !isLoading && isOpen && itemsList]
    })), isLoading && isOpen && /*#__PURE__*/jsxRuntime.jsx("div", {
      className: textStyle,
      children: loadingText
    }), !isLoading && isOpen && showNoResultsText && /*#__PURE__*/jsxRuntime.jsx("div", {
      className: textStyle,
      children: noResultsText
    })]
  });
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    className: "relative",
    children: [/*#__PURE__*/jsxRuntime.jsx("label", _objectSpread$17(_objectSpread$17({}, getLabelProps({
      hidden: hideLabel,
      'aria-hidden': hideLabel
    })), {}, {
      children: labelText
    })), /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$17(_objectSpread$17({}, getComboboxProps()), {}, {
      className: "relative combobox",
      children: /*#__PURE__*/jsxRuntime.jsx(Input$1, _objectSpread$17(_objectSpread$17({}, getInputProps({
        disabled: disabled,
        field: field,
        initialValue: initialValue,
        placeholder: placeholder,
        refKey: 'inputRef',
        userInput: userInput,
        validate: validate,
        validateOnBlur: validateOnBlur,
        validateOnChange: validateOnChange,
        validateOnMount: validateOnMount
      })), {}, {
        getToggleButtonProps: getToggleButtonProps,
        hideDownButton: itemsAlwaysOpen || hideDownButton,
        noBorder: noBorder,
        onBlur: onBlur,
        toggleButtonLabelText: toggleButtonLabelText
      }))
    })), itemsDisplay]
  });
};
var ComboboxItemsProptypes = PropTypes__default["default"].arrayOf(PropTypes__default["default"].shape({
  // content - this is what gets displayed in the dropdown
  content: PropTypes__default["default"].node.isRequired,
  // displayName - this is what gets displayed in the input when an item is selected
  displayName: PropTypes__default["default"].string.isRequired,
  // isUnprivileged - this is what determines if the item is unprivileged workspace
  isUnprivileged: PropTypes__default["default"].bool,
  // searchIndex - this is what is being searched as the user types in the input
  searchIndex: PropTypes__default["default"].arrayOf(PropTypes__default["default"].string.isRequired).isRequired,
  // value - this is what we care about, and what we set in the Informed form, for use with a service etc
  value: PropTypes__default["default"].string.isRequired
}));
Combobox.defaultProps = {
  disabled: false,
  dropdownHeaderText: '',
  hideDownButton: false,
  hideLabel: false,
  initialValue: '',
  isLoading: false,
  itemsAlwaysOpen: false,
  loadingText: '',
  maxVisible: 4,
  noBorder: false,
  noResultsText: '',
  onBlur: function onBlur() {},
  onItemSelect: function onItemSelect() {},
  placeholder: '',
  toggleButtonLabelText: undefined,
  validate: function validate() {},
  validateOnBlur: false,
  validateOnChange: false,
  validateOnMount: false
};
Combobox.propTypes = {
  disabled: PropTypes__default["default"].bool,
  dropdownHeaderText: PropTypes__default["default"].string,
  field: PropTypes__default["default"].string.isRequired,
  hideDownButton: PropTypes__default["default"].bool,
  hideLabel: PropTypes__default["default"].bool,
  initialValue: PropTypes__default["default"].string,
  isLoading: PropTypes__default["default"].bool,
  items: ComboboxItemsProptypes.isRequired,
  itemsAlwaysOpen: PropTypes__default["default"].bool,
  labelText: PropTypes__default["default"].string.isRequired,
  loadingText: PropTypes__default["default"].string,
  maxVisible: PropTypes__default["default"].number,
  noBorder: PropTypes__default["default"].bool,
  noResultsText: PropTypes__default["default"].string,
  onBlur: PropTypes__default["default"].func,
  onItemSelect: PropTypes__default["default"].func,
  placeholder: PropTypes__default["default"].string,
  toggleButtonLabelText: PropTypes__default["default"].string,
  validate: PropTypes__default["default"].func,
  validateOnBlur: PropTypes__default["default"].bool,
  validateOnChange: PropTypes__default["default"].bool,
  validateOnMount: PropTypes__default["default"].bool
};
var Combobox$1 = Combobox;

var MenuHeading = function MenuHeading(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "border-b border-t border-solid border-gray-2 first:border-t-0 first:-mt-2",
    children: /*#__PURE__*/jsxRuntime.jsx("p", {
      className: "font-semibold m-0 py-2 px-4 uppercase",
      children: children
    })
  });
};
MenuHeading.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var MenuHeading$1 = MenuHeading;

var _excluded$Q = ["children", "comboboxProps", "dropdownMenuProps", "i18n", "items", "minComboboxItems"];
function ownKeys$16(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$16(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$16(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$16(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MAX_VISIBLE = 8;
var MIN_COMBOBOX_ITEMS = 9;
var GlobalPrimaryDropdownMenu = function GlobalPrimaryDropdownMenu(_ref) {
  var children = _ref.children,
    comboboxProps = _ref.comboboxProps,
    dropdownMenuProps = _ref.dropdownMenuProps,
    i18n = _ref.i18n,
    items = _ref.items,
    minComboboxItems = _ref.minComboboxItems,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$Q);
  var isComboboxVisible = items.length >= minComboboxItems;
  var cboxProps = _objectSpread$16({
    field: 'workspace-switcher'
  }, comboboxProps);
  return isComboboxVisible ? /*#__PURE__*/jsxRuntime.jsxs(menuButton.MenuPopover, _objectSpread$16(_objectSpread$16({
    className: "bg-white border border-gray-2 rounded-sm shadow-dropdown overflow-hidden max-w-sm w-4/12 global-primary-dropdown"
  }, rest), {}, {
    children: [/*#__PURE__*/jsxRuntime.jsx(informed.Form, {
      children: /*#__PURE__*/jsxRuntime.jsx(Combobox$1, _objectSpread$16(_objectSpread$16({}, cboxProps), {}, {
        dropdownHeaderText: i18n.comboboxDropdownHeader,
        hideDownButton: true,
        hideLabel: true,
        items: items,
        itemsAlwaysOpen: true,
        labelText: i18n.labelText,
        maxVisible: MAX_VISIBLE,
        noBorder: true,
        noResultsText: i18n.noResultsText,
        placeholder: i18n.placeholder
      }))
    }), children]
  })) : /*#__PURE__*/jsxRuntime.jsxs(DropdownMenu$1, _objectSpread$16(_objectSpread$16({}, dropdownMenuProps), {}, {
    children: [i18n.menuDropdownHeader && /*#__PURE__*/jsxRuntime.jsx(MenuHeading$1, {
      children: i18n.menuDropdownHeader
    }), items.map(function (item) {
      return item.isUnprivileged ? /*#__PURE__*/jsxRuntime.jsx("div", {
        className: "unprivileged-item",
        children: item.content
      }, item.value) : /*#__PURE__*/jsxRuntime.jsx("div", {
        children: item.content
      }, item.value);
    }), children]
  }));
};
GlobalPrimaryDropdownMenu.defaultProps = {
  children: null,
  comboboxProps: {},
  dropdownMenuProps: {},
  minComboboxItems: MIN_COMBOBOX_ITEMS
};
GlobalPrimaryDropdownMenu.propTypes = {
  children: PropTypes__default["default"].node,
  comboboxProps: PropTypes__default["default"].shape({}),
  dropdownMenuProps: PropTypes__default["default"].shape({}),
  /**
   * Internationalization object to display content in proper language
   */
  i18n: PropTypes__default["default"].shape({
    comboboxDropdownHeader: PropTypes__default["default"].string,
    labelText: PropTypes__default["default"].string.isRequired,
    menuDropdownHeader: PropTypes__default["default"].string,
    noResultsText: PropTypes__default["default"].string,
    placeholder: PropTypes__default["default"].string
  }).isRequired,
  /**
   * Items to display in the combobox list
   */
  items: ComboboxItemsProptypes.isRequired,
  /**
   * Minimum number of items to display
   */
  minComboboxItems: PropTypes__default["default"].number
};
var GlobalPrimaryDropdownMenu$1 = GlobalPrimaryDropdownMenu;

var ButtonSplit = function ButtonSplit(_ref) {
  var primaryAction = _ref.primaryAction,
    type = _ref.type,
    menuItems = _ref.menuItems,
    menuAriaLabel = _ref.menuAriaLabel;
  var actionTypes = {
    link: 'LINK',
    button: 'BUTTON'
  };
  var typeStyle = "button-split button-split--".concat(type);
  var classes = 'button-split--action';
  var pendoTrack = function pendoTrack(name, data) {
    // only operate if the Pendo object/library is loaded
    /* eslint-disable no-undef */
    if (typeof pendo !== 'undefined' && pendo.isReady && pendo.isReady()) {
      return pendo.track(name, data);
    }
    /* eslint-enable no-undef */
    setTimeout(function () {
      pendoTrack(name, data);
    }, 500);
    return null;
  };

  // handles the click by when a callback is passed in, by combining the callback with with the pendo click tracking for both primary actions and menu items.
  var handleClick = function handleClick(label, itemType) {
    var callback = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
    return function () {
      pendoTrack('Button – split', {
        designToolkit: true,
        pattern: 'button - split',
        action: itemType,
        element: label,
        url: window.location.href
      });
      if (callback) {
        callback();
      }
    };
  };

  // renders the primary action item, it returns either a button, anchor, or Link.
  var renderPrimaryAction = function renderPrimaryAction(_ref2) {
    var _ref2$asLink = _ref2.asLink,
      asLink = _ref2$asLink === void 0 ? false : _ref2$asLink,
      _ref2$callback = _ref2.callback,
      callback = _ref2$callback === void 0 ? null : _ref2$callback,
      _ref2$href = _ref2.href,
      href = _ref2$href === void 0 ? null : _ref2$href,
      label = _ref2.label;
    var actionType;
    if (asLink && href) {
      actionType = actionTypes.link;
    } else if (callback) {
      actionType = actionTypes.button;
    }
    switch (actionType) {
      case actionTypes.link:
        return /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Link, {
          className: classes,
          onClick: handleClick(label, 'primary action'),
          to: href,
          children: label
        });
      case actionTypes.button:
        return /*#__PURE__*/jsxRuntime.jsx("button", {
          className: classes,
          onClick: handleClick(label, 'primary action', callback),
          type: "button",
          children: label
        });
      default:
        return /*#__PURE__*/jsxRuntime.jsx("a", {
          className: classes,
          href: href,
          onClick: handleClick(label, 'primary action'),
          children: label
        });
    }
  };

  // renders the menu items
  var renderMenuItem = function renderMenuItem(_ref3) {
    var _ref3$callback = _ref3.callback,
      callback = _ref3$callback === void 0 ? null : _ref3$callback,
      _ref3$href = _ref3.href,
      href = _ref3$href === void 0 ? null : _ref3$href,
      label = _ref3.label;
    if (callback) {
      return /*#__PURE__*/jsxRuntime.jsx(menuButton.MenuItem, {
        onSelect: handleClick(label, 'menu item', callback),
        children: label
      }, label);
    }
    return /*#__PURE__*/jsxRuntime.jsx(menuButton.MenuLink, {
      href: href,
      onClick: handleClick(label, 'menu item'),
      children: label
    }, label);
  };
  return /*#__PURE__*/jsxRuntime.jsxs("span", {
    className: typeStyle,
    children: [renderPrimaryAction(primaryAction), /*#__PURE__*/jsxRuntime.jsxs(menuButton.Menu, {
      children: [/*#__PURE__*/jsxRuntime.jsx(DropdownButton$1, {
        "aria-label": menuAriaLabel,
        className: "button-split--trigger",
        onClick: handleClick(primaryAction.label, 'menu'),
        type: "subtle"
      }), /*#__PURE__*/jsxRuntime.jsxs(DropdownMenu$1, {
        size: "small",
        children: [renderMenuItem(primaryAction), menuItems.map(function (item) {
          return renderMenuItem(item);
        })]
      })]
    })]
  });
};
ButtonSplit.defaultProps = {
  menuAriaLabel: 'Toggle menu',
  type: 'secondary'
};
ButtonSplit.propTypes = {
  /**
   * Accessibility text for the secondary action menu trigger
   */
  menuAriaLabel: PropTypes__default["default"].string,
  /**
   * Array of objects describing each secondary action
   */
  menuItems: PropTypes__default["default"].arrayOf(PropTypes__default["default"].shape({
    callback: PropTypes__default["default"].func,
    href: PropTypes__default["default"].string,
    label: PropTypes__default["default"].string.isRequired
  })).isRequired,
  /**
   * Object describing the primary action
   */
  primaryAction: PropTypes__default["default"].shape({
    asLink: PropTypes__default["default"].bool,
    callback: PropTypes__default["default"].func,
    href: PropTypes__default["default"].string,
    label: PropTypes__default["default"].string.isRequired
  }).isRequired,
  /**
   * The style type of button
   */
  type: PropTypes__default["default"].oneOf(['primary', 'secondary'])
};
var ButtonSplit$1 = ButtonSplit;

var _excluded$P = ["children", "className", "disabled", "isLoading", "size"];
function ownKeys$15(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$15(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$15(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$15(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var sizes$1 = {
  small: 'button-small',
  "default": ''
};
var ButtonBase = function ButtonBase(_ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    isLoading = _ref.isLoading,
    size = _ref.size,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$P);
  return /*#__PURE__*/jsxRuntime.jsxs("button", _objectSpread$15(_objectSpread$15({
    className: "".concat(className, " ").concat(sizes$1[size] || ''),
    disabled: disabled || isLoading,
    type: "submit"
  }, rest), {}, {
    children: [isLoading && /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
      children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
        icon: proSolidSvgIcons.faSpinnerThird,
        spin: true
      }), ' ']
    }), children]
  }));
};
ButtonBase.defaultProps = {
  className: '',
  disabled: false,
  isLoading: false,
  size: 'default'
};
ButtonBase.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  disabled: PropTypes__default["default"].bool,
  isLoading: PropTypes__default["default"].bool,
  size: PropTypes__default["default"].oneOf(['default', 'small'])
};
var SubmitButtonBase = ButtonBase;

var _excluded$O = ["children", "type"];
function ownKeys$14(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$14(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$14(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$14(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typeStyles$1 = {
  danger: 'button-danger',
  primary: 'button-primary',
  secondary: 'button-secondary'
};
var SubmitButton = function SubmitButton(_ref) {
  var children = _ref.children,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$O);
  return /*#__PURE__*/jsxRuntime.jsx(SubmitButtonBase, _objectSpread$14(_objectSpread$14({
    className: typeStyles$1[type] || ''
  }, rest), {}, {
    children: children
  }));
};
SubmitButton.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  type: PropTypes__default["default"].oneOf(['danger', 'primary', 'secondary']).isRequired
};
var SubmitButton$1 = SubmitButton;

var _excluded$N = ["children"],
  _excluded2$2 = ["children"],
  _excluded3 = ["children"],
  _excluded4 = ["children"],
  _excluded5 = ["children"],
  _excluded6 = ["children"],
  _excluded7 = ["children"],
  _excluded8 = ["children"],
  _excluded9 = ["children"],
  _excluded10 = ["children"],
  _excluded11 = ["children"],
  _excluded12 = ["children"],
  _excluded13 = ["children"],
  _excluded14 = ["children"],
  _excluded15 = ["children"],
  _excluded16 = ["children"],
  _excluded17 = ["children"],
  _excluded18 = ["children"],
  _excluded19 = ["children"],
  _excluded20 = ["children"];
function ownKeys$13(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$13(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$13(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$13(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

// TODO: Remove this, should be <Button type="danger" />
var ButtonDanger = function ButtonDanger(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$N);
  return /*#__PURE__*/jsxRuntime.jsx(Button$3, _objectSpread$13(_objectSpread$13({
    type: "danger"
  }, props), {}, {
    children: children
  }));
};
ButtonDanger.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button type="subtle" />
var ButtonSubtle = function ButtonSubtle(_ref2) {
  var children = _ref2.children,
    props = _objectWithoutProperties__default["default"](_ref2, _excluded2$2);
  return /*#__PURE__*/jsxRuntime.jsx(Button$3, _objectSpread$13(_objectSpread$13({
    type: "subtle"
  }, props), {}, {
    children: children
  }));
};
ButtonSubtle.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button type="primary" />
var ButtonPrimary = function ButtonPrimary(_ref3) {
  var children = _ref3.children,
    props = _objectWithoutProperties__default["default"](_ref3, _excluded3);
  return /*#__PURE__*/jsxRuntime.jsx(Button$3, _objectSpread$13(_objectSpread$13({
    type: "primary"
  }, props), {}, {
    children: children
  }));
};
ButtonPrimary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button />
var ButtonSecondary = function ButtonSecondary(_ref4) {
  var children = _ref4.children,
    props = _objectWithoutProperties__default["default"](_ref4, _excluded4);
  return /*#__PURE__*/jsxRuntime.jsx(Button$3, _objectSpread$13(_objectSpread$13({
    type: "secondary"
  }, props), {}, {
    children: children
  }));
};
ButtonSecondary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, unclear why there's a separate React component alias
var ButtonTable = ButtonSubtle;

// TODO: Remove this, should be <Button type="tertiary" />
var ButtonTertiary = function ButtonTertiary(_ref5) {
  var children = _ref5.children,
    props = _objectWithoutProperties__default["default"](_ref5, _excluded5);
  return /*#__PURE__*/jsxRuntime.jsx(Button$3, _objectSpread$13(_objectSpread$13({
    type: "tertiary"
  }, props), {}, {
    children: children
  }));
};
ButtonTertiary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button type="warning" />
var ButtonWarning = function ButtonWarning(_ref6) {
  var children = _ref6.children,
    props = _objectWithoutProperties__default["default"](_ref6, _excluded6);
  return /*#__PURE__*/jsxRuntime.jsx(Button$3, _objectSpread$13(_objectSpread$13({
    type: "warning"
  }, props), {}, {
    children: children
  }));
};
ButtonWarning.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button type="danger" /> with appropriate actions
var SubmitButtonDanger = function SubmitButtonDanger(_ref7) {
  var children = _ref7.children,
    props = _objectWithoutProperties__default["default"](_ref7, _excluded7);
  return /*#__PURE__*/jsxRuntime.jsx(SubmitButton$1, _objectSpread$13(_objectSpread$13({
    type: "danger"
  }, props), {}, {
    children: children
  }));
};
SubmitButtonDanger.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button type="primary" /> with appropriate actions
var SubmitButtonPrimary = function SubmitButtonPrimary(_ref8) {
  var children = _ref8.children,
    props = _objectWithoutProperties__default["default"](_ref8, _excluded8);
  return /*#__PURE__*/jsxRuntime.jsx(SubmitButton$1, _objectSpread$13(_objectSpread$13({
    type: "primary"
  }, props), {}, {
    children: children
  }));
};
SubmitButtonPrimary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should be <Button /> with appropriate actions
var SubmitButtonSecondary = function SubmitButtonSecondary(_ref9) {
  var children = _ref9.children,
    props = _objectWithoutProperties__default["default"](_ref9, _excluded9);
  return /*#__PURE__*/jsxRuntime.jsx(SubmitButton$1, _objectSpread$13(_objectSpread$13({
    type: "secondary"
  }, props), {}, {
    children: children
  }));
};
SubmitButtonSecondary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonPrimary = function LinkButtonPrimary(_ref10) {
  var children = _ref10.children,
    props = _objectWithoutProperties__default["default"](_ref10, _excluded10);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "primary"
  }, props), {}, {
    children: children
  }));
};
LinkButtonPrimary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonSecondary = function LinkButtonSecondary(_ref11) {
  var children = _ref11.children,
    props = _objectWithoutProperties__default["default"](_ref11, _excluded11);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "secondary"
  }, props), {}, {
    children: children
  }));
};
LinkButtonSecondary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonSubtle = function LinkButtonSubtle(_ref12) {
  var children = _ref12.children,
    props = _objectWithoutProperties__default["default"](_ref12, _excluded12);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "subtle"
  }, props), {}, {
    children: children
  }));
};
LinkButtonSubtle.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonTertiary = function LinkButtonTertiary(_ref13) {
  var children = _ref13.children,
    props = _objectWithoutProperties__default["default"](_ref13, _excluded13);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "tertiary"
  }, props), {}, {
    children: children
  }));
};
LinkButtonTertiary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonGitHub = function LinkButtonGitHub(_ref14) {
  var children = _ref14.children,
    props = _objectWithoutProperties__default["default"](_ref14, _excluded14);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "github"
  }, props), {}, {
    children: children
  }));
};
LinkButtonGitHub.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonGitLab = function LinkButtonGitLab(_ref15) {
  var children = _ref15.children,
    props = _objectWithoutProperties__default["default"](_ref15, _excluded15);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "gitlab"
  }, props), {}, {
    children: children
  }));
};
LinkButtonGitLab.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var LinkButtonBitbucket = function LinkButtonBitbucket(_ref16) {
  var children = _ref16.children,
    props = _objectWithoutProperties__default["default"](_ref16, _excluded16);
  return /*#__PURE__*/jsxRuntime.jsx(LinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "bitbucket"
  }, props), {}, {
    children: children
  }));
};
LinkButtonBitbucket.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var RouterLinkButtonPrimary = function RouterLinkButtonPrimary(_ref17) {
  var children = _ref17.children,
    props = _objectWithoutProperties__default["default"](_ref17, _excluded17);
  return /*#__PURE__*/jsxRuntime.jsx(RouterLinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "primary"
  }, props), {}, {
    children: children
  }));
};
RouterLinkButtonPrimary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var RouterLinkButtonSecondary = function RouterLinkButtonSecondary(_ref18) {
  var children = _ref18.children,
    props = _objectWithoutProperties__default["default"](_ref18, _excluded18);
  return /*#__PURE__*/jsxRuntime.jsx(RouterLinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "secondary"
  }, props), {}, {
    children: children
  }));
};
RouterLinkButtonSecondary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var RouterLinkButtonSubtle = function RouterLinkButtonSubtle(_ref19) {
  var children = _ref19.children,
    props = _objectWithoutProperties__default["default"](_ref19, _excluded19);
  return /*#__PURE__*/jsxRuntime.jsx(RouterLinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "subtle"
  }, props), {}, {
    children: children
  }));
};
RouterLinkButtonSubtle.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

// TODO: Remove this, should not be a button at all. This is a text link
var RouterLinkButtonTertiary = function RouterLinkButtonTertiary(_ref20) {
  var children = _ref20.children,
    props = _objectWithoutProperties__default["default"](_ref20, _excluded20);
  return /*#__PURE__*/jsxRuntime.jsx(RouterLinkButton$1, _objectSpread$13(_objectSpread$13({
    type: "tertiary"
  }, props), {}, {
    children: children
  }));
};
RouterLinkButtonTertiary.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

/**
 * @typedef {{
 *  uri: string,
 *  label: string,
 * }} Crumb
 *
 * @typedef {{
 *  crumbs: Crumb[],
 *  deferredCrumbIds: string[],
 *  register: (...args[]) => void,
 *  unregister: (...args[]) => void,
 *  deferCrumb: (...args[]) => void,
 *  resolveCrumb: (...args[]) => void,
 * }} BreadcrumbsContextType
 */

/**
 * @type {BreadcrumbsContextType} defaultContext
 */
var defaultContext$1 = {
  crumbs: [],
  deferredCrumbIds: [],
  register: function register() {},
  unregister: function unregister() {},
  deferCrumb: function deferCrumb() {},
  resolveCrumb: function resolveCrumb() {}
};

/**
 * @type {React.Context<BreadcrumbsContextType>} BreadcrumbsContext
 */
var BreadcrumbsContext = /*#__PURE__*/React.createContext(defaultContext$1);
var BreadcrumbsContext$1 = BreadcrumbsContext;

var BreadcrumbsDropdown = function BreadcrumbsDropdown(_ref) {
  var ariaLabel = _ref.ariaLabel,
    crumbs = _ref.crumbs;
  return /*#__PURE__*/jsxRuntime.jsx("li", {
    className: "breadcrumb-item inline-block after:mx-2 after:my-0",
    children: /*#__PURE__*/jsxRuntime.jsxs(menuButton.Menu, {
      children: [/*#__PURE__*/jsxRuntime.jsx(DropdownButton$1, {
        "aria-label": ariaLabel,
        className: "breadcrumb-dropdown",
        "data-testid": "breadcrumb-dropdown-button",
        type: "subtle",
        children: "..."
      }), /*#__PURE__*/jsxRuntime.jsx(DropdownMenu$1, {
        children: crumbs.map(function (crumb) {
          return /*#__PURE__*/jsxRuntime.jsx(menuButton.MenuLink, {
            as: reactRouterDom.Link,
            to: crumb.uri,
            children: crumb.label
          }, "breadcrumb-dropdown-".concat(crumb.label));
        })
      })]
    })
  });
};
BreadcrumbsDropdown.propTypes = {
  ariaLabel: PropTypes__default["default"].string.isRequired,
  crumbs: PropTypes__default["default"].arrayOf(PropTypes__default["default"].shape({
    label: PropTypes__default["default"].string.isRequired,
    uri: PropTypes__default["default"].string.isRequired
  })).isRequired
};
var BreadcrumbsDropdown$1 = BreadcrumbsDropdown;

var _excluded$M = ["ariaLabel", "crumbsDropdownAriaLabel"];
function ownKeys$12(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$12(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$12(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$12(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var bySlicedUriLength = function bySlicedUriLength(a, b) {
  return a.uri.split('/').length - b.uri.split('/').length;
};

/**
 *
 * @param {import("./BreadcrumbsContext").Crumb} crumb
 * @param {number} index
 * @param {React.ReactNode<'li'>[]} arr
 */
var toListItem = function toListItem(crumb) {
  var activeClasses = 'font-semibold text-gray-4 pointer-events-none';
  return /*#__PURE__*/jsxRuntime.jsx("li", {
    className: "breadcrumb-item inline-block after:mx-2 after:my-0",
    children: /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.NavLink, {
      className: function className(_ref) {
        var isActive = _ref.isActive;
        return isActive ? activeClasses : null;
      },
      end: true,
      to: crumb.uri,
      children: crumb.label
    })
  }, "breadcrumb-".concat(crumb.label, "-").concat(crumb.uri));
};
var BREADCRUMB_DROPDOWN_THRESHHOLD = 4;
var STARTING_CAP_DROPDOWN_OFFSET = 1;

/**
 *
 * @typedef {{
 *  ariaLabel: string,
 *  crumbsDropdownAriaLabel: string,
 * }} Props
 *
 * @type {React.FC<Props>} Breadcrumbs
 */
var Breadcrumbs = function Breadcrumbs(_ref2) {
  var ariaLabel = _ref2.ariaLabel,
    crumbsDropdownAriaLabel = _ref2.crumbsDropdownAriaLabel,
    rest = _objectWithoutProperties__default["default"](_ref2, _excluded$M);
  var _useContext = React.useContext(BreadcrumbsContext$1),
    crumbs = _useContext.crumbs,
    deferredCrumbIds = _useContext.deferredCrumbIds;
  var sortedCrumbs = _toConsumableArray__default["default"](crumbs).sort(bySlicedUriLength);
  if (sortedCrumbs.length <= BREADCRUMB_DROPDOWN_THRESHHOLD) {
    var _navCrumbs = sortedCrumbs.map(toListItem);
    return /*#__PURE__*/jsxRuntime.jsx("nav", {
      "aria-label": ariaLabel,
      "aria-live": "polite",
      children: /*#__PURE__*/jsxRuntime.jsx("ol", _objectSpread$12(_objectSpread$12({
        className: "pt-4 pb-6 pl-0 m-0 text-sm ".concat(deferredCrumbIds.length > 0 ? 'invisible' : '')
      }, rest), {}, {
        children: _navCrumbs
      }))
    });
  }
  var dropdownCrumbs = sortedCrumbs.splice(STARTING_CAP_DROPDOWN_OFFSET, sortedCrumbs.length - 3);
  var navCrumbs = sortedCrumbs.map(toListItem);
  navCrumbs.splice(STARTING_CAP_DROPDOWN_OFFSET, 0, /*#__PURE__*/jsxRuntime.jsx(BreadcrumbsDropdown$1, {
    ariaLabel: crumbsDropdownAriaLabel,
    crumbs: dropdownCrumbs
  }, "breadcrumb-dropdown"));
  return /*#__PURE__*/jsxRuntime.jsx("nav", {
    "aria-label": ariaLabel,
    "aria-live": "polite",
    children: /*#__PURE__*/jsxRuntime.jsx("ol", _objectSpread$12(_objectSpread$12({
      className: "pt-4 pb-6 pl-0 m-0 text-sm ".concat(deferredCrumbIds.length > 0 ? 'invisible' : '')
    }, rest), {}, {
      children: navCrumbs
    }))
  });
};
Breadcrumbs.defaultProps = {
  crumbsDropdownAriaLabel: 'Breadcrumbs Dropdown Button'
};
Breadcrumbs.propTypes = {
  ariaLabel: PropTypes__default["default"].string.isRequired,
  crumbsDropdownAriaLabel: PropTypes__default["default"].string
};
var Breadcrumbs$1 = Breadcrumbs;

var BreadCrumbsProvider = function BreadCrumbsProvider(_ref) {
  var children = _ref.children;
  var _useState = React.useState([]),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    crumbs = _useState2[0],
    setCrumbs = _useState2[1];
  var _useState3 = React.useState([]),
    _useState4 = _slicedToArray__default["default"](_useState3, 2),
    deferredCrumbIds = _useState4[0],
    setDeferredCrumbIds = _useState4[1];
  var register = React.useCallback(function (label, uri) {
    return setCrumbs(function (prev) {
      return [].concat(_toConsumableArray__default["default"](prev), [{
        label: label,
        uri: uri
      }]);
    });
  }, [setCrumbs]);
  var unregister = React.useCallback(function (label) {
    return setCrumbs(function (prev) {
      return prev.filter(function (crumb) {
        return crumb.label !== label;
      });
    });
  }, [setCrumbs]);
  var deferCrumb = React.useCallback(function (id) {
    return setDeferredCrumbIds(function (prev) {
      return [].concat(_toConsumableArray__default["default"](prev), [id]);
    });
  }, [setDeferredCrumbIds]);
  var resolveCrumb = React.useCallback(function (id) {
    return setDeferredCrumbIds(function (prev) {
      return prev.filter(function (crumbId) {
        return crumbId !== id;
      });
    });
  }, [setDeferredCrumbIds]);
  return /*#__PURE__*/jsxRuntime.jsx(BreadcrumbsContext$1.Provider, {
    value: React.useMemo(function () {
      return {
        crumbs: crumbs,
        deferredCrumbIds: deferredCrumbIds,
        register: register,
        unregister: unregister,
        resolveCrumb: resolveCrumb,
        deferCrumb: deferCrumb
      };
    }, [crumbs, deferredCrumbIds, register, unregister, resolveCrumb, deferCrumb]),
    children: children
  });
};
BreadCrumbsProvider.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var BreadCrumbsProvider$1 = BreadCrumbsProvider;

function ownKeys$11(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$11(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$11(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$11(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var withBreadcrumb = function withBreadcrumb(WrappedComponent) {
  var Bc = function Bc(props) {
    var _useContext = React.useContext(BreadcrumbsContext$1),
      register = _useContext.register,
      unregister = _useContext.unregister;
    var params = reactRouterDom.useParams();
    var label = props.label,
      pathPattern = props.pathPattern;
    var path = reactRouterDom.generatePath(pathPattern, params);
    React.useEffect(function () {
      register(label, path);
      return function () {
        return unregister(label);
      };
    }, [label, register, unregister, path]);
    return /*#__PURE__*/jsxRuntime.jsx(WrappedComponent, _objectSpread$11({}, props));
  };
  Bc.defaultProps = {
    children: null,
    label: '',
    pathPattern: ''
  };
  Bc.propTypes = {
    children: PropTypes__default["default"].node,
    label: PropTypes__default["default"].string,
    /**
     * The absolute path to the <WrappedComponent>, with URL parameters
     */
    pathPattern: PropTypes__default["default"].string
  };
  return Bc;
};
var withBreadcrumb$1 = withBreadcrumb;

var _excluded$L = ["children", "className"];
function ownKeys$10(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$10(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$10(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$10(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Card = function Card(_ref) {
  var children = _ref.children,
    className = _ref.className,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$L);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$10(_objectSpread$10({
    className: "panel flex flex-col justify-start ".concat(className)
  }, rest), {}, {
    children: children
  }));
};
Card.defaultProps = {
  className: ''
};
Card.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string
};
var Card$1 = Card;

var _excluded$K = ["children"];
function ownKeys$$(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$$(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$$(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$$(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CardContent = function CardContent(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$K);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$$(_objectSpread$$({
    className: "flex-1 p-4 card-last-margin"
  }, rest), {}, {
    children: children
  }));
};
CardContent.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var CardContent$1 = CardContent;

var _excluded$J = ["children", "theme"];
function ownKeys$_(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$_(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$_(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$_(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var themeStyles = {
  dark: 'bg-gray-1',
  light: 'bg-white'
};

// TODO: This appears to be redundant and not needed.
//       This whole component could be integrated into the main Card component.
var CardFooter = function CardFooter(_ref) {
  var children = _ref.children,
    theme = _ref.theme,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$J);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$_(_objectSpread$_({
    className: "".concat(themeStyles[theme], " border-t border-solid border-gray-2 mt-auto p-4 card-last-margin")
  }, rest), {}, {
    children: children
  }));
};
CardFooter.defaultProps = {
  theme: 'dark'
};
CardFooter.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  theme: PropTypes__default["default"].oneOf(['dark', 'light'])
};
var CardFooter$1 = CardFooter;

var _excluded$I = ["children"];
function ownKeys$Z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$Z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$Z(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$Z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CardImage = function CardImage(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$I);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$Z(_objectSpread$Z({
    className: "overflow-hidden card-image-block"
  }, rest), {}, {
    children: children
  }));
};
CardImage.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var CardImage$1 = CardImage;

var PaddedCard = function PaddedCard(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "padded-card ".concat(className),
    children: children
  });
};
PaddedCard.defaultProps = {
  className: ''
};
PaddedCard.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string
};
var PaddedCard$1 = PaddedCard;

var PaddedCardGroup = function PaddedCardGroup(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "padded-card-group ".concat(className),
    children: children
  });
};
PaddedCardGroup.defaultProps = {
  className: ''
};
PaddedCardGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string
};
var PaddedCardGroup$1 = PaddedCardGroup;

var PreWrapper = function PreWrapper(_ref) {
  var isBlock = _ref.isBlock,
    children = _ref.children,
    showLineNumbers = _ref.showLineNumbers;
  return isBlock ? /*#__PURE__*/jsxRuntime.jsx("pre", {
    className: showLineNumbers ? 'line-numbers' : '',
    "data-testid": "pre-element",
    children: children
  }) : children;
};
PreWrapper.defaultProps = {
  isBlock: false,
  showLineNumbers: false
};
PreWrapper.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  isBlock: PropTypes__default["default"].bool,
  showLineNumbers: PropTypes__default["default"].bool
};
var Code = function Code(_ref2) {
  var code = _ref2.code,
    maxHeight = _ref2.maxHeight,
    minHeight = _ref2.minHeight,
    language = _ref2.language,
    highlight = _ref2.highlight,
    isBlock = _ref2.isBlock,
    showLineNumbers = _ref2.showLineNumbers;
  // NOTE: For greater dynamic flexibility this could use `react-html-parser` with Prism.tokenize() without the need for bothering with the useEffect() hook
  var codeRef = React.useRef();
  React.useEffect(function () {
    if (codeRef && codeRef.current && highlight) {
      Prism__default["default"].highlightElement(codeRef.current);
    }
  }, [codeRef, highlight]);
  React.useEffect(function () {
    if (codeRef && codeRef.current && showLineNumbers) {
      Prism__default["default"].highlightElement(codeRef.current);
    }
  }, [codeRef, showLineNumbers]);
  var cssClass = highlight ? "language-".concat(language) : undefined;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "overflow-scroll",
    style: {
      maxHeight: maxHeight,
      minHeight: minHeight
    },
    children: /*#__PURE__*/jsxRuntime.jsx(PreWrapper, {
      isBlock: isBlock,
      showLineNumbers: showLineNumbers,
      children: /*#__PURE__*/jsxRuntime.jsx("code", {
        className: cssClass,
        "data-testid": "code-element",
        ref: codeRef,
        children: typeof code === 'string' ? code.trim() : code
      })
    })
  });
};
Code.defaultProps = {
  highlight: true,
  isBlock: false,
  language: 'js',
  maxHeight: '36rem',
  minHeight: '10rem',
  showLineNumbers: false
};

// language types: if more are added, you must also adjust the babel config
// https://prismjs.com/#supported-languages
Code.propTypes = {
  code: PropTypes__default["default"].string.isRequired,
  highlight: PropTypes__default["default"].bool,
  isBlock: PropTypes__default["default"].bool,
  language: PropTypes__default["default"].oneOf(['bash', 'css', 'html', 'js']),
  maxHeight: PropTypes__default["default"].string,
  minHeight: PropTypes__default["default"].string,
  showLineNumbers: PropTypes__default["default"].bool
};

/*
const CodeInline = ({ code, language, highlight }) => {
  return <Code code={code} language={language} highlight={highlight} />;
};

const CodeBlock = ({ code, language, highlight }) => {
  return (
    <Code
      code={code}
      language={language}
      highlight={highlight}
      isBlock={true}
    />
  );
};
*/

var Code$1 = Code;
/* export { CodeInline, CodeBlock }; */

var CodeInline = function CodeInline(_ref) {
  var code = _ref.code,
    language = _ref.language;
  var codeRef = React.useRef();
  React.useEffect(function () {
    if (codeRef && codeRef.current) {
      Prism__default["default"].highlightElement(codeRef.current);
    }
  }, [codeRef]);
  return /*#__PURE__*/jsxRuntime.jsx("code", {
    className: "language-".concat(language),
    ref: codeRef,
    children: code.trim()
  });
};
CodeInline.defaultProps = {
  language: 'js'
};

// language types: if more are added, you must also adjust the babel config
// https://prismjs.com/#supported-languages
CodeInline.propTypes = {
  code: PropTypes__default["default"].string.isRequired,
  language: PropTypes__default["default"].oneOf(['bash', 'css', 'html', 'js'])
};
var CodeInline$1 = CodeInline;

var CodeBlock = function CodeBlock(_ref) {
  var code = _ref.code,
    language = _ref.language;
  return /*#__PURE__*/jsxRuntime.jsx("pre", {
    children: /*#__PURE__*/jsxRuntime.jsx(CodeInline$1, {
      code: code,
      language: language
    })
  });
};
CodeBlock.defaultProps = {
  language: 'js'
};

// language types: if more are added, you must also adjust the babel config
// https://prismjs.com/#supported-languages
CodeBlock.propTypes = {
  code: PropTypes__default["default"].string.isRequired,
  language: PropTypes__default["default"].oneOf(['bash', 'css', 'html', 'js'])
};
var CodeBlock$1 = CodeBlock;

var containerTypes = {
  header: {
    css: 'flex flex-row items-start justify-between heading-content-margin'
  },
  'max-3XL': {
    css: 'max-w-3xl px-4 md:px-8'
  },
  widest: {
    css: 'max-w-8xl px-4 md:px-8'
  }
};

/* Customize `max-w-8xl` as 95rem in tailwind.config.js. 
The largest in Tailwind defaults is `max-w-7xl` as 80rem. */
var Container$1 = function Container(_ref) {
  var type = _ref.type,
    isCentered = _ref.isCentered,
    children = _ref.children;
  var contentPosition = isCentered ? 'mx-auto' : '';
  var containerClass = containerTypes[type].css;
  containerClass += " ".concat(contentPosition);
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: containerClass,
    children: children
  });
};
Container$1.defaultProps = {
  isCentered: false,
  type: 'widest'
};
Container$1.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  isCentered: PropTypes__default["default"].bool,
  type: PropTypes__default["default"].oneOf(['header', 'max-3XL', 'widest'])
};
var Container$2 = Container$1;

var ContainerFlex = function ContainerFlex(_ref) {
  var centerText = _ref.centerText,
    children = _ref.children,
    className = _ref.className,
    itemsAlignment = _ref.itemsAlignment,
    itemsDirection = _ref.itemsDirection,
    itemsJustification = _ref.itemsJustification;
  var cssFlexDirection = {
    column: 'col',
    'column-reverse': 'col-reverse'
  };
  var alignItems = itemsAlignment ? "items-".concat(itemsAlignment) : '';
  var flexDirection = itemsDirection ? "flex-".concat(cssFlexDirection[itemsDirection] || itemsDirection) : '';
  var justifyContent = itemsJustification ? "justify-".concat(itemsJustification) : '';
  var cssTextCenter = centerText ? 'text-align-center' : '';
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "".concat(className, " flex flex-wrap ").concat(alignItems, " ").concat(flexDirection, " ").concat(justifyContent, " ").concat(cssTextCenter).trim(),
    children: children
  });
};
ContainerFlex.defaultProps = {
  centerText: false,
  className: '',
  itemsAlignment: 'start',
  itemsDirection: 'row',
  itemsJustification: 'start'
};
ContainerFlex.propTypes = {
  centerText: PropTypes__default["default"].bool,
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  itemsAlignment: PropTypes__default["default"].oneOf(['baseline', 'center', 'end', 'start', 'stretch']),
  itemsDirection: PropTypes__default["default"].oneOf(['column', 'column-reverse', 'row', 'row-reverse']),
  itemsJustification: PropTypes__default["default"].oneOf(['around', 'between', 'center', 'end', 'evenly', 'start'])
};
var ContainerFlex$1 = ContainerFlex;

var FlexContent = function FlexContent(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "flex-1",
    children: children
  });
};
FlexContent.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var FlexContent$1 = FlexContent;

var Header = function Header(_ref) {
  var children = _ref.children;
  var slots = {};
  React__default["default"].Children.forEach(children, function (child) {
    slots[child.props.slot] = /*#__PURE__*/React__default["default"].cloneElement(child, {});
  });
  var startContent = slots['start-content'];
  var endContent = slots['end-content'];
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    className: "flex flex-row items-start justify-between heading-content-margin",
    children: [startContent, endContent]
  });
};
Header.defaultProps = {};
Header.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var Header$1 = Header;

var _excluded$H = ["children"];
function ownKeys$Y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$Y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$Y(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$Y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var HeadingContent = function HeadingContent(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$H);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$Y(_objectSpread$Y({
    className: "flex flex-row items-start justify-between heading-content-margin"
  }, rest), {}, {
    children: children
  }));
};
HeadingContent.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var HeadingContent$1 = HeadingContent;

var LeftColumnContent = function LeftColumnContent(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("aside", {
    className: "w-62 mr-6",
    children: children
  });
};
LeftColumnContent.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var LeftColumnContent$1 = LeftColumnContent;

var _excluded$G = ["data", "headers", "labelText"];
function ownKeys$X(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$X(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$X(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$X(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CSVExporter = function CSVExporter(_ref) {
  var data = _ref.data,
    headers = _ref.headers,
    labelText = _ref.labelText,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$G);
  return /*#__PURE__*/jsxRuntime.jsx(reactCsv.CSVLink, _objectSpread$X(_objectSpread$X({
    data: data,
    headers: headers
  }, rest), {}, {
    children: labelText
  }));
};
CSVExporter.propTypes = {
  data: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired,
  headers: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired,
  labelText: PropTypes__default["default"].string.isRequired
};
var CSVExporter$1 = CSVExporter;

var TitleWrapper = function TitleWrapper(_ref) {
  var children = _ref.children,
    subtitle = _ref.subtitle;
  return subtitle ? /*#__PURE__*/jsxRuntime.jsx(ContainerFlex$1, {
    itemsDirection: "column",
    children: children
  }) : children;
};
TitleWrapper.defaultProps = {
  subtitle: ''
};
TitleWrapper.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  subtitle: PropTypes__default["default"].string
};
var ExpandableBlock = function ExpandableBlock(_ref2) {
  var children = _ref2.children,
    title = _ref2.title,
    subtitle = _ref2.subtitle,
    initiallyExpanded = _ref2.initiallyExpanded,
    textColor = _ref2.textColor;
  var generateUUID = function generateUUID() {
    return "".concat(Math.random().toString(16), "000000000").substr(2, 8);
  };
  var _useState = React.useState(initiallyExpanded),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    showState = _useState2[0],
    setShowState = _useState2[1];
  var _useState3 = React.useState(generateUUID),
    _useState4 = _slicedToArray__default["default"](_useState3, 1),
    uuid = _useState4[0];
  var id = "expandable-content-section-".concat(uuid);
  var caret = showState ? proSolidSvgIcons.faCaretDown : proSolidSvgIcons.faCaretRight;
  var onClick = function onClick() {
    return setShowState(!showState);
  };
  var contentCss = "py-0 mb-2 ".concat(showState ? '' : 'hidden').trim();
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("div", {
      "aria-expanded": showState,
      className: "flex flex-row mb-2 cursor-pointer",
      id: id,
      onClick: onClick,
      onKeyDown: onClick,
      role: "button",
      tabIndex: "0",
      children: [/*#__PURE__*/jsxRuntime.jsx("span", {
        className: "".concat(textColor, " w-4"),
        children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
          icon: caret
        })
      }), /*#__PURE__*/jsxRuntime.jsxs(TitleWrapper, {
        subtitle: subtitle,
        children: [/*#__PURE__*/jsxRuntime.jsx("span", {
          className: "".concat(textColor, " font-semibold"),
          children: title
        }), subtitle && /*#__PURE__*/jsxRuntime.jsx("span", {
          className: "text-gray-5",
          children: subtitle
        })]
      })]
    }), /*#__PURE__*/jsxRuntime.jsx("div", {
      "aria-hidden": !showState,
      "aria-labelledby": id,
      className: contentCss,
      children: children
    })]
  });
};
var acceptedColors$1 = ['text-blue-3', 'text-black'];
ExpandableBlock.defaultProps = {
  initiallyExpanded: false,
  subtitle: '',
  textColor: 'text-black',
  title: 'Expandable section title'
};
ExpandableBlock.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  initiallyExpanded: PropTypes__default["default"].bool,
  subtitle: PropTypes__default["default"].string,
  textColor: PropTypes__default["default"].oneOf(acceptedColors$1),
  title: PropTypes__default["default"].string
};
var ExpandableBlock$1 = ExpandableBlock;

function useMeasure() {
  var ref = React.useRef();
  var _useState = React.useState({
      left: 0,
      top: 0,
      width: 0,
      height: 0
    }),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    bounds = _useState2[0],
    set = _useState2[1];
  var _useState3 = React.useState(function () {
      return new ResizeObserver__default["default"](function (_ref) {
        var _ref2 = _slicedToArray__default["default"](_ref, 1),
          entry = _ref2[0];
        return set(entry.contentRect);
      });
    }),
    _useState4 = _slicedToArray__default["default"](_useState3, 1),
    ro = _useState4[0];
  React.useEffect(function () {
    ro.observe(ref.current);
    return function () {
      return ro.disconnect();
    };
  }, [ro]);
  return [{
    ref: ref
  }, bounds];
}

var _excluded$F = ["children", "isShown", "className"];
function ownKeys$W(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$W(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$W(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$W(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ExpandAnimation = function ExpandAnimation(_ref) {
  var children = _ref.children,
    isShown = _ref.isShown,
    className = _ref.className,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$F);
  // We will use this to animate whatever height the alert actually is at any time
  var _useMeasure = useMeasure(),
    _useMeasure2 = _slicedToArray__default["default"](_useMeasure, 2),
    bind = _useMeasure2[0],
    height = _useMeasure2[1].height;

  /*
    - This is a two stage animation that needs to reverse itself, hence the use of useChain.
      When showing, the height goes, then the opacity. When hiding it's the opposite.
    - Note that you cannot change value types, eg. cannot go from 0 -> "1rem".
      It must be "0rem" -> "1rem". Witholding a value type will assume "px".
  */

  var heightRef = reactSpring.useSpringRef();
  var heightProps = reactSpring.useSpring({
    ref: heightRef,
    from: {
      height: 0
    },
    to: {
      height: isShown ? height : 0
    }
  });
  var opacityRef = reactSpring.useSpringRef();
  var opacityProps = reactSpring.useSpring({
    ref: opacityRef,
    from: {
      opacity: 0
    },
    to: {
      opacity: isShown ? 1 : 0
    }
  });
  reactSpring.useChain(isShown ? [heightRef, opacityRef] : [opacityRef, heightRef], [0, 0.3]);
  return /*#__PURE__*/jsxRuntime.jsx(reactSpring.animated.div, _objectSpread$W(_objectSpread$W({
    className: className,
    style: _objectSpread$W(_objectSpread$W({}, heightProps), opacityProps)
  }, rest), {}, {
    children: /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$W(_objectSpread$W({
      className: "margin-collapse"
    }, bind), {}, {
      children: children
    }))
  }));
};
ExpandAnimation.defaultProps = {
  className: ''
};
ExpandAnimation.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  isShown: PropTypes__default["default"].bool.isRequired
};
var ExpandAnimation$1 = ExpandAnimation;

var ExpandableContent = function ExpandableContent(_ref) {
  var ariaLabelledBy = _ref.ariaLabelledBy,
    children = _ref.children,
    isShown = _ref.isShown;
  return /*#__PURE__*/jsxRuntime.jsx(ExpandAnimation$1, {
    "aria-hidden": !isShown,
    "aria-labelledby": ariaLabelledBy,
    className: "py-0 px-0.5 mb-2 overflow-hidden",
    isShown: isShown,
    children: children
  });
};
ExpandableContent.propTypes = {
  ariaLabelledBy: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  isShown: PropTypes__default["default"].bool.isRequired
};
var ExpandableContent$1 = ExpandableContent;

var sizes = {
  none: '0',
  small: '0.5rem',
  medium: '1rem',
  large: '1.5rem'
};
var locations = {
  'block-end': 'marginBlockEnd'
};
var ExpandableSectionHeader = function ExpandableSectionHeader(_ref) {
  var children = _ref.children,
    id = _ref.id,
    isShown = _ref.isShown,
    spacing = _ref.spacing,
    toggleContent = _ref.toggleContent;
  var location = spacing.location,
    size = spacing.size;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    "aria-expanded": isShown,
    className: "flex flex-row cursor-pointer",
    id: id,
    onClick: function onClick() {
      return toggleContent(!isShown);
    },
    onKeyDown: function onKeyDown() {},
    role: "button",
    style: _defineProperty__default["default"]({}, locations[location], sizes[size]),
    tabIndex: "0",
    children: children
  });
};
ExpandableSectionHeader.defaultProps = {
  spacing: {
    location: 'block-end',
    size: 'small'
  }
};
ExpandableSectionHeader.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  id: PropTypes__default["default"].string.isRequired,
  isShown: PropTypes__default["default"].bool.isRequired,
  spacing: PropTypes__default["default"].shape({
    location: PropTypes__default["default"].oneOf(['block-end']),
    size: PropTypes__default["default"].oneOf(['none', 'small', 'medium', 'large'])
  }),
  toggleContent: PropTypes__default["default"].func.isRequired
};
var ExpandableSectionHeader$1 = ExpandableSectionHeader;

var _excluded$E = ["children", "className", "level", "levelStyle"];
function ownKeys$V(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$V(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$V(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$V(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var headingSizes = function headingSizes(level) {
  var heading = "H".concat(level);
  var levelStyles = {
    H1: 'text-3xl',
    H2: 'text-2xl',
    H3: 'text-xl',
    H4: 'text-lg',
    H5: 'text-base',
    H6: 'text-sm'
  };
  return levelStyles[heading];
};
var HX = function HX(_ref) {
  var children = _ref.children,
    className = _ref.className,
    level = _ref.level,
    _ref$levelStyle = _ref.levelStyle,
    levelStyle = _ref$levelStyle === void 0 ? level : _ref$levelStyle,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$E);
  var DynamicHeading = "h".concat(level);
  return /*#__PURE__*/jsxRuntime.jsx(DynamicHeading, _objectSpread$V(_objectSpread$V({
    className: "".concat(headingSizes(levelStyle), " ").concat(className)
  }, rest), {}, {
    children: children
  }));
};
HX.defaultProps = {
  className: ''
};
HX.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  level: HeadingLevel.isRequired,
  levelStyle: HeadingLevel.isRequired
};
var HX$1 = HX;

var isPlainObject = function isPlainObject(value) {
  return _typeof__default["default"](value) === 'object' && !Array.isArray(value);
};
var hasTrueEntries = function hasTrueEntries(value) {
  return value === true;
};
var getValuesAsArray = function getValuesAsArray(value) {
  if (isPlainObject(value)) {
    var objValues = Object.values(value);
    return flatMap__default["default"](objValues, getValuesAsArray);
  }
  return Array.isArray(value) ? value : [value];
};
var isChecked = function isChecked(formValues) {
  return getValuesAsArray(formValues).some(hasTrueEntries);
};
var ResetButton = function ResetButton(_ref) {
  var children = _ref.children,
    onReset = _ref.onReset;
  var _useFormApi = informed.useFormApi(),
    reset = _useFormApi.reset;
  var _useFormState = informed.useFormState(),
    values = _useFormState.values;

  // As of informed@3.9, `onValueChange` is no longer fired when `reset` is called.
  // Instead, we expose a callback that is invoked with the new form values after reset.
  var handleClick = function handleClick() {
    reset();
    onReset(values);
  };
  return /*#__PURE__*/jsxRuntime.jsx(ButtonSubtle, {
    className: "button-subtle dt-button",
    disabled: !isChecked(values),
    onClick: handleClick,
    children: children
  });
};
ResetButton.defaultProps = {
  onReset: function onReset() {}
};
ResetButton.propTypes = {
  children: PropTypes__default["default"].string.isRequired,
  onReset: PropTypes__default["default"].func
};
var FilterReset = ResetButton;

var Filter = function Filter(_ref) {
  var ariaControls = _ref.ariaControls,
    children = _ref.children,
    heading = _ref.heading,
    headingLevel = _ref.headingLevel,
    headingLevelStyle = _ref.headingLevelStyle,
    onChange = _ref.onChange,
    resetLabel = _ref.resetLabel;
  return /*#__PURE__*/jsxRuntime.jsx("nav", {
    "aria-controls": ariaControls,
    children: /*#__PURE__*/jsxRuntime.jsxs(informed.Form, {
      onValueChange: onChange,
      children: [heading.length && /*#__PURE__*/jsxRuntime.jsxs("div", {
        className: "flex items-center justify-between mb-6",
        children: [/*#__PURE__*/jsxRuntime.jsx(HX$1, {
          className: "mb-0",
          level: headingLevel,
          levelStyle: headingLevelStyle,
          children: heading
        }), /*#__PURE__*/jsxRuntime.jsx(FilterReset, {
          onReset: onChange,
          children: resetLabel
        })]
      }), children]
    })
  });
};
Filter.defaultProps = {
  heading: '',
  headingLevel: 3,
  headingLevelStyle: 4
};
Filter.propTypes = {
  ariaControls: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  heading: PropTypes__default["default"].string,
  headingLevel: HeadingLevel,
  headingLevelStyle: HeadingLevel,
  onChange: PropTypes__default["default"].func.isRequired,
  resetLabel: PropTypes__default["default"].string.isRequired
};
var Filter$1 = Filter;

var FilterCategory = function FilterCategory(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    expanded = _ref.expanded,
    id = _ref.id,
    label = _ref.label,
    limit = _ref.limit;
  var _useState = React.useState(expanded),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    allChildrenVisible = _useState2[0],
    setAllChildrenVisible = _useState2[1];
  var toggleChildren = function toggleChildren() {
    return setAllChildrenVisible(!allChildrenVisible);
  };
  var filteredChildren = React.Children.map(children, function (child) {
    if (child.props.count !== 0) {
      return child;
    }
    return null;
  });
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    className: "mb-6",
    children: [/*#__PURE__*/jsxRuntime.jsx("p", {
      className: "font-semibold",
      children: label
    }), /*#__PURE__*/jsxRuntime.jsxs(informed.Scope, {
      scope: id,
      children: [/*#__PURE__*/jsxRuntime.jsx("fieldset", {
        children: /*#__PURE__*/jsxRuntime.jsx("legend", {
          className: "sr-only",
          children: ariaLabel
        })
      }), /*#__PURE__*/jsxRuntime.jsx("div", {
        "aria-expanded": allChildrenVisible,
        children: filteredChildren.map(function (child, i) {
          return /*#__PURE__*/jsxRuntime.jsx("div", {
            style: {
              display: !allChildrenVisible && i >= limit ? 'none' : 'block'
            },
            children: child
          }, i);
        })
      })]
    }), React.Children.count(filteredChildren) > limit && /*#__PURE__*/jsxRuntime.jsx(ButtonSubtle, {
      className: "p-0 font-normal rounded-none cursor-pointer text-blue-3 hover:bg-white hover:bg-opacity-0 hover:border-white hover:border-opacity-0",
      onClick: toggleChildren,
      size: "small",
      children: allChildrenVisible ? '- Show Less' : '+ Show More'
    })]
  });
};
FilterCategory.defaultProps = {
  expanded: false,
  limit: 5
};
FilterCategory.propTypes = {
  ariaLabel: PropTypes.PropTypes.string.isRequired,
  children: PropTypes.PropTypes.node.isRequired,
  expanded: PropTypes.PropTypes.bool,
  id: PropTypes.PropTypes.string.isRequired,
  label: PropTypes.PropTypes.string.isRequired,
  limit: PropTypes.PropTypes.number
};
var FilterCategory$1 = FilterCategory;

var CardGridTemplate = function CardGridTemplate(_ref) {
  var children = _ref.children,
    maxCardWidth = _ref.maxCardWidth,
    minCardWidth = _ref.minCardWidth;
  var cardColumn = {
    gridTemplateColumns: "repeat(auto-fill, minmax(".concat(minCardWidth, ", ").concat(maxCardWidth, "))")
  };
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "card-grid-template grid gap-4 grid-rows-1",
    style: cardColumn,
    children: children
  });
};

/* Defaults from design team */
CardGridTemplate.defaultProps = {
  maxCardWidth: '1fr',
  minCardWidth: '18rem'
};
CardGridTemplate.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  maxCardWidth: PropTypes__default["default"].string,
  minCardWidth: PropTypes__default["default"].string
};
var CardGridTemplate$1 = CardGridTemplate;

var HeroTemplate = function HeroTemplate(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "hero-template bg-gray-1 mb-8 p-16",
    children: /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "max-w-3xl mx-auto",
      children: children
    })
  });
};
HeroTemplate.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var HeroTemplate$1 = HeroTemplate;

var _excluded$D = ["children"];
function ownKeys$U(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$U(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$U(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$U(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var HorizontalContentContainer = function HorizontalContentContainer(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$D);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$U(_objectSpread$U({
    className: "horizontal-content-container mr-10 w-1/2"
  }, rest), {}, {
    children: children
  }));
};
HorizontalContentContainer.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var HorizontalContentContainer$1 = HorizontalContentContainer;

var _excluded$C = ["children"];
function ownKeys$T(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$T(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$T(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$T(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var HorizontalEmptyStateTemplate = function HorizontalEmptyStateTemplate(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$C);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$T(_objectSpread$T({
    className: "horizontal-empty-state-template"
  }, rest), {}, {
    children: children
  }));
};
HorizontalEmptyStateTemplate.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var HorizontalEmptyStateTemplate$1 = HorizontalEmptyStateTemplate;

var SideNavigationTemplate = function SideNavigationTemplate(_ref) {
  var children = _ref.children,
    navWidth = _ref.navWidth;
  var columnWidth = {
    gridTemplateColumns: "".concat(navWidth, " 1fr")
  };
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "grid gap-8",
    style: columnWidth,
    children: children
  });
};
SideNavigationTemplate.defaultProps = {
  navWidth: '15.5rem'
};
SideNavigationTemplate.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  navWidth: PropTypes__default["default"].string
};
var SideNavigationTemplate$1 = SideNavigationTemplate;

var _excluded$B = ["children"];
function ownKeys$S(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$S(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$S(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$S(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var VerticalEmptyStateTemplate = function VerticalEmptyStateTemplate(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$B);
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "flex justify-center",
    children: /*#__PURE__*/jsxRuntime.jsx(Container$2, {
      type: "max-3XL",
      children: /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$S(_objectSpread$S({
        className: "flex flex-col items-center vertical-empty-state"
      }, rest), {}, {
        children: children
      }))
    })
  });
};
VerticalEmptyStateTemplate.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var VerticalEmptyStateTemplate$1 = VerticalEmptyStateTemplate;

var _excluded$A = ["children", "field"];
function ownKeys$R(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$R(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$R(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$R(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CardSelectGroup = function CardSelectGroup(_ref) {
  var children = _ref.children,
    field = _ref.field,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$A);
  var formState = informed.useFormState();
  var fieldValue = formState.values[field];
  var childrenWithFieldValue = React__default["default"].Children.map(children, function (child) {
    return /*#__PURE__*/React__default["default"].cloneElement(child, {
      fieldValue: fieldValue
    });
  });
  return /*#__PURE__*/jsxRuntime.jsx(informed.RadioGroup, _objectSpread$R(_objectSpread$R({
    field: field
  }, rest), {}, {
    children: /*#__PURE__*/jsxRuntime.jsx(CardGridTemplate$1, {
      children: childrenWithFieldValue
    })
  }));
};
CardSelectGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  field: PropTypes__default["default"].string.isRequired
};
var CardSelectGroup$1 = CardSelectGroup;

var _excluded$z = ["children", "disabled", "fieldValue", "id", "value"];
function ownKeys$Q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$Q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$Q(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$Q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var BASE_CLASSES = 'card-option flex flex-col relative rounded focus-within:outline-none focus-within:shadow-focus';
var CardSelectRadio = function CardSelectRadio(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    fieldValue = _ref.fieldValue,
    id = _ref.id,
    value = _ref.value,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$z);
  var isSelected = fieldValue === value;
  return /*#__PURE__*/jsxRuntime.jsx("label", {
    className: [BASE_CLASSES, disabled ? 'disabled cursor-not-allowed' : 'hover:shadow-dropdown', isSelected ? 'selected' : ''].join(' '),
    htmlFor: id,
    children: /*#__PURE__*/jsxRuntime.jsxs(Card$1, {
      children: [/*#__PURE__*/jsxRuntime.jsx(informed.Radio, _objectSpread$Q({
        className: "absolute top-0 left-0 opacity-0",
        disabled: disabled,
        id: id,
        value: value
      }, rest)), /*#__PURE__*/jsxRuntime.jsx(CardContent$1, {
        children: children
      })]
    })
  });
};
CardSelectRadio.defaultProps = {
  disabled: false,
  fieldValue: undefined
};
CardSelectRadio.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  fieldValue: PropTypes__default["default"].string,
  id: PropTypes__default["default"].string.isRequired,
  value: PropTypes__default["default"].string.isRequired
};
var CardSelectRadio$1 = CardSelectRadio;

var _excluded$y = ["children", "className", "field", "icon"];
function ownKeys$P(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$P(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$P(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$P(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CustomCheckbox = function CustomCheckbox(_ref) {
  var children = _ref.children,
    className = _ref.className,
    field = _ref.field,
    icon = _ref.icon,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$y);
  return /*#__PURE__*/jsxRuntime.jsxs("label", {
    className: "custom-checkbox ".concat(className),
    htmlFor: field,
    children: [/*#__PURE__*/jsxRuntime.jsx(informed.Checkbox, _objectSpread$P({
      className: "checkbox",
      field: field,
      id: field
    }, rest)), /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: icon
    }), /*#__PURE__*/jsxRuntime.jsx("span", {
      children: children
    })]
  });
};
CustomCheckbox.defaultProps = {
  className: '',
  icon: proRegularSvgIcons.faCheck
};
CustomCheckbox.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  field: PropTypes__default["default"].string.isRequired,
  icon: FAIcon
};
var CustomCheckbox$1 = CustomCheckbox;

var _excluded$x = ["children", "className", "icon", "id", "value"];
function ownKeys$O(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$O(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$O(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$O(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CustomRadio = function CustomRadio(_ref) {
  var children = _ref.children,
    className = _ref.className,
    icon = _ref.icon,
    id = _ref.id,
    value = _ref.value,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$x);
  return /*#__PURE__*/jsxRuntime.jsxs("label", {
    className: "custom-radio ".concat(className),
    htmlFor: id,
    children: [/*#__PURE__*/jsxRuntime.jsx(informed.Radio, _objectSpread$O({
      className: "radio",
      id: id,
      value: value
    }, rest)), /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: icon
    }), /*#__PURE__*/jsxRuntime.jsx("span", {
      children: children
    })]
  });
};
CustomRadio.defaultProps = {
  className: '',
  icon: proSolidSvgIcons.faDotCircle
};
CustomRadio.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  icon: FAIcon,
  id: PropTypes__default["default"].string.isRequired,
  value: PropTypes__default["default"].string.isRequired
};
var CustomRadio$1 = CustomRadio;

var _excluded$w = ["className"];
function ownKeys$N(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$N(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$N(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$N(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var CustomTextArea = informed.asField(function (_ref) {
  var className = _ref.className,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$w);
  var field = props.field,
    fieldState = props.fieldState;
  var error = fieldState.error,
    value = fieldState.value,
    touched = fieldState.touched;
  var statusClass = value && !error && touched ? 'success' : value && error && 'error';
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(informed.BasicTextArea, _objectSpread$N(_objectSpread$N({}, props), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(statusClass || '', " ").concat(className || ''),
      id: field
    })), error && /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-red-3",
      children: error
    })]
  });
});
CustomTextArea.defaultProps = {
  className: '',
  type: 'text'
};
CustomTextArea.propTypes = {
  className: PropTypes__default["default"].string,
  field: PropTypes__default["default"].string.isRequired,
  type: PropTypes__default["default"].string
};
var CustomTextArea$1 = CustomTextArea;

var FormGroup = function FormGroup(_ref) {
  var children = _ref.children,
    inline = _ref.inline;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "mb-4 ".concat(inline ? 'inline-form-group' : ''),
    children: children
  });
};
FormGroup.defaultProps = {
  inline: false
};
FormGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  inline: PropTypes__default["default"].bool
};
var FormGroup$1 = FormGroup;

var InputGroup = function InputGroup(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "input-group",
    children: children
  });
};
InputGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var InputGroup$1 = InputGroup;

var _excluded$v = ["i18n"];
function ownKeys$M(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$M(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$M(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$M(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PasswordInput = informed.asField(function (props) {
  var i18n = props.i18n,
    rest = _objectWithoutProperties__default["default"](props, _excluded$v);
  var _useState = React.useState(false),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    isPasswordShown = _useState2[0],
    setIsPasswordShown = _useState2[1];
  var toggleShow = function toggleShow() {
    return setIsPasswordShown(!isPasswordShown);
  };
  var field = props.field,
    fieldState = props.fieldState;
  var error = fieldState.error,
    value = fieldState.value;
  var strings = {
    hiddenDescription: i18n.hiddenDescription(),
    hideButtonText: i18n.hideButtonText(),
    showButtonText: i18n.showButtonText(),
    shownDescription: i18n.shownDescription()
  };
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsxs(InputGroup$1, {
      children: [/*#__PURE__*/jsxRuntime.jsx(informed.BasicText, _objectSpread$M(_objectSpread$M({}, rest), {}, {
        "aria-invalid": !!error,
        autoComplete: "off",
        className: "custom-text-input ".concat(value && !error ? 'success' : value && error && 'error'),
        id: field,
        type: isPasswordShown ? 'text' : 'password'
      })), /*#__PURE__*/jsxRuntime.jsx(ButtonSecondary, {
        "aria-label": isPasswordShown ? strings.shownDescription : strings.hiddenDescription,
        className: "button-secondary dt-button",
        onClick: toggleShow,
        children: isPasswordShown ? strings.hideButtonText : strings.showButtonText
      })]
    }), error && /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-red-3",
      children: error
    })]
  });
});
PasswordInput.propTypes = {
  i18n: PropTypes__default["default"].shape({
    hiddenDescription: PropTypes__default["default"].func.isRequired,
    hideButtonText: PropTypes__default["default"].func.isRequired,
    showButtonText: PropTypes__default["default"].func.isRequired,
    shownDescription: PropTypes__default["default"].func.isRequired
  }).isRequired
};
var PasswordInput$1 = PasswordInput;

var SelectAllCheckbox = function SelectAllCheckbox(_ref) {
  var checkState = _ref.checkState,
    formApi = _ref.formApi,
    label = _ref.label,
    onChange = _ref.onChange,
    selectAllField = _ref.selectAllField;
  var icon = checkState === 'mixed' ? proRegularSvgIcons.faMinus : proRegularSvgIcons.faCheck;
  React.useEffect(function () {
    if (checkState || checkState === 'mixed') {
      formApi.setValue(selectAllField, true);
    } else {
      formApi.setValue(selectAllField, false);
    }
  }, [checkState, formApi, selectAllField]);
  return /*#__PURE__*/jsxRuntime.jsx(CustomCheckbox$1, {
    "aria-checked": checkState,
    className: "min-h-8" // Make sure even a blank label maintains height
    ,
    field: selectAllField,
    icon: icon,
    onChange: onChange,
    children: label
  });
};
SelectAllCheckbox.defaultProps = {
  checkState: false
};
SelectAllCheckbox.propTypes = {
  checkState: PropTypes__default["default"].oneOfType([PropTypes__default["default"].bool, PropTypes__default["default"].oneOf(['mixed'])]),
  formApi: PropTypes__default["default"].shape({
    setValue: PropTypes__default["default"].func.isRequired
  }).isRequired,
  label: PropTypes__default["default"].string.isRequired,
  onChange: PropTypes__default["default"].func.isRequired,
  selectAllField: PropTypes__default["default"].string.isRequired
};
var SelectAllCheckbox$1 = SelectAllCheckbox;

var setSelectAllField = function setSelectAllField(fieldId) {
  return hashSum__default["default"]("".concat(fieldId, "-select-all-field"));
};
var SelectAllGroup = function SelectAllGroup(_ref) {
  var fieldId = _ref.fieldId,
    selectAllLabel = _ref.selectAllLabel;
  var _useState = React.useState(false),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    checkState = _useState2[0],
    setCheckState = _useState2[1];
  var formState = informed.useFormState();
  var formApi = informed.useFormApi();
  var SELECT_ALL_FIELD = setSelectAllField(fieldId);

  /*
    Return true if the field isn't the select all field
  */
  var isFieldInGroup = React.useCallback(function (field) {
    return field !== SELECT_ALL_FIELD && field !== fieldId;
  }, [fieldId, SELECT_ALL_FIELD]);

  // formApi.emitter.fields is a Map & the only place to get fields not in state
  var allGroupFields = _toConsumableArray__default["default"](formApi.emitter.fieldsById).reduce(function (arr, value) {
    if (isFieldInGroup(value[1].field)) {
      arr.push(value[1].field);
    }
    return arr;
  }, []);
  React.useEffect(function () {
    if (formState.values) {
      var selectedFields = Object.entries(formState.values).filter(function (_ref2) {
        var _ref3 = _slicedToArray__default["default"](_ref2, 2),
          key = _ref3[0],
          isChecked = _ref3[1];
        return isFieldInGroup(key) && isChecked;
      });
      if (selectedFields.length === allGroupFields.length) {
        setCheckState(true);
      } else if (selectedFields.length) {
        setCheckState('mixed');
      } else {
        setCheckState(false);
      }
    }
  }, [allGroupFields.length, isFieldInGroup, formState]);
  var handleSelectAllChange = function handleSelectAllChange(e) {
    allGroupFields.forEach(function (field) {
      formApi.setValue(field, e.target.checked);
    });
  };
  return /*#__PURE__*/jsxRuntime.jsx(SelectAllCheckbox$1, {
    checkState: checkState,
    formApi: formApi,
    label: selectAllLabel,
    onChange: handleSelectAllChange,
    selectAllField: SELECT_ALL_FIELD
  });
};
SelectAllGroup.defaultProps = {
  selectAllLabel: 'Select All'
};
SelectAllGroup.propTypes = {
  fieldId: PropTypes__default["default"].string.isRequired,
  selectAllLabel: PropTypes__default["default"].string
};
var SelectAllGroup$1 = SelectAllGroup;

var _excluded$u = ["children"];
function ownKeys$L(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$L(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$L(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$L(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var SelectField = function SelectField(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$u);
  var _useField = informed.useField(props),
    fieldApi = _useField.fieldApi,
    fieldState = _useField.fieldState,
    informed$1 = _useField.informed,
    render = _useField.render,
    userProps = _useField.userProps;
  var _onBlur = userProps.onBlur,
    _onChange = userProps.onChange;
  var error = fieldState.error,
    touched = fieldState.touched,
    value = fieldState.value;
  var setTouched = fieldApi.setTouched,
    setValue = fieldApi.setValue;
  var statusClass = value && !error && touched ? 'success' : value && error && 'error';
  return render( /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx("select", _objectSpread$L(_objectSpread$L(_objectSpread$L({}, informed$1), userProps), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(statusClass || ''),
      id: props.id || props.field,
      onBlur: function onBlur(e) {
        setTouched(true);
        if (_onBlur) {
          _onBlur(e);
        }
      },
      onChange: function onChange(e) {
        setValue(e.target.value);
        if (_onChange) {
          _onChange(e);
        }
      },
      children: children
    })), error && /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-red-3",
      children: error
    })]
  }));
};
SelectField.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var SelectField$1 = SelectField;

var _excluded$t = ["className", "maxRows", "minRows"],
  _excluded2$1 = ["defaultValue"];
function ownKeys$K(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$K(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$K(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$K(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var TextAreaAutosize = function TextAreaAutosize(_ref) {
  var className = _ref.className,
    maxRows = _ref.maxRows,
    minRows = _ref.minRows,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$t);
  var _useField = informed.useField(_objectSpread$K({
      fieldType: 'text'
    }, props)),
    render = _useField.render,
    informed$1 = _useField.informed,
    fieldState = _useField.fieldState;
  var error = fieldState.error,
    touched = fieldState.touched,
    value = fieldState.value;
  informed$1.defaultValue;
    var rest = _objectWithoutProperties__default["default"](informed$1, _excluded2$1);
  var statusClass = value && !error && touched ? 'success' : value && error && 'error';
  return render( /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(TextareaAutosize__default["default"], _objectSpread$K(_objectSpread$K({}, rest), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(className, " ").concat(statusClass || ''),
      id: props.field,
      maxRows: maxRows,
      minRows: minRows
    })), error && /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-red-3",
      children: error
    })]
  }));
};
TextAreaAutosize.defaultProps = {
  className: '',
  maxRows: 22,
  minRows: 2
};
TextAreaAutosize.propTypes = {
  className: PropTypes__default["default"].string,
  field: PropTypes__default["default"].string.isRequired,
  maxRows: PropTypes__default["default"].number,
  minRows: PropTypes__default["default"].number
};
var TextAreaAutosize$1 = TextAreaAutosize;

var _excluded$s = ["noBorder", "validationSuccessText"];
function ownKeys$J(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$J(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$J(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$J(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var TextInput = informed.asField(function (props) {
  var noBorder = props.noBorder,
    validationSuccessText = props.validationSuccessText,
    informedProps = _objectWithoutProperties__default["default"](props, _excluded$s);
  var field = informedProps.field,
    fieldState = informedProps.fieldState;
  var error = fieldState.error,
    value = fieldState.value;
  var success = value && !error;
  var statusClass = success ? 'success' : error && 'error';
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(informed.BasicText, _objectSpread$J(_objectSpread$J({}, informedProps), {}, {
      "aria-invalid": !!error,
      className: "custom-field ".concat(noBorder ? 'no-border' : '', " ").concat(statusClass || ''),
      id: field
    })), success && validationSuccessText ? /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-green-3",
      children: validationSuccessText
    }) : null, error && /*#__PURE__*/jsxRuntime.jsx("small", {
      className: "text-red-3",
      children: error
    })]
  });
});
TextInput.defaultProps = {
  noBorder: false,
  type: 'text',
  validationSuccessText: ''
};
TextInput.propTypes = {
  field: PropTypes__default["default"].string.isRequired,
  noBorder: PropTypes__default["default"].bool,
  type: PropTypes__default["default"].string,
  validationSuccessText: PropTypes__default["default"].string
};
var TextInput$1 = TextInput;

var FilterItem = function FilterItem(_ref) {
  var children = _ref.children,
    count = _ref.count,
    id = _ref.id;
  var formattedCount = new Intl.NumberFormat().format(count);
  return /*#__PURE__*/jsxRuntime.jsxs(CustomCheckbox$1, {
    field: id,
    children: [children, /*#__PURE__*/jsxRuntime.jsxs("span", {
      className: "ml-1",
      children: ["(", formattedCount, ")"]
    })]
  });
};
FilterItem.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  count: PropTypes__default["default"].number.isRequired,
  id: PropTypes__default["default"].string.isRequired
};
var FilterItem$1 = FilterItem;

var ListFilter = function ListFilter(_ref) {
  var siteList = _ref.siteList;
  var _useState = React.useState(siteList),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    filteredList = _useState2[0],
    setFilteredList = _useState2[1];
  var filterSiteList = function filterSiteList(filterValue) {
    return siteList.filter(function (site) {
      return site.name.toLowerCase().includes(filterValue.toLowerCase());
    });
  };
  var handleChange = function handleChange(e) {
    var list = filterSiteList(e.target.value);
    setFilteredList(list);
  };
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(TextInput$1, {
      "aria-label": "Filter sites",
      "data-testid": "list-filter",
      field: "list-filter",
      onChange: handleChange,
      placeholder: "Filter sites"
    }), /*#__PURE__*/jsxRuntime.jsx("ul", {
      className: "pl-0 list-none",
      children: filteredList.length > 0 ? filteredList.map(function (site) {
        return /*#__PURE__*/jsxRuntime.jsx("li", {
          children: /*#__PURE__*/jsxRuntime.jsx("a", {
            href: "/sites/".concat(site.id),
            children: site.name
          })
        }, site.id);
      }) : /*#__PURE__*/jsxRuntime.jsx("li", {
        children: "No Result Found"
      })
    })]
  });
};
ListFilter.propTypes = {
  siteList: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired
};
var ListFilter$1 = ListFilter;

var _excluded$r = ["children", "href", "iconAlt"];
function ownKeys$I(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$I(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$I(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$I(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var LinkNewWindow = function LinkNewWindow(_ref) {
  var children = _ref.children,
    href = _ref.href,
    iconAlt = _ref.iconAlt,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$r);
  return /*#__PURE__*/jsxRuntime.jsxs("a", _objectSpread$I(_objectSpread$I({
    href: href,
    rel: "noopener noreferrer",
    target: "_blank"
  }, rest), {}, {
    children: [children, " ", /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      alt: iconAlt,
      icon: proRegularSvgIcons.faExternalLink
    })]
  }));
};
LinkNewWindow.defaultProps = {
  iconAlt: 'Open in new window'
};
LinkNewWindow.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  href: PropTypes__default["default"].string.isRequired,
  iconAlt: PropTypes__default["default"].string
};
var LinkNewWindow$1 = LinkNewWindow;

var _excluded$q = ["children", "icon", "iconAlt"],
  _excluded2 = ["as", "children", "className", "icon"];
function ownKeys$H(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$H(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$H(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$H(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ListStepped = function ListStepped(_ref) {
  var children = _ref.children,
    className = _ref.className;
  return /*#__PURE__*/jsxRuntime.jsx("ol", {
    className: "step-list ".concat(className),
    children: children
  });
};
ListStepped.defaultProps = {
  className: ''
};
ListStepped.propTypes = {
  children: PropTypes__default["default"].oneOfType([PropTypes__default["default"].arrayOf(PropTypes__default["default"].node), PropTypes__default["default"].node]).isRequired,
  className: PropTypes__default["default"].string
};

//
// TODO: Deprecate and remove this component. Too much overhead for a simple CSS class change.
//
var ListUnstyled = function ListUnstyled(_ref2) {
  var children = _ref2.children,
    className = _ref2.className;
  return /*#__PURE__*/jsxRuntime.jsx("ul", {
    className: "pl-0 list-none ".concat(className),
    children: children
  });
};
ListUnstyled.defaultProps = ListStepped.defaultProps;
ListUnstyled.propTypes = ListStepped.propTypes;

//
// TODO: Deprecate and remove this component. Too much overhead for a simple CSS class change.
//
var IconListItem = function IconListItem(_ref3) {
  var children = _ref3.children,
    icon = _ref3.icon,
    iconAlt = _ref3.iconAlt,
    rest = _objectWithoutProperties__default["default"](_ref3, _excluded$q);
  return /*#__PURE__*/jsxRuntime.jsxs("li", _objectSpread$H(_objectSpread$H({}, rest), {}, {
    children: [icon && /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      alt: iconAlt,
      className: "mr-2",
      fixedWidth: true,
      icon: icon
    }), children]
  }));
};
IconListItem.defaultProps = {
  icon: null,
  iconAlt: ''
};
IconListItem.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  icon: FAIcon,
  iconAlt: PropTypes__default["default"].string
};

//
// TODO: Deprecate and remove this component. Too much overhead for something that can easily be done in raw HTML.
//
var IconList = function IconList(_ref4) {
  var Component = _ref4.as,
    children = _ref4.children,
    className = _ref4.className,
    icon = _ref4.icon,
    rest = _objectWithoutProperties__default["default"](_ref4, _excluded2);
  var childrenWithIcons = React__default["default"].Children.map(children, function (child) {
    if (!icon && !child.props.icon) {
      throw new Error('an `icon` prop must be passed to either the `IconList` or `IconListItem` component.');
    }

    // If the ListItem has an `icon` prop, use it.
    return child.props.icon ? child : /*#__PURE__*/React__default["default"].cloneElement(child, {
      icon: icon
    });
  });
  return /*#__PURE__*/jsxRuntime.jsx(Component, _objectSpread$H(_objectSpread$H({
    className: "list-none ".concat(className)
  }, rest), {}, {
    children: childrenWithIcons
  }));
};
IconList.defaultProps = {
  as: 'ul',
  children: null,
  className: '',
  icon: null
};
IconList.propTypes = {
  as: PropTypes__default["default"].oneOf(['ol', 'ul']),
  children: PropTypes__default["default"].node,
  className: PropTypes__default["default"].string,
  icon: FAIcon
};

var LoadingBase = function LoadingBase(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    "aria-hidden": "true",
    className: "leading-loose",
    children: children
  });
};
LoadingBase.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var LoadingBase$1 = LoadingBase;

var LoadingCircle = function LoadingCircle(_ref) {
  var height = _ref.height,
    width = _ref.width;
  return /*#__PURE__*/jsxRuntime.jsx("span", {
    className: "animate-loading rounded-full bg-gray-2 bg-loading bg-no-repeat inline-block leading-none",
    style: {
      height: height,
      width: width,
      backgroundSize: '200px 100%'
    },
    children: "\u200C"
  });
};
LoadingCircle.defaultProps = {
  height: 24,
  width: 24
};
LoadingCircle.propTypes = {
  /**
   * The height the circle will be set to, either a number or string value such as "3rem".
   */
  height: PropTypes__default["default"].oneOfType([PropTypes__default["default"].number, PropTypes__default["default"].string]),
  /**
   * The width the circle will be set to, either a number or string value such as "3rem".
   */
  width: PropTypes__default["default"].oneOfType([PropTypes__default["default"].number, PropTypes__default["default"].string])
};
var LoadingCircle$1 = LoadingCircle;

var _excluded$p = ["height", "width"];
function ownKeys$G(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$G(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$G(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$G(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var LoadingLine = function LoadingLine(_ref) {
  var height = _ref.height,
    width = _ref.width,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$p);
  return /*#__PURE__*/jsxRuntime.jsx("span", _objectSpread$G(_objectSpread$G({}, rest), {}, {
    className: "animate-loading rounded bg-gray-2 bg-loading bg-no-repeat inline-block leading-none",
    style: {
      height: height,
      width: width,
      backgroundSize: '200px 100%'
    },
    children: "\u200C"
  }));
};
LoadingLine.defaultProps = {
  height: 24,
  width: '100%'
};
LoadingLine.propTypes = {
  /**
   * The height the line will be set to, either a number or string value such as "3rem".
   */
  height: PropTypes__default["default"].oneOfType([PropTypes__default["default"].number, PropTypes__default["default"].string]),
  /**
   * The width the line will be set to that will override the default of full width of parent container – either a number or string value such as "50%".
   */
  width: PropTypes__default["default"].oneOfType([PropTypes__default["default"].number, PropTypes__default["default"].string])
};
var LoadingLine$1 = LoadingLine;

function ownKeys$F(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$F(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$F(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$F(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MD = function MD(_ref) {
  var children = _ref.children,
    options = _ref.options;
  var defaultOverrides = {
    h1: {
      props: {
        className: 'text-3xl'
      }
    },
    h2: {
      props: {
        className: 'text-2xl'
      }
    },
    h3: {
      props: {
        className: 'text-xl'
      }
    },
    h4: {
      props: {
        className: 'text-lg'
      }
    },
    h5: {
      props: {
        className: 'text-base'
      }
    },
    h6: {
      props: {
        className: 'text-sm'
      }
    }
  };
  var mdOptions = _objectSpread$F(_objectSpread$F({}, options), {}, {
    overrides: options.overrides ? Object.assign(options.overrides, defaultOverrides) : defaultOverrides
  });
  return /*#__PURE__*/jsxRuntime.jsx(Markdown__default["default"], {
    options: mdOptions,
    children: children
  });
};
MD.defaultProps = {
  options: {}
};
MD.propTypes = {
  children: PropTypes__default["default"].string.isRequired,
  /**
   * For details and usage see `markdown-to-jsx` [documentation](https://www.npmjs.com/package/markdown-to-jsx#parsing-options)
   */
  options: PropTypes__default["default"].shape({
    overrides: PropTypes__default["default"].shape({})
  })
};
var MD$1 = MD;

var _excluded$o = ["children"];
function ownKeys$E(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$E(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$E(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$E(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MediaBody = function MediaBody(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$o);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$E(_objectSpread$E({
    className: "media-body"
  }, rest), {}, {
    children: children
  }));
};
MediaBody.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var MediaBody$1 = MediaBody;

var _excluded$n = ["children"];
function ownKeys$D(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$D(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$D(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$D(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var MediaObject = function MediaObject(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$n);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$D(_objectSpread$D({
    className: "media-object flex flex-row items-center"
  }, rest), {}, {
    children: children
  }));
};
MediaObject.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var MediaObject$1 = MediaObject;

var _excluded$m = ["variant", "label", "disabled", "type", "onClick", "className"];
function ownKeys$C(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$C(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$C(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$C(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Button = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var variant = _ref.variant,
    label = _ref.label,
    disabled = _ref.disabled,
    type = _ref.type,
    onClick = _ref.onClick,
    className = _ref.className,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$m);
  var variantClass = variant ? "pds-button--".concat(variant) : undefined;
  return /*#__PURE__*/jsxRuntime.jsx("button", _objectSpread$C(_objectSpread$C({}, props), {}, {
    type: type,
    className: ['pds-button', variantClass, className].join(' ').trim(),
    disabled: disabled,
    onClick: onClick,
    ref: ref,
    children: label
  }));
});
Button.propTypes = {
  /**
   * Which variant of button to render
   */
  variant: PropTypes__default["default"].oneOf(['primary', 'secondary', 'tertiary', 'subtle', 'critical']),
  /**
   * The text of the button
   */
  label: PropTypes__default["default"].node.isRequired,
  /**
   * Is the button disabled?
   */
  disabled: PropTypes__default["default"].bool,
  /**
   * Type of button
   */
  type: PropTypes__default["default"].oneOf(['button', 'submit', 'reset']),
  /**
   * Click event handler callback
   */
  onClick: PropTypes__default["default"].func.isRequired
};
Button.defaultProps = {
  variant: 'secondary',
  type: 'button',
  disabled: false
};
var Button$1 = Button;

var createShortUUID = function createShortUUID() {
  return uuid.v4().substring(0, 8);
};
var isSeparatorItemType = function isSeparatorItemType(item) {
  return item.isSeparator;
};
var isHeadingItemType = function isHeadingItemType(item) {
  return item.isHeading;
};
var isNodeItemType = function isNodeItemType(item) {
  return item.isNode;
};

/**
 * Menu Button UI component
 */
var MenuButton = function MenuButton(_ref) {
  var label = _ref.label,
    id = _ref.id,
    testId = _ref.testId,
    icon = _ref.icon,
    variant = _ref.variant,
    displayType = _ref.displayType,
    disabled = _ref.disabled,
    menuItems = _ref.menuItems,
    className = _ref.className,
    listboxPositionInitial = _ref.listboxPositionInitial;
  // Floating UI support
  var _useFloating = reactDom.useFloating({
      placement: listboxPositionInitial || 'bottom-start',
      middleware: [reactDom.flip()],
      whileElementsMounted: reactDom.autoUpdate
    }),
    x = _useFloating.x,
    y = _useFloating.y,
    reference = _useFloating.reference,
    floating = _useFloating.floating,
    strategy = _useFloating.strategy,
    FUI_Update = _useFloating.update,
    placement = _useFloating.placement,
    refs = _useFloating.refs;

  // Display type modifier class.
  var displayTypeClass = displayType != 'default' ? "pds-menu-button__".concat(displayType) : undefined;

  // generate a short unique ID to add to ID attributes
  var salt = createShortUUID();
  var _useState = React.useState("menu-button-".concat(salt)),
    _useState2 = _slicedToArray__default["default"](_useState, 1),
    fallbackTriggerID = _useState2[0];
  var _useState3 = React.useState("menu-listbox-".concat(salt)),
    _useState4 = _slicedToArray__default["default"](_useState3, 1),
    listboxID = _useState4[0];

  // If ID is not passed into component, generate one.
  var triggerID = id ? id : fallbackTriggerID;
  var menuRefActual = refs.floating;
  var nodeRef = React.useRef(null);
  var _useState5 = React.useState(false),
    _useState6 = _slicedToArray__default["default"](_useState5, 2),
    isOpen = _useState6[0],
    setIsOpen = _useState6[1];
  var _useState7 = React.useState(false),
    _useState8 = _slicedToArray__default["default"](_useState7, 2),
    focusMenu = _useState8[0],
    setFocusMenu = _useState8[1];
  var _useState9 = React.useState(''),
    _useState10 = _slicedToArray__default["default"](_useState9, 2),
    activeDescendant = _useState10[0],
    setActiveDescendant = _useState10[1];
  var _useState11 = React.useState(0),
    _useState12 = _slicedToArray__default["default"](_useState11, 2),
    activeMenuItemIndex = _useState12[0],
    setActiveMenuItemIndex = _useState12[1];

  // Non-state instance trackers
  var groupIDs = React.useRef(new Array());
  var menuItemIDs = React.useRef(new Array());
  var focusableMenuItems = React.useRef(new Array());
  React.useLayoutEffect(function () {
    // setup the onClick outside handler
    window.addEventListener('mousedown', handleClickOutside, true);

    // Update Floating UI placement
    FUI_Update();

    // Add the Floating UI data attribute
    var menuElem = menuRefActual.current;
    if (menuElem) {
      menuElem.dataset.fuiPlacement = placement;
    }

    // only focus the menu when state instructs us to
    if (focusMenu) {
      // focus the menu element
      // NOTE: setTimeout is used to prevent focus change from conflicting with Floating UI
      setTimeout(function () {
        menuElem.focus();
      }, 0);
      // reset state
      setFocusMenu(false);
    }
    return function () {
      window.removeEventListener('mousedown', handleClickOutside, true);
    };
  }, [isOpen, placement]);

  //
  // Internal/support methods
  //

  var setActiveMenuItem = function setActiveMenuItem(elemID, index) {
    setActiveDescendant(elemID);
    setActiveMenuItemIndex(index);
  };
  var openMenu = function openMenu() {
    setIsOpen(true);
    setFocusMenu(true);
  };
  var closeMenu = function closeMenu() {
    setIsOpen(false);
    setActiveMenuItem(undefined, -1); // remove current selection to reset menu
    nodeRef.current.querySelector("#".concat(triggerID)).focus();
  };
  var setFocusByFirstCharacter = function setFocusByFirstCharacter(_char) {
    // ensure lowercase for easier comparison
    _char = _char.toLowerCase();
    // track if we've found an item yet
    var itemFound = false;

    // loop from current active index to end of focusable items
    for (var i = activeMenuItemIndex + 1; i < focusableMenuItems.current.length; i++) {
      var item = focusableMenuItems.current[i];
      if (item.label.toLowerCase().startsWith(_char)) {
        setActiveMenuItem(menuItemIDs.current[i], i);
        // report that we found an item
        itemFound = true;
        // break out of loop
        break;
      }
    }

    // loop from beginning of focusable items to item prior to current active index
    // !! Continue search only if we haven't found an item yet
    if (itemFound === false) {
      for (var _i = 0; _i < activeMenuItemIndex; _i++) {
        var _item = focusableMenuItems.current[_i];
        if (_item.label.toLowerCase().startsWith(_char)) {
          setActiveMenuItem(menuItemIDs.current[_i], _i);
          // break out of loop
          break;
        }
      }
    }
  };
  var activateMenuItem = function activateMenuItem(itemID) {
    var itemIndex = menuItemIDs.current.indexOf(itemID);
    var item = focusableMenuItems.current[itemIndex];

    // only execute callback if there is one and the item is not disabled
    if (item.callback && !item.disabled) {
      item.callback(item);
    }
  };
  var activateCurrentMenuItem = function activateCurrentMenuItem() {
    var currentItemID = menuItemIDs.current[activeMenuItemIndex];
    activateMenuItem(currentItemID);
  };

  //
  // Event handler functions
  //
  var handleTriggerClick = function handleTriggerClick(event) {
    if (isOpen) {
      closeMenu();
    } else {
      openMenu();
    }
    setFocusMenu(function (prevState) {
      return !prevState;
    });
    event.stopPropagation();
    event.preventDefault();
  };
  var handleMenuItemClick = function handleMenuItemClick(event) {
    activateMenuItem(event.currentTarget.id);
    closeMenu();
  };
  var handleButtonKeyDown = function handleButtonKeyDown(event) {
    var key = event.key,
      flag = false;
    switch (key) {
      // open menu and focus on first menu item
      case ' ':
      case 'Enter':
      case 'ArrowDown':
      case 'Down':
        openMenu();
        setActiveMenuItem(menuItemIDs.current[0], 0);
        flag = true;
        break;

      // close menu
      case 'Esc':
      case 'Escape':
        closeMenu();
        flag = true;
        break;

      // open menu and focus on last menu item
      case 'Up':
      case 'ArrowUp':
        var lastIndex = menuItemIDs.current.length - 1;
        openMenu();
        setActiveMenuItem(menuItemIDs.current[lastIndex], lastIndex);
        flag = true;
        break;
    }

    // if something desired happened prevent default behavior
    if (flag) {
      event.stopPropagation();
      event.preventDefault();
    }
  };
  var handleMenuKeydown = function handleMenuKeydown(event) {
    var key = event.key,
      flag = false,
      moveToItemID = '',
      moveToIndex = 0;
    function isPrintableCharacter(str) {
      return str.length === 1 && str.match(/\S/);
    }
    if (event.ctrlKey || event.altKey || event.metaKey) {
      return;
    }
    if (event.shiftKey) {
      if (isPrintableCharacter(key)) {
        setFocusByFirstCharacter(key);
        flag = true;
      }
      if (event.key === 'Tab') {
        closeMenu();
        flag = true;
      }
    } else {
      switch (key) {
        case ' ':
        case 'Enter':
          closeMenu();
          activateCurrentMenuItem();
          flag = true;
          break;
        case 'Esc':
        case 'Escape':
          closeMenu();
          flag = true;
          break;
        case 'Up':
        case 'ArrowUp':
          moveToIndex = activeMenuItemIndex - 1;
          if (moveToIndex < 0) {
            moveToIndex = menuItemIDs.current.length - 1;
          }
          moveToItemID = menuItemIDs.current[moveToIndex];
          setActiveMenuItem(moveToItemID, moveToIndex);
          flag = true;
          break;
        case 'ArrowDown':
        case 'Down':
          moveToIndex = activeMenuItemIndex + 1;
          if (moveToIndex > menuItemIDs.current.length - 1) {
            moveToIndex = 0;
          }
          moveToItemID = menuItemIDs.current[moveToIndex];
          setActiveMenuItem(moveToItemID, moveToIndex);
          flag = true;
          break;
        case 'Home':
        case 'PageUp':
          setActiveMenuItem(menuItemIDs.current[0], 0);
          flag = true;
          break;
        case 'End':
        case 'PageDown':
          var lastIndex = menuItemIDs.current.length - 1;
          setActiveMenuItem(menuItemIDs.current[lastIndex], lastIndex);
          flag = true;
          break;
        case 'Tab':
          closeMenu();
          break;
        default:
          if (isPrintableCharacter(key)) {
            setFocusByFirstCharacter(key);
            flag = true;
          }
          break;
      }
    }
    if (flag) {
      event.stopPropagation();
      event.preventDefault();
    }
  };

  // Handle click outside event to close menu if open
  var handleClickOutside = function handleClickOutside(event) {
    if (nodeRef.current && !nodeRef.current.contains(event.target)) {
      if (isOpen) {
        closeMenu();
      }
    }
  };

  // function to render each menu item correctly
  var renderItem = function renderItem(item, index) {
    var groupID = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
    var groupHeadingID = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '';
    var groupIDString = groupID ? "-group-".concat(groupID) : '';
    var fallbackItemID = triggerID + groupIDString + '-item-' + (index + 1);

    // If ID is not passed into menu item, generate one.
    var itemID = item.id ? item.id : fallbackItemID;

    // render a separator if found
    if (isSeparatorItemType(item)) {
      return /*#__PURE__*/jsxRuntime.jsx("li", {
        role: "separator"
      }, itemID);
    }

    // render a heading if found
    if (isHeadingItemType(item)) {
      return /*#__PURE__*/jsxRuntime.jsx("li", {
        role: "presentation",
        id: groupHeadingID,
        className: "pds-menu-button__listbox-heading",
        children: item.label
      }, groupHeadingID);
    }

    // render a node if found
    if (isNodeItemType(item)) {
      return /*#__PURE__*/jsxRuntime.jsx("li", {
        role: "presentation",
        children: item.nodeContent
      }, itemID);
    }

    // render a menu item if it has a label value
    if (item.label) {
      menuItemIDs.current.push(itemID);
      focusableMenuItems.current.push(item);

      // decide if this item should be shown to have focus
      var shouldFocus = false;
      if (activeDescendant !== '') {
        shouldFocus = activeDescendant === itemID;
      }
      return /*#__PURE__*/jsxRuntime.jsxs("li", {
        id: itemID,
        "data-testid": item.testId,
        className: shouldFocus ? 'pds-menu-button__item-focused' : undefined,
        role: "menuitem",
        tabIndex: -1,
        onClick: handleMenuItemClick,
        "aria-disabled": item.disabled ? true : undefined,
        children: [item.icon ? /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
          "aria-hidden": true,
          className: "pds-menu-button__item-icon",
          icon: item.icon
        }) : null, item.label]
      }, itemID);
    }
  };

  // Function to render grouped items
  var renderMenuItemsGrouped = function renderMenuItemsGrouped(items, menuItemBreaks) {
    var groupedItems = new Array();

    // get the first break item
    var breakItem = menuItemBreaks.shift();

    // setup our temporary storage for this group
    var group = new Array();

    // iterate over all menu items
    items.map(function (item, index) {
      // if the item isn't the first break item then add it to the group
      if (item !== breakItem) {
        group.push(item);

        // if this is the last item then add it to the group
        if (index + 1 === items.length) {
          groupedItems.push(group);
        }
      } else {
        // if we have a break item then add the group to the overall items data,
        // reset the temporary group storage,
        // add the break item to the new group,
        // get the next break item
        groupedItems.push(group);
        group = new Array();
        group.push(item);
        breakItem = menuItemBreaks.shift();
      }
    });

    // filter out empty groups
    return groupedItems.filter(function (group) {
      return group.length > 0;
    });
  };

  // Function to render the items
  var renderMenuItems = function renderMenuItems(items) {
    // reset tracking variables
    menuItemIDs.current = new Array();
    focusableMenuItems.current = new Array();

    // Chunk menu items into groups if needed
    var itemsData = items;
    // check if we have any separators or headings in the dataset
    var menuItemBreaks = items.filter(isHeadingItemType || isSeparatorItemType);
    var haveBreaks = menuItemBreaks.length > 0;

    // if we have breaks then split into groups at each marker
    if (haveBreaks) {
      // group the items together
      var groupedItemsData = renderMenuItemsGrouped(items, menuItemBreaks);

      // setup group IDs
      groupedItemsData.forEach(function () {
        groupIDs.current.push(createShortUUID());
      });
      var currentGroupID = groupIDs.current[0];

      // locate first valid item to properly set initial value for aria-activedescendant on menu/listbox
      var firstMenuItemIndex = groupedItemsData[0].findIndex(function (item) {
        return !isSeparatorItemType(item) && !isHeadingItemType(item);
      });

      // set active descendant ID value in component state
      var initialDescendant = "".concat(triggerID, "-group-").concat(currentGroupID, "-item-").concat(firstMenuItemIndex + 1);

      // Render grouped items in listbox
      return /*#__PURE__*/jsxRuntime.jsx("div", {
        id: listboxID,
        role: "menu",
        tabIndex: -1,
        "aria-labelledby": triggerID,
        "aria-activedescendant": activeDescendant !== '' ? activeDescendant : initialDescendant,
        style: {
          display: isOpen ? 'block' : 'none',
          position: strategy,
          transform: "translate(".concat(Math.round(x), "px,").concat(Math.round(y), "px)")
        },
        onKeyDown: handleMenuKeydown,
        ref: floating,
        children: groupedItemsData.map(function (group, index) {
          currentGroupID = groupIDs.current[index];
          var hasHeading = group[0].isHeading;
          var groupHeadingID = hasHeading ? "".concat(triggerID, "-group-").concat(currentGroupID, "-heading") : '';
          var keyID = "".concat(triggerID, "-group-").concat(currentGroupID);

          // TODO convert next line to translatable string
          var groupLabel = hasHeading ? '' : "Unlabeled group ".concat(index + 1);
          return /*#__PURE__*/jsxRuntime.jsx("ul", {
            role: "group",
            "aria-labelledby": groupHeadingID,
            "aria-label": groupLabel,
            children: group.map(function (item, index) {
              return renderItem(item, index, currentGroupID, groupHeadingID);
            })
          }, keyID);
        })
      });
    } else {
      // Render plain listbox without any groups

      // set initial active descendant ID value
      var _initialDescendant = "".concat(triggerID, "-item-1");
      return /*#__PURE__*/jsxRuntime.jsx("ul", {
        id: listboxID,
        role: "menu",
        tabIndex: -1,
        "aria-labelledby": triggerID,
        "aria-activedescendant": activeDescendant !== '' ? activeDescendant : _initialDescendant,
        style: {
          display: isOpen ? 'block' : 'none',
          position: strategy,
          transform: "translate(".concat(Math.round(x), "px,").concat(Math.round(y), "px)")
        },
        onKeyDown: handleMenuKeydown,
        ref: floating,
        children: itemsData.map(function (item, index) {
          return renderItem(item, index);
        })
      });
    }
  };

  // Preprocess FA icons.

  var iconSize;
  if (displayType === 'icon-only' || displayType === 'icon-with-label') {
    iconSize = '2x';
  } else {
    iconSize = 'lg';
  }
  var defaultIcon = /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
    "aria-hidden": true,
    icon: icon.icon ? icon.icon : proSolidSvgIcons.faChevronDown,
    size: iconSize,
    className: icon.icon ? undefined : 'trigger-indicator'
  }, "".concat(triggerID, "-default-icon"));
  var chevronDownIcon = /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
    "aria-hidden": true,
    icon: proSolidSvgIcons.faChevronDown,
    size: icon.size
  }, "".concat(triggerID, "-down-icon"));
  var meatballsIcon = /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
    "aria-hidden": true,
    icon: proSolidSvgIcons.faEllipsisV,
    size: icon.size
  }, "".concat(triggerID, "-meatballs-icon"));
  var menuIcon = defaultIcon;

  // if display type is meatballs, use the meatballs icon
  if (displayType === 'meatballs') {
    menuIcon = meatballsIcon;
  }

  // build the button content based on icon position value if icon was provided
  var buttonContent = [];

  // if display type is 'default' then show the label
  if (displayType === 'default') {
    buttonContent.push(label);
  }

  // if display type is 'icon-with-label' then show the icon, label, and chevron.
  if (displayType === 'icon-with-label') {
    buttonContent.push(label);
    buttonContent.push(chevronDownIcon);
    icon.position = 'start';
  }

  // place the icon either before or after the label based on icon.position.
  if (icon.position === 'start') {
    buttonContent.unshift(menuIcon);
  } else {
    buttonContent.push(menuIcon);
  }

  // if display type is 'meatballs' or 'icon-only', use the label as the aria-label
  var ariaLabel;
  if (displayType === 'meatballs' || displayType === 'icon-only') {
    ariaLabel = label;
  }

  // provide a sensible default label if the trigger is only an icon
  if (!label && icon && icon.icon) {
    if (isOpen) {
      ariaLabel = 'Hide menu';
    } else {
      ariaLabel = 'Show menu';
    }
  }

  // Render the output

  return /*#__PURE__*/jsxRuntime.jsxs("span", {
    className: ['pds-menu-button', displayTypeClass, className].join(' ').trim(),
    ref: nodeRef,
    children: [/*#__PURE__*/jsxRuntime.jsx(Button$1, {
      label: buttonContent,
      id: triggerID,
      "data-testid": testId,
      type: "button",
      variant: displayType === 'default' ? variant : null,
      disabled: disabled,
      className: "pds-menu-button__trigger",
      "aria-haspopup": "true",
      "aria-controls": listboxID,
      "aria-expanded": isOpen,
      "aria-label": ariaLabel,
      onClick: handleTriggerClick,
      onKeyDown: handleButtonKeyDown,
      ref: reference
    }), renderMenuItems(menuItems)]
  });
};

//
// Prop types

// const MenuItemType = PropTypes.exact({
//   /**
//    * Label for a menu item
//    */
//   label: PropTypes.string.isRequired,
//   /**
//    * (optional) Callback function to execute when menu item is clicked/tapped/activated
//    */
//   callback: PropTypes.func,
//   /**
//    * Optional ID value for this item. One will be generated if not provided.
//    */
//   id: PropTypes.string,
//   /**
//    *  Optional `data-testid` value for this item.
//    */
//   testId: PropTypes.string,
//   /**
//    *  Optional icon for this item.
//    */
//   icon: FAIcon,
//   /**
//    *  Is this item disabled?
//    */
//   disabled: PropTypes.bool,
// });

// const HeadingItemType = PropTypes.exact({
//   /**
//    * Label for a menu item
//    */
//   label: PropTypes.string.isRequired,
//   /**
//    * Is the item a heading?
//    */
//   isHeading: PropTypes.bool.isRequired,
// });

// const SeparatorItemType = PropTypes.exact({
//   /**
//    * Is the item a separator?
//    */
//   isSeparator: PropTypes.bool.isRequired,
// });

// const NodeItemType = PropTypes.exact({
//   /**
//    * Is the item a node?
//    */
//   isNode: PropTypes.bool.isRequired,
//   /**
//    * The content of the node.
//    */
//   nodeContent: PropTypes.node,
// });

// //
// // Component propType definitions
// MenuButton.propTypes = {
//   /**
//    * The text of the button/trigger. Will serve as the aria-label text on "meatballs" and "icon-only" display types.
//    */
//   label: PropTypes.string,
//   /**
//    * Optional ID value for this component. One will be generated if not provided.
//    */
//   id: PropTypes.string,
//   /**
//    *  Optional `data-testid` value for this component
//    */
//   testId: PropTypes.string,
//   /**
//    * The icon element to render in the button/trigger and its location (start or end)
//    */
//   icon: PropTypes.shape({
//     /**
//      * Position of the icon
//      */
//     position: PropTypes.oneOf(['start', 'end']),
//     /**
//      * Icon element/node to render
//      */
//     icon: FAIcon,
//     /**
//      * Icon size
//      */
//     size: PropTypes.oneOf([
//       'xs',
//       'sm',
//       'lg',
//       '2x',
//       '3x',
//       '4x',
//       '5x',
//       '6x',
//       '7x',
//       '8x',
//       '9x',
//       '10x',
//     ]),
//   }),

//   /**
//    * Button variant. Only valid for displayType: 'default'.
//    */
//   variant: PropTypes.oneOf(['primary', 'secondary', 'tertiary', 'subtle'])
//     .isRequired,
//   /**
//    * How the button is displayed.
//    */
//   displayType: PropTypes.oneOf([
//     'default',
//     'icon-only',
//     'icon-with-label',
//     'meatballs',
//   ]).isRequired,
//   /**
//    * Is the button disabled?
//    */
//   disabled: PropTypes.bool,
//   /**
//    * Array of menu items
//    */
//   menuItems: PropTypes.arrayOf(
//     PropTypes.oneOfType([
//       MenuItemType,
//       HeadingItemType,
//       SeparatorItemType,
//       NodeItemType,
//     ]),
//   ).isRequired,
//   /**
//    * Initial location, if space permits, of the listbox
//    */
//   listboxPositionInitial: PropTypes.oneOf([
//     'top',
//     'top-start',
//     'top-end',
//     'right',
//     'right-start',
//     'right-end',
//     'bottom',
//     'bottom-start',
//     'bottom-end',
//     'left',
//     'left-start',
//     'left-end',
//   ]),
// };

MenuButton.defaultProps = {
  icon: {
    position: 'end'
  },
  variant: 'secondary',
  displayType: 'default',
  listboxPositionInitial: 'bottom-start'
};
var MenuButton$1 = MenuButton;

var SplitButton = function SplitButton(_ref) {
  var actionItems = _ref.actionItems,
    disabled = _ref.disabled,
    variant = _ref.variant;
  // store the first item as the primary action
  var primaryAction = actionItems[0];

  // Render the output
  return /*#__PURE__*/jsxRuntime.jsxs("span", {
    className: "pds-split-button pds-split-button--".concat(variant),
    children: [/*#__PURE__*/jsxRuntime.jsx(Button$1, {
      "aria-disabled": disabled ? true : undefined,
      className: "pds-split-button__primary-action",
      disabled: disabled,
      label: primaryAction.label,
      onClick: function onClick() {
        return primaryAction.callback(primaryAction);
      },
      variant: variant
    }), /*#__PURE__*/jsxRuntime.jsx(MenuButton$1, {
      "aria-disabled": disabled ? true : undefined,
      className: "pds-split-button__menu-button",
      disabled: disabled,
      listboxPositionInitial: "bottom-end",
      menuItems: actionItems,
      variant: variant
    })]
  });
};

//
// Prop types

var ActionItemType = PropTypes__default["default"].exact({
  /**
   * Label for a menu item
   */
  label: PropTypes__default["default"].string.isRequired,
  /**
   * Callback function to execute when menu item is clicked/tapped/activated
   */
  callback: PropTypes__default["default"].func.isRequired
});

//
// Component propType definitions
SplitButton.propTypes = {
  /**
   * Array of menu items
   */
  actionItems: PropTypes__default["default"].arrayOf(ActionItemType).isRequired,
  /**
   * Is the button disabled?
   */
  disabled: PropTypes__default["default"].bool,
  /**
   * Button style variant.
   */
  variant: PropTypes__default["default"].oneOf(['primary', 'secondary'])
};
SplitButton.defaultProps = {
  disabled: false,
  variant: 'secondary'
};

//
var SplitButton$1 = SplitButton;

var defaultContext = {
  isScrollableHeight: false,
  setIsScrollableHeight: function setIsScrollableHeight() {}
};
var ModalContext = /*#__PURE__*/React.createContext(defaultContext);
var ModalContext$1 = ModalContext;

var _excluded$l = ["ariaLabel", "children", "size"];
function ownKeys$B(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$B(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$B(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$B(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var sizesWidth = {
  large: '49rem',
  medium: '36rem',
  small: '25rem'
};
var onDismissDefault = function onDismissDefault() {};
var AnimatedOverlay = reactSpring.animated(dialog.DialogOverlay);
var AnimatedContent = reactSpring.animated(dialog.DialogContent);
var Modal = function Modal(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    size = _ref.size,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$l);
  var isOpen = rest.isOpen,
    onDismiss = rest.onDismiss;
  var _useState = React.useState(false),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    isScrollableHeight = _useState2[0],
    setIsScrollableHeight = _useState2[1];
  var opacityProps = reactSpring.useSpring({
    config: {
      duration: 500
    },
    opacity: isOpen ? 1 : 0
  });
  var transformProps = reactSpring.useSpring({
    config: reactSpring.config.molasses,
    transform: isOpen ? 'translateY(calc(-50% - 0rem))' : 'translateY(calc(-50% - 1rem))'
  });
  return /*#__PURE__*/jsxRuntime.jsx(AnimatedOverlay, _objectSpread$B(_objectSpread$B({
    style: opacityProps
  }, rest), {}, {
    children: /*#__PURE__*/jsxRuntime.jsx(ModalContext$1.Provider, {
      value: React.useMemo(function () {
        return {
          isScrollableHeight: isScrollableHeight,
          setIsScrollableHeight: setIsScrollableHeight
        };
      }, [isScrollableHeight, setIsScrollableHeight]),
      children: /*#__PURE__*/jsxRuntime.jsxs(AnimatedContent, {
        "aria-label": ariaLabel,
        style: _objectSpread$B(_objectSpread$B({
          width: sizesWidth[size]
        }, opacityProps), transformProps),
        children: [onDismiss !== onDismissDefault && /*#__PURE__*/jsxRuntime.jsx(CloseButton$1, {
          callback: onDismiss,
          className: "absolute top-2 right-2"
        }), children]
      })
    })
  }));
};
Modal.defaultProps = {
  isOpen: false,
  onDismiss: onDismissDefault,
  size: 'medium'
};
Modal.propTypes = {
  /**
   * ARIA label that describes the purpose or content of the modal
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Is the modal open or closed?
   */
  isOpen: PropTypes__default["default"].bool,
  /**
   * Function to execute when dismissing the modal. Omit to remove the close button and click outside to dismiss functionality.
   */
  onDismiss: PropTypes__default["default"].func,
  /**
   * Size of the modal container
   */
  size: PropTypes__default["default"].oneOf(['small', 'medium', 'large'])
};
var Modal$1 = Modal;

var ModalContent = function ModalContent(_ref) {
  var children = _ref.children,
    className = _ref.className;
  var _useContext = React.useContext(ModalContext$1),
    setIsScrollableHeight = _useContext.setIsScrollableHeight;
  var modalContentRef = React.useRef();
  React.useEffect(function () {
    var modalContentElement = modalContentRef.current;
    if (modalContentElement && modalContentElement.offsetHeight < modalContentElement.scrollHeight) {
      setIsScrollableHeight(true);
    }
    return function () {
      setIsScrollableHeight(false);
    };
  }, [setIsScrollableHeight]);
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "h-full py-4 px-6 ".concat(className || ''),
    ref: modalContentRef,
    children: children
  });
};
ModalContent.defaultProps = {
  className: ''
};
ModalContent.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Additional CSS classes to add to the content container
   */
  className: PropTypes__default["default"].string
};
var ModalContent$1 = ModalContent;

var ModalConfirmationForm = function ModalConfirmationForm(_ref) {
  var cancelButtonLabel = _ref.cancelButtonLabel,
    confirmationText = _ref.confirmationText,
    onSubmit = _ref.onSubmit,
    onDismiss = _ref.onDismiss,
    isWorking = _ref.isWorking,
    submitButtonLabel = _ref.submitButtonLabel,
    submitButtonType = _ref.submitButtonType;
  var _useContext = React.useContext(ModalContext$1),
    isScrollableHeight = _useContext.isScrollableHeight;
  var checkboxField = hashSum__default["default"]("modal-confirmation-".concat(submitButtonLabel));
  return /*#__PURE__*/jsxRuntime.jsx(ModalContent$1, {
    className: "overflow-visible ".concat(isScrollableHeight ? 'border-t border-solid border-gray-2' : ''),
    children: /*#__PURE__*/jsxRuntime.jsx(informed.Form, {
      onSubmit: onSubmit,
      children: function children(_ref2) {
        var formState = _ref2.formState;
        return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
          children: [/*#__PURE__*/jsxRuntime.jsxs("fieldset", {
            children: [/*#__PURE__*/jsxRuntime.jsxs("legend", {
              className: "sr-only",
              children: ["Confirmation Checkbox to Enable Action: ", submitButtonLabel]
            }), /*#__PURE__*/jsxRuntime.jsx(CustomCheckbox$1, {
              field: checkboxField,
              children: confirmationText
            })]
          }), /*#__PURE__*/jsxRuntime.jsxs(ButtonGroup$1, {
            className: "mt-2",
            children: [/*#__PURE__*/jsxRuntime.jsx(SubmitButton$1, {
              disabled: !formState.values[checkboxField],
              isLoading: isWorking,
              type: submitButtonType,
              children: submitButtonLabel
            }), cancelButtonLabel && /*#__PURE__*/jsxRuntime.jsx(ButtonSecondary, {
              onClick: onDismiss,
              children: cancelButtonLabel
            })]
          })]
        });
      }
    })
  });
};
ModalConfirmationForm.defaultProps = {
  cancelButtonLabel: '',
  isWorking: false,
  onDismiss: function onDismiss() {},
  submitButtonType: 'danger'
};
ModalConfirmationForm.propTypes = {
  cancelButtonLabel: PropTypes__default["default"].string,
  confirmationText: PropTypes__default["default"].string.isRequired,
  isWorking: PropTypes__default["default"].bool,
  onDismiss: PropTypes__default["default"].func,
  onSubmit: PropTypes__default["default"].func.isRequired,
  submitButtonLabel: PropTypes__default["default"].string.isRequired,
  submitButtonType: PropTypes__default["default"].string
};
var ModalConfirmationForm$1 = ModalConfirmationForm;

var ModalHeader = function ModalHeader(_ref) {
  var children = _ref.children,
    headingLevel = _ref.headingLevel,
    headingLevelStyle = _ref.headingLevelStyle;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "border-b border-solid border-gray-2 py-4 px-6",
    children: /*#__PURE__*/jsxRuntime.jsx(HX$1, {
      className: "mb-0 mr-8",
      level: headingLevel,
      levelStyle: headingLevelStyle,
      children: children
    })
  });
};
ModalHeader.defaultProps = {
  headingLevel: 5,
  headingLevelStyle: 5
};
ModalHeader.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Level of heading
   */
  headingLevel: HeadingLevel,
  /**
   * Style level of heading
   */
  headingLevelStyle: HeadingLevel
};
var ModalHeader$1 = ModalHeader;

var GlobalPrimary = function GlobalPrimary(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    className = _ref.className,
    contextDropdown = _ref.contextDropdown;
  return /*#__PURE__*/jsxRuntime.jsxs("nav", {
    "aria-label": ariaLabel,
    className: "global-primary-navigation bg-gray-6 h-full text-center z-navigation ".concat(className),
    children: [contextDropdown ? /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "global-primary-navigation-container pb-4",
      children: contextDropdown
    }) : null, /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "global-primary-navigation-container flex flex-col flex-nowrap items-center justify-start text-center",
      children: children
    })]
  });
};
GlobalPrimary.defaultProps = {
  className: ''
};
GlobalPrimary.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Any custom CSS classes to add to the navigation
   */
  className: PropTypes__default["default"].string,
  /**
   * Contextual dropdown element to be inserted at the top of the navigation
   */
  contextDropdown: PropTypes__default["default"].node.isRequired
};
var GlobalPrimary$1 = GlobalPrimary;

function ownKeys$A(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$A(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$A(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$A(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var NavLink = function NavLink(props) {
  var to = props.to;
  var partialMatch = reactRouterDom.useMatch("".concat(to, "/*"));
  return /*#__PURE__*/jsxRuntime.jsx(reactRouterDom.Link, _objectSpread$A({
    className: partialMatch ? ACTIVE_STATE_CLASS_NAME : null
  }, props));
};
NavLink.propTypes = {
  to: PropTypes__default["default"].string.isRequired
};
var NavLink$1 = NavLink;

var _excluded$k = ["children", "icon"];
function ownKeys$z(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$z(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$z(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$z(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var GlobalPrimaryLink = function GlobalPrimaryLink(_ref) {
  var children = _ref.children,
    icon = _ref.icon,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$k);
  return /*#__PURE__*/jsxRuntime.jsxs(NavLink$1, _objectSpread$z(_objectSpread$z({}, rest), {}, {
    children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: icon,
      size: "lg"
    }), /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "mt-1",
      children: children
    })]
  }));
};
GlobalPrimaryLink.propTypes = {
  children: PropTypes__default["default"].string.isRequired,
  /**
   * Icon to display
   */
  icon: FAIcon.isRequired
};
var GlobalPrimaryLink$1 = GlobalPrimaryLink;

var GlobalSecondary = function GlobalSecondary(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    className = _ref.className,
    isOpen = _ref.isOpen,
    setIsOpen = _ref.setIsOpen;
  var _useSpring = reactSpring.useSpring({
      opacity: isOpen ? '1' : '0',
      width: isOpen ? '10.25rem' : '1rem',
      config: {
        mass: 1,
        tension: 210,
        friction: 20,
        clamp: true // Whether it should ever overshoot the transitions.
      }
    }),
    opacity = _useSpring.opacity,
    width = _useSpring.width;
  var label = isOpen ? 'Collapse' : 'Expand';
  return /*#__PURE__*/jsxRuntime.jsxs(reactSpring.animated.div, {
    className: "flex relative bg-gray-1 z-navigationToggle ".concat(className),
    style: {
      width: width
    },
    children: [/*#__PURE__*/jsxRuntime.jsx("div", {
      className: "z-1 absolute -right-4 top-16",
      children: /*#__PURE__*/jsxRuntime.jsx(Tippy__default["default"], {
        animation: "fade",
        arrow: true,
        content: label,
        interactive: true,
        placement: "bottom",
        children: /*#__PURE__*/jsxRuntime.jsx("button", {
          "aria-label": label,
          className: "bg-gray-5 h-10 w-10 rounded-full p-0 border-0",
          onClick: function onClick() {
            return setIsOpen(!isOpen);
          },
          type: "button",
          children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
            className: "text-white",
            icon: isOpen ? proSolidSvgIcons.faArrowLeftToLine : proSolidSvgIcons.faArrowRightToLine,
            size: "lg"
          })
        })
      })
    }), /*#__PURE__*/jsxRuntime.jsx(reactSpring.animated.nav, {
      "aria-label": ariaLabel,
      className: "global-secondary-navigation-container flex flex-col h-screen overflow-x-hidden overflow-y-auto text-center",
      style: {
        opacity: opacity
      },
      children: /*#__PURE__*/jsxRuntime.jsx("div", {
        className: "global-secondary-navigation-list",
        children: children
      })
    })]
  });
};
GlobalSecondary.defaultProps = {
  className: '',
  isOpen: true
};
GlobalSecondary.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Any custom CSS classes to add to the navigation
   */
  className: PropTypes__default["default"].string,
  /**
   * Set open state
   */
  isOpen: PropTypes__default["default"].bool,
  /**
   * Set function that will control open state
   */
  setIsOpen: PropTypes__default["default"].func.isRequired
};
var GlobalSecondary$1 = GlobalSecondary;

var GlobalSecondarySubNav = function GlobalSecondarySubNav(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "global-secondary-subnavigation",
    children: children
  });
};
GlobalSecondarySubNav.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var GlobalSecondarySubNav$1 = GlobalSecondarySubNav;

var NavItem = function NavItem(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("li", {
    children: children
  });
};
NavItem.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var NavItem$1 = NavItem;

var _excluded$j = ["children"];
function ownKeys$y(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$y(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$y(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$y(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ActionPanel = function ActionPanel(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$j);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$y(_objectSpread$y({
    className: 'panel p-4 flex flex-row justify-between items-center action-panel-styles'
  }, rest), {}, {
    children: children
  }));
};
ActionPanel.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var ActionPanel$1 = ActionPanel;

function ownKeys$x(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$x(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$x(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$x(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PantheorIcon = function PantheorIcon(props) {
  return /*#__PURE__*/jsxRuntime.jsx("svg", _objectSpread$x(_objectSpread$x({
    className: "inline h-7 pantheorIconStyles",
    viewBox: "0 0 14 34",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), {}, {
    children: /*#__PURE__*/jsxRuntime.jsx("path", {
      d: "M1.6 0l3.12 7.34H.76l1.3 3.1h8.03L1.61 0zm10.5 26.3l-1.3-3.1H8.96l-.04-.08-2.54-6H4.9l2.58 6.09h-4.7l8.48 10.44-3.11-7.35h3.96zM6.7 16.34h2.69l-2.34-5.5h-5.8c-.45 0-.7 0-.9.63-.23.77-.34 2.36-.34 5.16 0 2.8.1 4.4.35 5.16.2.64.44.64.88.64H6.5l-2.58-6.1h2.13l-1.3-3.04h.65l1.29 3.05zm6.51 3.63H8.23l1.04 2.46h3.93c.1 0 .33-.12.33-1.23 0-1.1-.23-1.23-.33-1.23zm0-6.68c.1 0 .33-.12.33-1.23 0-1.1-.23-1.22-.33-1.22H7.7l1.04 2.45h4.47zm.46 3.64H6.94l1.04 2.45h5.68c.1 0 .33-.12.33-1.23 0-1.1-.23-1.22-.33-1.22zm0-3.05H8.98l1.04 2.46h3.64c.1 0 .33-.12.33-1.23 0-1.11-.23-1.23-.33-1.23z",
      fill: "#600C58",
      fillRule: "evenodd"
    })
  }));
};
var PantheorIcon$1 = PantheorIcon;

var _excluded$i = ["alt", "type"];
function ownKeys$w(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$w(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$w(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$w(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var iconColor = {
  danger: 'text-red-3',
  info: 'text-blue-3',
  pantheor: 'text-purple-3',
  success: 'text-green-3',
  warning: 'text-orange-3',
  working: 'text-current'
};
var alertIcon = {
  danger: proRegularSvgIcons.faExclamationSquare,
  info: proRegularSvgIcons.faInfoCircle,
  working: proSolidSvgIcons.faSpinnerThird,
  success: proRegularSvgIcons.faCheckCircle,
  warning: proRegularSvgIcons.faExclamationTriangle
};
var NotificationStatusIcon = function NotificationStatusIcon(_ref) {
  var alt = _ref.alt,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$i);
  return /*#__PURE__*/jsxRuntime.jsx("span", {
    className: "".concat(iconColor[type], " inline mr-2"),
    children: type === 'pantheor' ? /*#__PURE__*/jsxRuntime.jsx(PantheorIcon$1, _objectSpread$w({
      "aria-label": alt,
      role: "img"
    }, rest)) : /*#__PURE__*/jsxRuntime.jsx(Icon$1, _objectSpread$w({
      alt: alt,
      icon: alertIcon[type],
      spin: type === 'working'
    }, rest))
  });
};
NotificationStatusIcon.defaultProps = {
  alt: ''
};
NotificationStatusIcon.propTypes = {
  alt: PropTypes__default["default"].string,
  type: PropTypes__default["default"].oneOf(['danger', 'info', 'pantheor', 'success', 'warning', 'working']).isRequired
};
var NotificationStatusIcon$1 = NotificationStatusIcon;

var _excluded$h = ["children", "className", "iconAlt", "type"];
function ownKeys$v(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$v(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$v(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$v(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var typesCSS$1 = {
  danger: 'border-l-red-3',
  info: 'border-l-blue-3',
  success: 'border-l-green-3',
  warning: 'border-l-orange-3',
  working: 'border-l-gray-5'
};
var ContextPanel = function ContextPanel(_ref) {
  var children = _ref.children,
    className = _ref.className,
    iconAlt = _ref.iconAlt,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$h);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$v(_objectSpread$v({
    className: "context-panel-styles p-4 border-l-4 ".concat(typesCSS$1[type], " ").concat(className)
  }, rest), {}, {
    children: /*#__PURE__*/jsxRuntime.jsxs("span", {
      className: "flex flex-row",
      children: [/*#__PURE__*/jsxRuntime.jsx(NotificationStatusIcon$1, {
        alt: iconAlt,
        type: type
      }), /*#__PURE__*/jsxRuntime.jsx("span", {
        children: children
      })]
    })
  }));
};
ContextPanel.defaultProps = {
  className: '',
  iconAlt: ''
};
ContextPanel.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  iconAlt: PropTypes__default["default"].string,
  type: PropTypes__default["default"].oneOf(['danger', 'info', 'success', 'warning', 'working']).isRequired
};
var ContextPanel$1 = ContextPanel;

var _excluded$g = ["children"];
function ownKeys$u(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$u(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$u(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$u(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Panel = function Panel(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$g);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$u(_objectSpread$u({
    className: "panel p-4"
  }, rest), {}, {
    children: children
  }));
};
Panel.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var Panel$1 = Panel;

var PanelGroup = function PanelGroup(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "mb-8 rounded panel-group",
    children: children
  });
};
PanelGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var PanelGroup$1 = PanelGroup;

var typesCSS = {
  danger: 'bg-red-4 text-white',
  "default": 'bg-black text-white',
  info: 'bg-blue-3 text-white',
  pantheor: 'bg-purple-4 text-white',
  warning: 'bg-orange-3 text-black'
};
var PanelHeader = function PanelHeader(_ref) {
  var children = _ref.children,
    level = _ref.level,
    levelStyle = _ref.levelStyle,
    type = _ref.type;
  return /*#__PURE__*/jsxRuntime.jsx(HX$1, {
    className: "flex justify-center p-4 rounded-t rounded-b-none -mt-4 mb-4 -mx-4 ".concat(typesCSS[type]),
    level: level,
    levelStyle: levelStyle,
    children: children
  });
};
PanelHeader.defaultProps = {
  levelStyle: 4,
  type: 'default'
};
PanelHeader.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  level: PropTypes__default["default"].oneOf([1, 2, 3, 4, 5, 6]).isRequired,
  levelStyle: PropTypes__default["default"].oneOf([1, 2, 3, 4, 5, 6]),
  type: PropTypes__default["default"].oneOf(['danger', 'default', 'info', 'pantheor', 'warning'])
};
var PanelHeader$1 = PanelHeader;

var _excluded$f = ["children"];
function ownKeys$t(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$t(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$t(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$t(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PanelLarge = function PanelLarge(_ref) {
  var children = _ref.children,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$f);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$t(_objectSpread$t({
    className: "panel p-8"
  }, rest), {}, {
    children: children
  }));
};
PanelLarge.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var PanelLarge$1 = PanelLarge;

var PanelPaddingBuster = function PanelPaddingBuster(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "-mr-4 -ml-4 negate-padding-regular",
    children: children
  });
};
PanelPaddingBuster.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var PanelPaddingBuster$1 = PanelPaddingBuster;

var _excluded$e = ["children", "headingLevel", "headingLevelStyle"];
function ownKeys$s(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$s(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$s(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$s(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PanelTitle = function PanelTitle(_ref) {
  var children = _ref.children,
    headingLevel = _ref.headingLevel,
    headingLevelStyle = _ref.headingLevelStyle,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$e);
  return /*#__PURE__*/jsxRuntime.jsx(HX$1, _objectSpread$s(_objectSpread$s({
    level: headingLevel,
    levelStyle: headingLevelStyle
  }, rest), {}, {
    children: children
  }));
};
PanelTitle.defaultProps = {
  headingLevel: 5,
  headingLevelStyle: 5
};
PanelTitle.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  headingLevel: HeadingLevel,
  headingLevelStyle: HeadingLevel
};
var PanelTitle$1 = PanelTitle;

var SideNavigation = function SideNavigation(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("nav", {
    "aria-label": ariaLabel,
    children: /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "overflow-y-auto max-h-3/4",
      children: /*#__PURE__*/jsxRuntime.jsx(Panel$1, {
        children: children
      })
    })
  });
};
SideNavigation.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired
};
var SideNavigation$1 = SideNavigation;

var SideNavigationGroup = function SideNavigationGroup(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "side-navigation-group border-gray-2 border-b mb-6 pb-6",
    children: children
  });
};
SideNavigationGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var SideNavigationGroup$1 = SideNavigationGroup;

var SideNavigationMenu = function SideNavigationMenu(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "side-navigation-menu -ml-4 -mr-4",
    children: children
  });
};
SideNavigationMenu.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var SideNavigationMenu$1 = SideNavigationMenu;

var UtilityNavigation = function UtilityNavigation(_ref) {
  var ariaLabel = _ref.ariaLabel,
    children = _ref.children,
    className = _ref.className,
    isCentered = _ref.isCentered;
  return /*#__PURE__*/jsxRuntime.jsx("header", {
    className: "border-b border-solid border-gray-2 bg-white z-navigation ".concat(className),
    children: /*#__PURE__*/jsxRuntime.jsx("nav", {
      "aria-label": ariaLabel,
      className: "py-1",
      children: /*#__PURE__*/jsxRuntime.jsx(Container$2, {
        isCentered: isCentered,
        type: "widest",
        children: /*#__PURE__*/jsxRuntime.jsx("div", {
          className: "flex flex-wrap flex-row items-center justify-start",
          children: children
        })
      })
    })
  });
};
UtilityNavigation.defaultProps = {
  className: '',
  isCentered: false
};
UtilityNavigation.propTypes = {
  /**
   * ARIA label for the overall navigation
   */
  ariaLabel: PropTypes__default["default"].string.isRequired,
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Any custom CSS classes to add to the navigation
   */
  className: PropTypes__default["default"].string,
  /**
   * Sets centering of container
   */
  isCentered: PropTypes__default["default"].bool
};
var UtilityNavigation$1 = UtilityNavigation;

var UtlityNavigationHeading = function UtlityNavigationHeading(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "flex-1 text-gray-5",
    children: children
  });
};
UtlityNavigationHeading.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var UtlityNavigationHeading$1 = UtlityNavigationHeading;

var UtlityNavigationMenu = function UtlityNavigationMenu(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "utility-navigation flex-none flex flex-nowrap flex-row justify-end items-center",
    children: children
  });
};
UtlityNavigationMenu.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var UtlityNavigationMenu$1 = UtlityNavigationMenu;

var _excluded$d = ["children", "dismissCallback", "iconAlt", "isDismissible", "variant", "type"];
function ownKeys$r(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$r(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$r(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$r(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var notificationTypeStyles = {
  danger: 'bg-red-1 border-red-3 text-red-4',
  info: 'bg-blue-1 border-blue-3 text-blue-4',
  pantheor: 'bg-purple-1 border-purple-3 text-purple-4',
  success: 'bg-green-1 border-green-3 text-green-4',
  warning: 'bg-orange-1 border-orange-3 text-orange-5'
};
var NotificationBase = function NotificationBase(_ref) {
  var children = _ref.children,
    dismissCallback = _ref.dismissCallback,
    iconAlt = _ref.iconAlt,
    isDismissible = _ref.isDismissible,
    variant = _ref.variant,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$d);
  return /*#__PURE__*/jsxRuntime.jsxs("div", _objectSpread$r(_objectSpread$r({
    className: "".concat(notificationTypeStyles[type], " border-solid border ").concat(variant === 'alert' && 'rounded', " mb-4 p-4 relative notification"),
    role: "alert"
  }, rest), {}, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("span", {
      className: "flex flex-row mr-10",
      children: [/*#__PURE__*/jsxRuntime.jsx(NotificationStatusIcon$1, {
        alt: iconAlt,
        type: type
      }), /*#__PURE__*/jsxRuntime.jsx("span", {
        children: children
      })]
    }), isDismissible && /*#__PURE__*/jsxRuntime.jsx(CloseButton$1, {
      callback: dismissCallback,
      className: 'absolute text-opacity-60 right-4 text-lg top-2 hover:text-opacity-100',
      type: type
    })]
  }));
};
NotificationBase.defaultProps = {
  dismissCallback: function dismissCallback() {},
  iconAlt: '',
  isDismissible: false,
  variant: 'alert'
};
NotificationBase.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  dismissCallback: PropTypes__default["default"].func,
  iconAlt: PropTypes__default["default"].string,
  isDismissible: PropTypes__default["default"].bool,
  type: PropTypes__default["default"].oneOf(['danger', 'info', 'pantheor', 'success', 'warning']).isRequired,
  variant: PropTypes__default["default"].oneOf(['alert', 'announcement'])
};
var NotificationBase$1 = NotificationBase;

var _excluded$c = ["children"];
function ownKeys$q(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$q(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$q(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$q(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Alert = function Alert(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$c);
  return /*#__PURE__*/jsxRuntime.jsx(NotificationBase$1, _objectSpread$q(_objectSpread$q({}, props), {}, {
    children: children
  }));
};
Alert.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var Alert$1 = Alert;

var _excluded$b = ["isShown"];
function ownKeys$p(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$p(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$p(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$p(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var AlertAnimated = function AlertAnimated(_ref) {
  var isShown = _ref.isShown,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$b);
  return /*#__PURE__*/jsxRuntime.jsx(ExpandAnimation$1, {
    className: "overflow-hidden",
    isShown: isShown,
    children: /*#__PURE__*/jsxRuntime.jsx(Alert$1, _objectSpread$p({}, rest))
  });
};
AlertAnimated.defaultProps = {
  isShown: false
};
AlertAnimated.propTypes = {
  isShown: PropTypes__default["default"].bool
};
var AlertAnimated$1 = AlertAnimated;

var _excluded$a = ["children", "type"];
function ownKeys$o(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$o(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$o(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$o(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Toast = function Toast(_ref) {
  var children = _ref.children,
    type = _ref.type,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$a);
  return /*#__PURE__*/jsxRuntime.jsx(ContextPanel$1, _objectSpread$o(_objectSpread$o({
    className: "relative pr-12",
    type: type
  }, rest), {}, {
    children: children
  }));
};
Toast.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  type: PropTypes__default["default"].oneOf(['danger', 'info', 'loading', 'success', 'warning', 'working']).isRequired
};
var Toast$1 = Toast;

var slide = reactToastify.cssTransition({
  enter: 'slide-in',
  exit: 'slide-out'
});
var ToastCloseButton = function ToastCloseButton(_ref) {
  var closeToast = _ref.closeToast;
  return /*#__PURE__*/jsxRuntime.jsx(CloseButton$1, {
    callback: closeToast,
    className: "absolute right-4 top-2 text-xl"
  });
};
ToastCloseButton.propTypes = {
  closeToast: PropTypes__default["default"].func.isRequired
};
var Toaster = function Toaster() {
  return /*#__PURE__*/jsxRuntime.jsx(Portal__default["default"], {
    children: /*#__PURE__*/jsxRuntime.jsx(reactToastify.ToastContainer, {
      className: "fixed bottom-16 right-8 z-notifications toaster Toastify__toast Toastify__progress-bar",
      closeButton: ToastCloseButton,
      closeOnClick: false,
      limit: 6,
      newestOnTop: true,
      transition: slide
    })
  });
};
var Toaster$1 = Toaster;

var Container = function Container(props) {
  var children = props.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    children: children
  });
};
Container.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
function useToast() {
  var addToast = function addToast(type, message) {
    var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var iconAlt = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '';
    var toastContent = /*#__PURE__*/jsxRuntime.jsx(Container, {
      children: /*#__PURE__*/jsxRuntime.jsx(Toast$1, {
        iconAlt: iconAlt,
        type: type,
        children: message
      })
    });
    return reactToastify.toast(toastContent, options);
  };
  return [addToast, reactToastify.toast];
}

var _excluded$9 = ["children"];
function ownKeys$n(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$n(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$n(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$n(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Announcement = function Announcement(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$9);
  return /*#__PURE__*/jsxRuntime.jsx(NotificationBase$1, _objectSpread$n(_objectSpread$n({
    variant: "announcement"
  }, props), {}, {
    children: children
  }));
};
Announcement.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};

var ProgressBar = function ProgressBar(_ref) {
  var backgroundColor = _ref.backgroundColor,
    percentage = _ref.percentage,
    transitionDuration = _ref.transitionDuration,
    transitionTimingFunction = _ref.transitionTimingFunction;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "rounded h-2 overflow-hidden bg-gray-2",
    children: /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "rounded h-2 overflow-hidden w-full ".concat(percentage >= 100 ? 'bg-green-3' : 'rounded-t rounded-l bg-blue-3', " motion-reduce:duration-almost-0"),
      style: {
        backgroundColor: backgroundColor,
        transitionDuration: transitionDuration,
        transitionTimingFunction: transitionTimingFunction,
        transform: "translateX(-".concat(100 - percentage, "%)")
      }
    })
  });
};
var acceptedColors = [GRAY_3.hex, GRAY_4.hex, GRAY_5.hex, GRAY_6.hex, GRAY_7.hex, YELLOW_3.hex, CYAN_3.hex, RED_3.hex, RED_4.hex, BLUE_2.hex, BLUE_3.hex, ORANGE_3.hex, ORANGE_4.hex, GREEN_2.hex, GREEN_3.hex, GREEN_5.hex];

// TODO: until transition duration is exposed as css class instead of inline style it will override the 'prefers reduce motion' rule

ProgressBar.defaultProps = {
  backgroundColor: null,
  transitionDuration: '0.3s',
  transitionTimingFunction: 'linear'
};
ProgressBar.propTypes = {
  /**
   * Override for background color.
   */
  backgroundColor: PropTypes__default["default"].oneOf(acceptedColors),
  /**
   * Percent complete.
   */
  percentage: PropTypes__default["default"].number.isRequired,
  /**
   * Transition Duration.
   */
  transitionDuration: PropTypes__default["default"].string,
  /**
   * Transition Timing.
   */
  transitionTimingFunction: PropTypes__default["default"].string
};
var ProgressBar$1 = ProgressBar;

var ProgressCircle = function ProgressCircle(_ref) {
  var borderColor = _ref.borderColor,
    innerColor = _ref.innerColor,
    progress = _ref.progress,
    progressColor = _ref.progressColor,
    size = _ref.size,
    title = _ref.title;
  var getDefaultClasses = function getDefaultClasses() {
    var classes = [];
    if (!borderColor) {
      classes.push('stroke-gray-2');
    }
    if (!innerColor) {
      classes.push('fill-white');
    }
    return classes.join(' ');
  };
  var getProgressColor = function getProgressColor() {
    if (progress >= 90) {
      return 'stroke-green-3';
    }
    if (progress >= 50) {
      return 'stroke-orange-3';
    }
    return 'stroke-red-3';
  };
  return /*#__PURE__*/jsxRuntime.jsxs("svg", {
    className: "inline-block",
    height: "".concat(size),
    role: "img",
    viewBox: "0 0 36 36",
    width: "".concat(size),
    children: [/*#__PURE__*/jsxRuntime.jsx("title", {
      children: title
    }), /*#__PURE__*/jsxRuntime.jsx("path", {
      className: getDefaultClasses(),
      d: "M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831",
      fill: "".concat(innerColor),
      stroke: "".concat(borderColor),
      strokeWidth: 4
    }), /*#__PURE__*/jsxRuntime.jsx("path", {
      className: "animate-progress-circle ".concat(!progressColor && getProgressColor()),
      d: "M18 2.0845 a 15.9155 15.9155 0 0 1 0 31.831 a 15.9155 15.9155 0 0 1 0 -31.831",
      fill: "none",
      stroke: "".concat(progressColor),
      strokeDasharray: "".concat(progress, " 100"),
      strokeLinecap: "round",
      strokeWidth: 4
    })]
  });
};
ProgressCircle.propTypes = {
  /**
   * Override for base border color.
   */
  borderColor: PropTypes__default["default"].string,
  /**
   * Override for color of inner circle.
   */
  innerColor: PropTypes__default["default"].string,
  /**
   * Percent complete.
   */
  progress: PropTypes__default["default"].number.isRequired,
  /**
   * Override for progress color.
   */
  progressColor: PropTypes__default["default"].string,
  /**
   * Size (height and width are equal).
   */
  size: PropTypes__default["default"].number,
  /**
   * Title of SVG.
   */
  title: PropTypes__default["default"].string.isRequired
};
ProgressCircle.defaultProps = {
  borderColor: null,
  innerColor: null,
  progressColor: null,
  size: 40
};
var ProgressCircle$1 = ProgressCircle;

var StepperApiContext = /*#__PURE__*/React.createContext({});
var StepperStateContext = /*#__PURE__*/React.createContext({});
var StepApiContext = /*#__PURE__*/React.createContext({});

function ownKeys$m(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$m(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$m(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$m(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var useStepperState = function useStepperState() {
  var stepperState = React.useContext(StepperStateContext);
  var currentGate = stepperState.currentGate,
    gates = stepperState.gates;
  var currentGateId = _toConsumableArray__default["default"](gates.keys())[currentGate];
  return _objectSpread$m(_objectSpread$m({}, stepperState), {}, {
    currentGateId: currentGateId
  });
};
var useStepperState$1 = useStepperState;

function ownKeys$l(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$l(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$l(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$l(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var useStepGateState = function useStepGateState(id) {
  if (id == null) {
    throw new Error('Id in `useStepGateState` must not be null');
  }
  var stepperState = useStepperState$1();
  return _objectSpread$l(_objectSpread$l({}, stepperState.gates.get(id)), {}, {
    isCurrentGate: _toConsumableArray__default["default"](stepperState.gates.keys())[stepperState.currentGate] === id
  });
};
var useStepGateState$1 = useStepGateState;

var useStepperApi = function useStepperApi() {
  var api = React.useContext(StepperApiContext);
  return api;
};
var useStepperApi$1 = useStepperApi;

var StepGate = function StepGate(_ref) {
  var children = _ref.children,
    id = _ref.id,
    label = _ref.label;
  var _useStepperApi = useStepperApi$1(),
    getStepApi = _useStepperApi.getStepApi,
    registerGate = _useStepperApi.registerGate;
  var _useStepGateState = useStepGateState$1(id),
    isCurrentGate = _useStepGateState.isCurrentGate;
  registerGate(id, label);
  if (!isCurrentGate) return null;
  return /*#__PURE__*/jsxRuntime.jsx(StepApiContext.Provider, {
    value: getStepApi(),
    children: children
  });
};
StepGate.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  id: PropTypes__default["default"].string.isRequired,
  label: PropTypes__default["default"].string.isRequired
};
var StepGate$1 = StepGate;

function ownKeys$k(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$k(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$k(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$k(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var makeDefaultGate = function makeDefaultGate(id, label) {
  return {
    id: id,
    isComplete: false,
    label: label
  };
};
var makeDefaultStep = function makeDefaultStep(id) {
  return {
    id: id,
    isComplete: false
  };
};
var StepGateController = /*#__PURE__*/function () {
  function StepGateController(setState) {
    _classCallCheck__default["default"](this, StepGateController);
    this.setState = setState;

    /* Gate API Functionss */
    this.getStepApi = this.getStepApi.bind(this);
    this.registerGate = this.registerGate.bind(this);

    /* Step API Functions */
    this.goBackward = this.goBackward.bind(this);
    this.goForward = this.goForward.bind(this);
    this.goToGate = this.goToGate.bind(this);
    this.registerStep = this.registerStep.bind(this);
    this.setError = this.setError.bind(this);
  }
  _createClass__default["default"](StepGateController, [{
    key: "getGateApi",
    value: function getGateApi() {
      return {
        getStepApi: this.getStepApi,
        goToGate: this.goToGate,
        registerGate: this.registerGate,
        unregisterGate: this.unregisterGate
      };
    }

    /*
      Gate API Functions
    */
  }, {
    key: "getStepApi",
    value: function getStepApi() {
      return {
        goBackward: this.goBackward,
        goForward: this.goForward,
        goToGate: this.goToGate,
        registerStep: this.registerStep,
        setError: this.setError
      };
    }
  }, {
    key: "addGate",
    value: function addGate(gateId, label) {
      this.setState(function (state) {
        return _objectSpread$k(_objectSpread$k({}, state), {}, {
          gates: new Map(state.gates.set(gateId, makeDefaultGate(gateId, label)))
        });
      });
    }
  }, {
    key: "registerGate",
    value: function registerGate(gateId, label) {
      var _this = this;
      // eslint-disable-next-line react-hooks/rules-of-hooks
      React.useEffect(function () {
        _this.addGate(gateId, label);
        return function () {
          return _this.removeGate(gateId);
        };
      }, [gateId, label]);
    }
  }, {
    key: "removeGate",
    value: function removeGate(gateId) {
      this.setState(function (state) {
        var gates = state.gates;
        gates["delete"](gateId);
        return _objectSpread$k(_objectSpread$k({}, state), {}, {
          gates: new Map(state.gates["delete"](gateId))
        });
      });
    }

    /*
      Step API Functions
    */
  }, {
    key: "addStep",
    value: function addStep(stepId) {
      this.setState(function (state) {
        return _objectSpread$k(_objectSpread$k({}, state), {}, {
          steps: new Map(state.steps.set(stepId, makeDefaultStep(stepId)))
        });
      });
    }
  }, {
    key: "goBackward",
    value: function goBackward() {
      var _this2 = this;
      setTimeout(function () {
        _this2.setState(function (state) {
          var currentGate = state.currentGate,
            currentStep = state.currentStep,
            gates = state.gates,
            steps = state.steps;
          var previousGate = currentGate;
          var previousStep = currentStep - 1;

          /* If there isn't a previous step, we'll go to the previous gate */
          if (previousStep < 0) {
            previousStep = 0;
            previousGate = currentGate - 1;

            /* If there isn't a previous gate, don't progress */
            if (previousGate < 0) {
              previousGate = currentGate;
            }
          }
          var _currentGate = _slicedToArray__default["default"](_toConsumableArray__default["default"](gates)[currentGate], 2),
            currentGateId = _currentGate[0],
            currentGateState = _currentGate[1];
          var _previousGate = _slicedToArray__default["default"](_toConsumableArray__default["default"](gates)[previousGate], 2),
            previousGateId = _previousGate[0],
            previousGateState = _previousGate[1];
          var _previousStep = _slicedToArray__default["default"](_toConsumableArray__default["default"](steps)[previousStep], 2),
            previousStepId = _previousStep[0],
            previousStepState = _previousStep[1];
          var _currentStep = _slicedToArray__default["default"](_toConsumableArray__default["default"](steps)[currentStep], 2),
            currentStepId = _currentStep[0],
            currentStepState = _currentStep[1];
          gates.set(currentGateId, _objectSpread$k(_objectSpread$k({}, currentGateState), {}, {
            isComplete: false
          }));
          gates.set(previousGateId, _objectSpread$k(_objectSpread$k({}, previousGateState), {}, {
            isComplete: false
          }));
          steps.set(currentStepId, _objectSpread$k(_objectSpread$k({}, currentStepState), {}, {
            isComplete: false,
            isError: false
          }));
          steps.set(previousStepId, _objectSpread$k(_objectSpread$k({}, previousStepState), {}, {
            isComplete: false,
            isError: false
          }));
          return _objectSpread$k(_objectSpread$k({}, state), {}, {
            currentStep: previousStep,
            currentGate: previousGate,
            gates: new Map(gates),
            isComplete: false,
            steps: new Map(steps)
          });
        });
      }, 1);
    }
  }, {
    key: "goForward",
    value: function goForward() {
      var _this3 = this;
      setTimeout(function () {
        _this3.setState(function (state) {
          var currentGate = state.currentGate,
            currentStep = state.currentStep,
            gates = state.gates,
            steps = state.steps;
          var _currentGate2 = _slicedToArray__default["default"](_toConsumableArray__default["default"](gates)[currentGate], 2),
            currentGateId = _currentGate2[0],
            currentGateState = _currentGate2[1];
          var _currentStep2 = _slicedToArray__default["default"](_toConsumableArray__default["default"](steps)[currentStep], 2),
            currentStepId = _currentStep2[0],
            currentStepState = _currentStep2[1];
          var gatesLength = _toConsumableArray__default["default"](gates).length;
          var stepsLength = _toConsumableArray__default["default"](steps).length;
          var nextGate = currentGate;
          var nextStep = currentStep + 1;
          var isComplete = false;
          var isGateComplete = false;

          /* If there isn't a next step, we'll go to the next gate */
          if (nextStep >= stepsLength) {
            nextStep = 0;
            nextGate = currentGate + 1;
            isGateComplete = true;

            /* If there isn't a next gate, don't progress */
            if (nextGate >= gatesLength) {
              nextStep = currentStep;
              nextGate = currentGate;
              isComplete = true;
            }
          }
          return _objectSpread$k(_objectSpread$k({}, state), {}, {
            currentStep: nextStep,
            currentGate: nextGate,
            gates: new Map(gates.set(currentGateId, _objectSpread$k(_objectSpread$k({}, currentGateState), {}, {
              isComplete: isGateComplete
            }))),
            isComplete: isComplete,
            steps: new Map(steps.set(currentStepId, _objectSpread$k(_objectSpread$k({}, currentStepState), {}, {
              isComplete: true
            })))
          });
        });
      }, 1);
    }
  }, {
    key: "goToGate",
    value: function goToGate(gateId) {
      var _this4 = this;
      setTimeout(function () {
        _this4.setState(function (state) {
          var currentGate = state.currentGate,
            gates = state.gates;
          var gateKeys = _toConsumableArray__default["default"](gates.keys());
          var targetGate = gateKeys.indexOf(gateId);
          if (targetGate > currentGate) {
            throw new Error('Can only go back to a previous gate');
          }
          if (targetGate === -1) {
            throw new Error('Did not find target gate');
          }
          for (var i = targetGate; i <= currentGate; i += 1) {
            var key = gateKeys[i];
            gates.set(key, _objectSpread$k(_objectSpread$k({}, gates.get(key)), {}, {
              isComplete: false
            }));
          }
          return _objectSpread$k(_objectSpread$k({}, state), {}, {
            currentGate: targetGate,
            currentStep: 0,
            gates: new Map(gates),
            isComplete: false
          });
        });
      }, 1);
    }
  }, {
    key: "registerStep",
    value: function registerStep(stepId) {
      var _this5 = this;
      // eslint-disable-next-line react-hooks/rules-of-hooks
      React.useEffect(function () {
        _this5.addStep(stepId);
        return function () {
          return _this5.removeStep(stepId);
        };
      }, [stepId]);
    }
  }, {
    key: "removeStep",
    value: function removeStep(stepId) {
      this.setState(function (state) {
        var steps = state.steps;
        steps["delete"](stepId);
        return _objectSpread$k(_objectSpread$k({}, state), {}, {
          steps: new Map(steps)
        });
      });
    }
  }, {
    key: "setError",
    value: function setError(isError) {
      this.setState(function (state) {
        var currentStep = state.currentStep,
          steps = state.steps;
        var _currentStep3 = _slicedToArray__default["default"](_toConsumableArray__default["default"](steps)[currentStep], 2),
          currentStepId = _currentStep3[0],
          currentStepState = _currentStep3[1];
        steps.set(currentStepId, _objectSpread$k(_objectSpread$k({}, currentStepState), {}, {
          isError: isError
        }));
        return _objectSpread$k(_objectSpread$k({}, state), {}, {
          steps: new Map(steps)
        });
      });
    }
  }], [{
    key: "getStateDefaults",
    value: function getStateDefaults() {
      return {
        currentGate: 0,
        currentStep: 0,
        gates: new Map(),
        isComplete: false,
        isError: false,
        steps: new Map()
      };
    }
  }]);
  return StepGateController;
}();
var StepperController = StepGateController;

var Stepper = function Stepper(_ref) {
  var children = _ref.children,
    onComplete = _ref.onComplete;
  var _useState = React.useState(StepperController.getStateDefaults()),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    state = _useState2[0],
    setState = _useState2[1];
  var _useState3 = React.useState(new StepperController(setState)),
    _useState4 = _slicedToArray__default["default"](_useState3, 1),
    controller = _useState4[0];
  var isComplete = state.isComplete;
  React.useEffect(function () {
    if (isComplete) onComplete(state);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [isComplete]);
  return /*#__PURE__*/jsxRuntime.jsx(StepperApiContext.Provider, {
    value: controller.getGateApi(),
    children: /*#__PURE__*/jsxRuntime.jsx(StepperStateContext.Provider, {
      value: state,
      children: children
    })
  });
};
Stepper.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  onComplete: PropTypes__default["default"].func.isRequired
};
var Stepper$1 = Stepper;

var LINE_STYLES = 'relative grow h-0.5 m-0 leading-none';
var LineBar = function LineBar(_ref) {
  var isActive = _ref.isActive,
    isComplete = _ref.isComplete,
    steps = _ref.steps;
  if (!isActive) return /*#__PURE__*/jsxRuntime.jsx("div", {
    "aria-hidden": "true",
    className: "".concat(LINE_STYLES, " ").concat(isComplete ? 'bg-green-3' : 'bg-gray-3')
  });
  var stepLines = _toConsumableArray__default["default"](steps.values()).map(function (step, i) {
    return /*#__PURE__*/jsxRuntime.jsx("div", {
      "aria-hidden": "true",
      className: "".concat(LINE_STYLES, " ").concat(step.isComplete ? 'bg-green-3' : 'bg-gray-3')
      // eslint-disable-next-line react/no-array-index-key
    }, i);
  });
  return stepLines;
};
LineBar.propTypes = {
  isActive: PropTypes__default["default"].bool,
  isComplete: PropTypes__default["default"].bool,
  steps: PropTypes__default["default"].instanceOf(Map).isRequired
};
LineBar.defaultProps = {
  isActive: false,
  isComplete: false
};
var LineBar$1 = LineBar;

var ICON_STYLES = 'align-baseline bg-white text-xl';
var Milestone = function Milestone(_ref) {
  var disableNavButton = _ref.disableNavButton,
    isActive = _ref.isActive,
    isComplete = _ref.isComplete,
    isError = _ref.isError;
  if (isComplete) {
    return /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      className: "".concat(ICON_STYLES, " border-green-3 text-green-3 ").concat(!disableNavButton && 'hover:border-green-4 hover:text-green-4'),
      icon: proSolidSvgIcons.faCheckCircle
    });
  }
  if (isError) {
    return /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      className: "".concat(ICON_STYLES, " border-red-3 text-red-3"),
      icon: proSolidSvgIcons.faExclamationCircle
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("span", {
    className: "inline-block border-4 border-solid rounded-full bg-white text-base h-6 w-6 p-0 ".concat(isActive ? 'border-green-3' : 'border-gray-3')
  });
};
Milestone.propTypes = {
  disableNavButton: PropTypes__default["default"].bool,
  isActive: PropTypes__default["default"].bool,
  isComplete: PropTypes__default["default"].bool,
  isError: PropTypes__default["default"].bool
};
Milestone.defaultProps = {
  disableNavButton: false,
  isActive: false,
  isComplete: false,
  isError: false
};
var Milestone$1 = Milestone;

var GATE_LABEL_STYLES = 'absolute left-1/2 -translate-x-1/2 transform w-24 text-center';
var Gate = function Gate(_ref) {
  var ariaPosinset = _ref.ariaPosinset,
    ariaSetsize = _ref.ariaSetsize,
    currentStep = _ref.currentStep,
    disableNav = _ref.disableNav,
    gate = _ref.gate,
    isActive = _ref.isActive,
    steps = _ref.steps;
  var _useStepperApi = useStepperApi$1(),
    goToGate = _useStepperApi.goToGate;
  var hasError = isActive && _toConsumableArray__default["default"](steps.values()).some(function (step) {
    return !!step.isError;
  });
  var disableNavButton = disableNav || !gate.isComplete;
  return /*#__PURE__*/jsxRuntime.jsxs("li", {
    "aria-current": isActive ? 'step' : undefined,
    "aria-label": gate.label,
    "aria-posinset": ariaPosinset,
    "aria-setsize": ariaSetsize,
    className: "flex flex-auto relative m-0 last:flex-initial",
    children: [/*#__PURE__*/jsxRuntime.jsx(LineBar$1, {
      currentStep: currentStep,
      isActive: isActive,
      isComplete: gate.isComplete,
      steps: steps
    }), /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "stepper-milestone absolute -left-4",
      children: disableNavButton ? /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
        children: [/*#__PURE__*/jsxRuntime.jsx(Milestone$1, {
          disableNavButton: true,
          isActive: isActive,
          isComplete: gate.isComplete,
          isError: hasError
        }), /*#__PURE__*/jsxRuntime.jsx("p", {
          className: GATE_LABEL_STYLES,
          children: gate.label
        })]
      }) : /*#__PURE__*/jsxRuntime.jsxs(ButtonSubtle, {
        className: "border-none p-0 font-normal text-current hover:text-current",
        onClick: function onClick() {
          return goToGate(gate.id);
        },
        children: [/*#__PURE__*/jsxRuntime.jsx(Milestone$1, {
          isActive: isActive,
          isComplete: gate.isComplete,
          isError: hasError
        }), /*#__PURE__*/jsxRuntime.jsx("p", {
          className: GATE_LABEL_STYLES,
          children: gate.label
        })]
      })
    })]
  });
};
Gate.propTypes = {
  ariaPosinset: PropTypes__default["default"].number.isRequired,
  ariaSetsize: PropTypes__default["default"].number.isRequired,
  currentStep: PropTypes__default["default"].number.isRequired,
  disableNav: PropTypes__default["default"].bool.isRequired,
  gate: PropTypes__default["default"].shape({
    id: PropTypes__default["default"].string.isRequired,
    isComplete: PropTypes__default["default"].bool.isRequired,
    label: PropTypes__default["default"].string.isRequired
  }).isRequired,
  isActive: PropTypes__default["default"].bool.isRequired,
  steps: PropTypes__default["default"].instanceOf(Map).isRequired
};
var Gate$1 = Gate;

var StepperProgress = function StepperProgress(_ref) {
  var disableNav = _ref.disableNav;
  var _useStepperState = useStepperState$1(),
    currentGate = _useStepperState.currentGate,
    currentStep = _useStepperState.currentStep,
    gates = _useStepperState.gates,
    steps = _useStepperState.steps;
  var gateList = _toConsumableArray__default["default"](gates.values());
  var gateElements = gateList.map(function (gate, idx) {
    return /*#__PURE__*/jsxRuntime.jsx(Gate$1, {
      ariaPosinset: idx + 1,
      ariaSetsize: gateList.length,
      currentStep: currentStep,
      disableNav: disableNav,
      gate: gate,
      gateTotal: gates.size,
      isActive: idx === currentGate,
      steps: steps
    }, gate.id);
  });
  return /*#__PURE__*/jsxRuntime.jsx("ol", {
    className: "flex items-center content-center justify-around list-none mx-8 mt-16 mb-20 px-4 py-0",
    children: gateElements
  });
};
StepperProgress.propTypes = {
  disableNav: PropTypes__default["default"].bool
};
StepperProgress.defaultProps = {
  disableNav: false
};
var StepperProgress$1 = StepperProgress;

var useStepApi = function useStepApi() {
  var api = React.useContext(StepApiContext);
  return api;
};
var useStepApi$1 = useStepApi;

function ownKeys$j(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$j(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$j(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$j(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var useStepState = function useStepState(id) {
  if (id == null) {
    throw new Error('Id in `useStepState` must not be null');
  }
  var stepperState = useStepperState$1();
  return _objectSpread$j(_objectSpread$j({}, stepperState.steps.get(id)), {}, {
    isCurrentStep: _toConsumableArray__default["default"](stepperState.steps.keys())[stepperState.currentStep] === id
  });
};
var useStepState$1 = useStepState;

var _excluded$8 = ["children", "offset", "offsetAmountClass"];
function ownKeys$i(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$i(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$i(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$i(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var StickyHeader = function StickyHeader(_ref) {
  var children = _ref.children,
    offset = _ref.offset,
    offsetAmountClass = _ref.offsetAmountClass,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$8);
  return /*#__PURE__*/jsxRuntime.jsx("div", _objectSpread$i(_objectSpread$i({}, rest), {}, {
    className: "sticky flex justify-between py-4 mb-6 bg-white border-b border-solid border-b-gray-2 ".concat(offset ? offsetAmountClass : 'top-0'),
    children: children
  }));
};
StickyHeader.defaultProps = {
  offset: false,
  offsetAmountClass: 'top-12'
};
StickyHeader.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  offset: PropTypes__default["default"].bool,
  offsetAmountClass: PropTypes__default["default"].string
};
var StickyHeader$1 = StickyHeader;

var _excluded$7 = ["id", "indeterminate", "labelText"];
function ownKeys$h(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$h(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$h(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$h(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var IndeterminateCheckbox = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var id = _ref.id,
    indeterminate = _ref.indeterminate,
    labelText = _ref.labelText,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$7);
  var elementId = autoId.useId(id);
  var defaultRef = React.useRef();
  var resolvedRef = ref || defaultRef;
  var checked = rest.checked;
  var _useState = React.useState(checked),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    checkState = _useState2[0],
    setCheckState = _useState2[1];
  React.useEffect(function () {
    resolvedRef.current.indeterminate = indeterminate;
    if (indeterminate) {
      setCheckState('mixed');
    } else {
      setCheckState(checked);
    }
  }, [checked, resolvedRef, indeterminate]);
  var icon = checkState === 'mixed' ? proRegularSvgIcons.faMinus : proRegularSvgIcons.faCheck;
  return /*#__PURE__*/jsxRuntime.jsxs("label", {
    className: "custom-checkbox min-h-8",
    htmlFor: elementId,
    children: [/*#__PURE__*/jsxRuntime.jsx("input", _objectSpread$h({
      "aria-checked": checkState,
      className: "checkbox",
      id: elementId,
      ref: resolvedRef,
      type: "checkbox"
    }, rest)), /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: icon
    }), /*#__PURE__*/jsxRuntime.jsx("span", {
      className: "sr-only",
      children: labelText
    })]
  });
});
IndeterminateCheckbox.defaultProps = {
  id: null
};
IndeterminateCheckbox.propTypes = {
  id: PropTypes__default["default"].string,
  indeterminate: PropTypes__default["default"].bool.isRequired,
  labelText: PropTypes__default["default"].string.isRequired
};
var IndeterminateCheckbox$1 = IndeterminateCheckbox;

function ownKeys$g(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$g(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$g(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$g(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
The useSortBy instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useSortBy.md#instance-properties
The usePagination instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/usePagination.md#instance-properties
*/
var usePaginationTable = function usePaginationTable(_ref) {
  var columns = _ref.columns,
    data = _ref.data,
    defaultPageSize = _ref.defaultPageSize,
    defaultSortId = _ref.defaultSortId,
    _ref$defaultSortDesc = _ref.defaultSortDesc,
    defaultSortDesc = _ref$defaultSortDesc === void 0 ? false : _ref$defaultSortDesc;
  var tableInstance = reactTable.useTable({
    columns: columns,
    data: data,
    initialState: {
      pageSize: defaultPageSize || 10,
      sortBy: [{
        id: defaultSortId,
        desc: defaultSortDesc
      }]
    }
  }, reactTable.useSortBy, reactTable.usePagination);
  return _objectSpread$g({
    columnsLength: columns.length
  }, tableInstance);
};
var usePaginationTable$1 = usePaginationTable;

function ownKeys$f(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$f(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$f(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$f(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
The useSortBy instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useSortBy.md#instance-properties
The usePagination instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/usePagination.md#instance-properties
The useGlobalFilter instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useGlobalFilter.md#instance-properties
*/
var usePaginationTableWithSearch = function usePaginationTableWithSearch(_ref) {
  var columns = _ref.columns,
    data = _ref.data,
    defaultPageSize = _ref.defaultPageSize,
    defaultSortId = _ref.defaultSortId,
    _ref$defaultSortDesc = _ref.defaultSortDesc,
    defaultSortDesc = _ref$defaultSortDesc === void 0 ? false : _ref$defaultSortDesc;
  var tableInstance = reactTable.useTable({
    columns: columns,
    data: data,
    initialState: {
      pageIndex: 0,
      pageSize: defaultPageSize || 10,
      sortBy: [{
        id: defaultSortId,
        desc: defaultSortDesc
      }]
    }
  }, reactTable.useGlobalFilter, reactTable.useSortBy, reactTable.usePagination);
  return _objectSpread$f({
    columnsLength: columns.length
  }, tableInstance);
};
var usePaginationTableWithSearch$1 = usePaginationTableWithSearch;

var usePrevious = function usePrevious(value) {
  var ref = React.useRef();
  React.useEffect(function () {
    ref.current = value;
  });
  return ref.current;
};
var usePrevious$1 = usePrevious;

function ownKeys$e(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$e(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$e(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$e(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
The useSortBy instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useSortBy.md#instance-properties
The usePagination instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/usePagination.md#instance-properties
The useGlobalFilter instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useGlobalFilter.md#instance-properties
The useRowSelect instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useRowSelect.md#instance-properties
*/
var useRowSelectPaginationTableWithSearch = function useRowSelectPaginationTableWithSearch(_ref) {
  var columns = _ref.columns,
    data = _ref.data,
    defaultPageSize = _ref.defaultPageSize,
    defaultSortId = _ref.defaultSortId,
    _ref$defaultSortDesc = _ref.defaultSortDesc,
    defaultSortDesc = _ref$defaultSortDesc === void 0 ? false : _ref$defaultSortDesc;
  var tableInstance = reactTable.useTable({
    columns: columns,
    data: data,
    initialState: {
      sortBy: [{
        id: defaultSortId,
        desc: defaultSortDesc
      }],
      pageIndex: 0,
      pageSize: defaultPageSize || 10
    }
  }, reactTable.useGlobalFilter, reactTable.useSortBy, reactTable.usePagination, reactTable.useRowSelect);
  return _objectSpread$e({
    columnsLength: columns.length
  }, tableInstance);
};
var useRowSelectPaginationTableWithSearch$1 = useRowSelectPaginationTableWithSearch;

function ownKeys$d(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$d(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$d(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$d(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
The useRowSelect instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useRowSelect.md#instance-properties
*/
var useRowSelectTable = function useRowSelectTable(_ref) {
  var columns = _ref.columns,
    data = _ref.data;
  var tableInstance = reactTable.useTable({
    columns: columns,
    data: data
  }, reactTable.useRowSelect);
  return _objectSpread$d({
    columnsLength: columns.length
  }, tableInstance);
};
var useRowSelectTable$1 = useRowSelectTable;

function ownKeys$c(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$c(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$c(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$c(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
The useSortBy instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useSortBy.md#instance-properties
*/
var useSortTable = function useSortTable(_ref) {
  var columns = _ref.columns,
    data = _ref.data,
    defaultSortId = _ref.defaultSortId,
    _ref$defaultSortDesc = _ref.defaultSortDesc,
    defaultSortDesc = _ref$defaultSortDesc === void 0 ? false : _ref$defaultSortDesc;
  var tableInstance = reactTable.useTable({
    columns: columns,
    data: data,
    initialState: {
      sortBy: [{
        id: defaultSortId,
        desc: defaultSortDesc
      }]
    }
  }, reactTable.useSortBy);
  return _objectSpread$c({
    columnsLength: columns.length
  }, tableInstance);
};
var useSortTable$1 = useSortTable;

function ownKeys$b(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$b(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$b(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$b(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/*
The useTable instance is documented here:
https://github.com/tannerlinsley/react-table/blob/master/docs/src/pages/docs/api/useTable.md#instance-properties
*/
var useStandardTable = function useStandardTable(_ref) {
  var columns = _ref.columns,
    data = _ref.data;
  var tableInstance = reactTable.useTable({
    columns: columns,
    data: data
  });
  return _objectSpread$b({
    columnsLength: columns.length
  }, tableInstance);
};
var useStandardTable$1 = useStandardTable;

function ownKeys$a(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$a(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$a(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$a(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PaginationTable = function PaginationTable(_ref) {
  var canNextPage = _ref.canNextPage,
    canPreviousPage = _ref.canPreviousPage,
    columnsLength = _ref.columnsLength,
    getTableBodyProps = _ref.getTableBodyProps,
    getTableProps = _ref.getTableProps,
    gotoPage = _ref.gotoPage,
    handlePageSizeChange = _ref.handlePageSizeChange,
    headerGroups = _ref.headerGroups,
    i18n = _ref.i18n,
    nextPage = _ref.nextPage,
    noDataMessage = _ref.noDataMessage,
    page = _ref.page,
    pageCount = _ref.pageCount,
    prepareRow = _ref.prepareRow,
    previousPage = _ref.previousPage,
    rows = _ref.rows,
    setPageSize = _ref.setPageSize,
    _ref$state = _ref.state,
    pageIndex = _ref$state.pageIndex,
    pageSize = _ref$state.pageSize;
  var firstRowCount = pageIndex * pageSize + 1;
  var lastRowCount = pageIndex * pageSize + page.length;
  var totalItems = rows.length;
  var strings = {
    firstPage: i18n.firstPage(),
    lastPage: i18n.lastPage(),
    nextPage: i18n.nextPage(),
    pagePosition: i18n.pagePosition({
      firstRowCount: firstRowCount,
      lastRowCount: lastRowCount,
      totalItems: totalItems
    }),
    previousPage: i18n.previousPage(),
    showPageId: i18n.showPageId(),
    showPageLabel: i18n.showPageLabel()
  };
  var previousPageSize = usePrevious$1(pageSize);
  React.useEffect(function () {
    if (previousPageSize && pageSize !== previousPageSize) {
      handlePageSizeChange(pageSize);
    }
  }, [handlePageSizeChange, pageSize, previousPageSize]);
  return /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsxs("table", _objectSpread$a(_objectSpread$a({}, getTableProps()), {}, {
      className: "w-full border-collapse text-md table-button-styles",
      children: [/*#__PURE__*/jsxRuntime.jsx("thead", {
        children: headerGroups.map(function (headerGroup) {
          return /*#__PURE__*/jsxRuntime.jsx("tr", _objectSpread$a(_objectSpread$a({}, headerGroup.getHeaderGroupProps()), {}, {
            children: headerGroup.headers.map(function (column) {
              var headerProps = column.canSort ? column.getHeaderProps(column.getSortByToggleProps()) : column.getHeaderProps();
              return /*#__PURE__*/jsxRuntime.jsx("th", _objectSpread$a(_objectSpread$a({}, headerProps), {}, {
                className: "uppercase text-left text-gray-5 border-b-2 border-gray-2 py-4 px-2",
                children: /*#__PURE__*/jsxRuntime.jsxs("span", {
                  className: column.canSort ? 'relative' : undefined,
                  children: [column.render('Header'), column.isSorted && /*#__PURE__*/jsxRuntime.jsx("span", {
                    className: "absolute -right-4 top-1/2 transform -translate-y-1/2",
                    children: column.isSortedDesc ? /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
                      icon: proSolidSvgIcons.faCaretDown
                    }) : /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
                      icon: proSolidSvgIcons.faCaretUp
                    })
                  })]
                })
              }));
            })
          }));
        })
      }), /*#__PURE__*/jsxRuntime.jsx("tbody", _objectSpread$a(_objectSpread$a({}, getTableBodyProps()), {}, {
        children: page.length ? page.map(function (row) {
          // prepareRow lazily initializes a row before knowing if it's rendered
          prepareRow(row);
          return /*#__PURE__*/jsxRuntime.jsx("tr", _objectSpread$a(_objectSpread$a({}, row.getRowProps()), {}, {
            className: "border-b border-gray-1 hover:bg-gray-1",
            children: row.cells.map(function (cell) {
              return /*#__PURE__*/jsxRuntime.jsx("td", _objectSpread$a(_objectSpread$a({}, cell.getCellProps()), {}, {
                className: "py-4 px-2",
                children: cell.render('Cell')
              }));
            })
          }));
        }) : /*#__PURE__*/jsxRuntime.jsx("tr", {
          className: "text-center border-b border-gray-1",
          children: /*#__PURE__*/jsxRuntime.jsx("td", {
            className: "py-4 px-2",
            colSpan: columnsLength,
            children: noDataMessage
          })
        })
      }))]
    })), rows.length > 0 && /*#__PURE__*/jsxRuntime.jsxs("div", {
      className: 'flex items-baseline justify-between p-4',
      children: [/*#__PURE__*/jsxRuntime.jsxs("div", {
        className: "max-w-[30%] min-w-60",
        children: [/*#__PURE__*/jsxRuntime.jsx("label", {
          className: "sr-only",
          htmlFor: strings.showPageId,
          children: strings.showPageLabel
        }), /*#__PURE__*/jsxRuntime.jsx("select", {
          id: strings.showPageId,
          name: strings.showPageId
          // onBlur needed for screen readers
          ,
          onBlur: function onBlur(e) {
            return setPageSize(Number(e.target.value));
          },
          onChange: function onChange(e) {
            return setPageSize(Number(e.target.value));
          },
          value: pageSize,
          children: [5, 10, 20, 30, 40, 50].map(function (size) {
            var showPageTranslation = i18n.showPage({
              size: size
            });
            return /*#__PURE__*/jsxRuntime.jsx("option", {
              value: size,
              children: showPageTranslation
            }, size);
          })
        })]
      }), /*#__PURE__*/jsxRuntime.jsxs("div", {
        className: "flex items-center justify-end",
        children: [/*#__PURE__*/jsxRuntime.jsx("p", {
          className: "mb-0 mr-4",
          children: strings.pagePosition
        }), /*#__PURE__*/jsxRuntime.jsxs(ButtonGroup$1, {
          children: [/*#__PURE__*/jsxRuntime.jsxs(ButtonSubtle, {
            className: "button-secondary dt-button",
            disabled: !canPreviousPage,
            onClick: function onClick() {
              return gotoPage(0);
            },
            children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
              icon: proSolidSvgIcons.faChevronDoubleLeft
            }), /*#__PURE__*/jsxRuntime.jsx("span", {
              className: "sr-only",
              children: strings.firstPage
            })]
          }), /*#__PURE__*/jsxRuntime.jsxs(ButtonSubtle, {
            className: "button-secondary dt-button",
            disabled: !canPreviousPage,
            onClick: previousPage,
            children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
              icon: proSolidSvgIcons.faChevronLeft
            }), /*#__PURE__*/jsxRuntime.jsx("span", {
              className: "sr-only",
              children: strings.previousPage
            })]
          }), /*#__PURE__*/jsxRuntime.jsxs(ButtonSubtle, {
            className: "button-secondary dt-button",
            disabled: !canNextPage,
            onClick: nextPage,
            children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
              icon: proSolidSvgIcons.faChevronRight
            }), /*#__PURE__*/jsxRuntime.jsx("span", {
              className: "sr-only",
              children: strings.nextPage
            })]
          }), /*#__PURE__*/jsxRuntime.jsxs(ButtonSubtle, {
            className: "button-secondary dt-button",
            disabled: !canNextPage,
            onClick: function onClick() {
              return gotoPage(pageCount - 1);
            },
            children: [/*#__PURE__*/jsxRuntime.jsx(Icon$1, {
              icon: proSolidSvgIcons.faChevronDoubleRight
            }), /*#__PURE__*/jsxRuntime.jsx("span", {
              className: "sr-only",
              children: strings.lastPage
            })]
          })]
        })]
      })]
    })]
  });
};
PaginationTable.defaultProps = {
  handlePageSizeChange: function handlePageSizeChange() {},
  rows: []
};
PaginationTable.propTypes = {
  canNextPage: PropTypes__default["default"].bool.isRequired,
  canPreviousPage: PropTypes__default["default"].bool.isRequired,
  columnsLength: PropTypes__default["default"].number.isRequired,
  getTableBodyProps: PropTypes__default["default"].func.isRequired,
  getTableProps: PropTypes__default["default"].func.isRequired,
  gotoPage: PropTypes__default["default"].func.isRequired,
  handlePageSizeChange: PropTypes__default["default"].func,
  headerGroups: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired,
  i18n: PropTypes__default["default"].shape({
    firstPage: PropTypes__default["default"].func.isRequired,
    lastPage: PropTypes__default["default"].func.isRequired,
    nextPage: PropTypes__default["default"].func.isRequired,
    pagePosition: PropTypes__default["default"].func.isRequired,
    previousPage: PropTypes__default["default"].func.isRequired,
    showPage: PropTypes__default["default"].func.isRequired,
    showPageId: PropTypes__default["default"].func.isRequired,
    showPageLabel: PropTypes__default["default"].func.isRequired
  }).isRequired,
  nextPage: PropTypes__default["default"].func.isRequired,
  noDataMessage: PropTypes__default["default"].string.isRequired,
  page: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired,
  pageCount: PropTypes__default["default"].number.isRequired,
  prepareRow: PropTypes__default["default"].func.isRequired,
  previousPage: PropTypes__default["default"].func.isRequired,
  rows: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object),
  setPageSize: PropTypes__default["default"].func.isRequired,
  state: PropTypes__default["default"].shape({
    pageIndex: PropTypes__default["default"].number.isRequired,
    pageSize: PropTypes__default["default"].number.isRequired
  }).isRequired
};
var PaginationTable$1 = PaginationTable;

function ownKeys$9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$9(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$9(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Table = function Table(_ref) {
  var className = _ref.className,
    columnsLength = _ref.columnsLength,
    getTableProps = _ref.getTableProps,
    getTableBodyProps = _ref.getTableBodyProps,
    headerGroups = _ref.headerGroups,
    noDataMessage = _ref.noDataMessage,
    prepareRow = _ref.prepareRow,
    rows = _ref.rows;
  return /*#__PURE__*/jsxRuntime.jsxs("table", _objectSpread$9(_objectSpread$9({}, getTableProps()), {}, {
    className: "w-full border-collapse text-md table-button-styles ".concat(className),
    children: [/*#__PURE__*/jsxRuntime.jsx("thead", {
      children: headerGroups.map(function (headerGroup) {
        return /*#__PURE__*/jsxRuntime.jsx("tr", _objectSpread$9(_objectSpread$9({}, headerGroup.getHeaderGroupProps()), {}, {
          children: headerGroup.headers.map(function (column) {
            var headerProps = column.canSort ? column.getHeaderProps(column.getSortByToggleProps()) : column.getHeaderProps();
            return /*#__PURE__*/jsxRuntime.jsx("th", _objectSpread$9(_objectSpread$9({}, headerProps), {}, {
              className: "uppercase text-left text-gray-5 border-b-2 border-gray-2 py-4 px-2",
              children: /*#__PURE__*/jsxRuntime.jsxs("span", {
                className: column.canSort ? 'relative' : undefined,
                children: [column.render('Header'), column.isSorted && /*#__PURE__*/jsxRuntime.jsx("span", {
                  className: "absolute -right-4 top-1/2 transform -translate-y-1/2",
                  children: column.isSortedDesc ? /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
                    icon: proSolidSvgIcons.faCaretDown
                  }) : /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
                    icon: proSolidSvgIcons.faCaretUp
                  })
                })]
              })
            }));
          })
        }));
      })
    }), /*#__PURE__*/jsxRuntime.jsx("tbody", _objectSpread$9(_objectSpread$9({}, getTableBodyProps()), {}, {
      children: rows.length ? rows.map(function (row) {
        // prepareRow lazily initializes a row before knowing if it's rendered
        prepareRow(row);
        return /*#__PURE__*/jsxRuntime.jsx("tr", _objectSpread$9(_objectSpread$9({}, row.getRowProps()), {}, {
          className: "border-b border-gray-1 hover:bg-gray-1",
          children: row.cells.map(function (cell) {
            return /*#__PURE__*/jsxRuntime.jsx("td", _objectSpread$9(_objectSpread$9({}, cell.getCellProps()), {}, {
              className: "py-4 px-2",
              children: cell.render('Cell')
            }));
          })
        }));
      }) : /*#__PURE__*/jsxRuntime.jsx("tr", {
        className: "text-center border-b border-gray-1",
        children: /*#__PURE__*/jsxRuntime.jsx("td", {
          className: "py-4 px-2",
          colSpan: columnsLength,
          children: noDataMessage
        })
      })
    }))]
  }));
};
Table.defaultProps = {
  className: ''
};
Table.propTypes = {
  className: PropTypes__default["default"].string,
  columnsLength: PropTypes__default["default"].number.isRequired,
  getTableBodyProps: PropTypes__default["default"].func.isRequired,
  getTableProps: PropTypes__default["default"].func.isRequired,
  headerGroups: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired,
  noDataMessage: PropTypes__default["default"].string.isRequired,
  prepareRow: PropTypes__default["default"].func.isRequired,
  rows: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object).isRequired
};
var Table$1 = Table;

function ownKeys$8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$8(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$8(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var SmallTable = function SmallTable(props) {
  return /*#__PURE__*/jsxRuntime.jsx(Table$1, _objectSpread$8(_objectSpread$8({}, props), {}, {
    className: "small-table"
  }));
};
var SmallTable$1 = SmallTable;

function ownKeys$7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$7(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$7(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ALL = 'ALL';
var TableFilters = function TableFilters(_ref) {
  var data = _ref.data,
    filters = _ref.filters,
    label = _ref.label,
    setFilteredData = _ref.setFilteredData;
  /* Help function:
  Filter data by filter values */
  var filterData = function filterData(filterValues) {
    var filteredData = _toConsumableArray__default["default"](data);
    filters.forEach(function (filter) {
      var getValuePath = filter.getValuePath,
        id = filter.id;
      if (filterValues[id] !== ALL) {
        filteredData = filteredData.filter(function (item) {
          return getValuePath(item) === filterValues[id];
        });
      }
    });
    return filteredData;
  };

  /* Help function:
  Set all filters' initial value to ALL.
  Generate each filter's all unique values from the data; each key is the filter id.
  Example result:
  {
    defaultFilterValues : {
      people: ALL,
      status: ALL,
    },
    filterOptionValues: {
      people: [ 'User 1', 'User 2', 'User 3'],
      status: [ 'BUILDING', 'CANCELED', 'FAILED', 'SUCCESS'],
    },
  } */
  var getFilterOptionsAndValues = function getFilterOptionsAndValues() {
    var defaultFilterValues = {};
    var filterOptionValues = {};
    filters.forEach(function (filter) {
      var getValuePath = filter.getValuePath,
        id = filter.id;
      var uniqueValuesSet = new Set();
      data.forEach(function (item) {
        uniqueValuesSet.add(getValuePath(item));
      });
      filterOptionValues[id] = Array.from(uniqueValuesSet);
      defaultFilterValues[id] = ALL;
    });
    return {
      defaultFilterValues: defaultFilterValues,
      filterOptionValues: filterOptionValues
    };
  };
  // End of help functions

  var _getFilterOptionsAndV = getFilterOptionsAndValues(),
    defaultFilterValues = _getFilterOptionsAndV.defaultFilterValues,
    filterOptionValues = _getFilterOptionsAndV.filterOptionValues;
  var _useState = React.useState(defaultFilterValues),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    filterValues = _useState2[0],
    setFilterValues = _useState2[1];
  var handleChange = function handleChange(event) {
    var _event$target = event.target,
      id = _event$target.id,
      value = _event$target.value;

    // Only re-filter if the filter value has changed
    if (filterValues[id] !== value) {
      var newFilterValues = _objectSpread$7(_objectSpread$7({}, filterValues), {}, _defineProperty__default["default"]({}, id, value));
      setFilterValues(newFilterValues);
      setFilteredData(filterData(newFilterValues));
    }
  };
  return /*#__PURE__*/jsxRuntime.jsxs(ContainerFlex$1, {
    children: [label ? /*#__PURE__*/jsxRuntime.jsx("legend", {
      className: "py-2 pl-0 pr-4 font-semibold",
      children: label
    }) : null, filters.map(function (filter) {
      return /*#__PURE__*/jsxRuntime.jsxs("div", {
        className: "w-40 pr-4 mb-4",
        children: [/*#__PURE__*/jsxRuntime.jsx("label", {
          className: "sr-only",
          htmlFor: filter.id,
          children: filter.ariaLabel
        }), /*#__PURE__*/jsxRuntime.jsxs("select", {
          id: filter.id,
          name: filter.id,
          onBlur: handleChange,
          onChange: handleChange,
          children: [/*#__PURE__*/jsxRuntime.jsx("option", {
            value: ALL,
            children: filter.optionAllText
          }), filterOptionValues[filter.id].map(function (value) {
            return /*#__PURE__*/jsxRuntime.jsx("option", {
              value: value,
              children: filter.optionValueToText ? filter.optionValueToText(value) : value
            }, value);
          })]
        })]
      }, filter.id);
    })]
  });
};
TableFilters.defaultProps = {
  label: ''
};
TableFilters.propTypes = {
  data: PropTypes__default["default"].arrayOf(PropTypes__default["default"].object.isRequired).isRequired,
  filters: PropTypes__default["default"].arrayOf(PropTypes__default["default"].shape({
    ariaLabel: PropTypes__default["default"].string.isRequired,
    getValuePath: PropTypes__default["default"].func.isRequired,
    // The path to get the value from data
    id: PropTypes__default["default"].string.isRequired,
    optionAllText: PropTypes__default["default"].string.isRequired,
    optionValueToText: PropTypes__default["default"].func // If not present, use the value for option text
  }).isRequired).isRequired,
  label: PropTypes__default["default"].string,
  setFilteredData: PropTypes__default["default"].func.isRequired
};
var TableFilters$1 = TableFilters;

var _excluded$6 = ["data", "globalFilter", "i18n", "id", "setGlobalFilter"];
function ownKeys$6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$6(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$6(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var TableSearchFilter = function TableSearchFilter(_ref) {
  var data = _ref.data,
    globalFilter = _ref.globalFilter,
    i18n = _ref.i18n,
    id = _ref.id,
    setGlobalFilter = _ref.setGlobalFilter,
    rest = _objectWithoutProperties__default["default"](_ref, _excluded$6);
  // We don't want to use globalFilter for the input value for perf reasons
  var _useState = React.useState(globalFilter),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var handleChange = reactTable.useAsyncDebounce(function (formValue) {
    setGlobalFilter(formValue);
  }, 200);
  var tableFilterLabel = i18n.tableFilterLabel();
  var dataHash = hashSum__default["default"](data);
  var elementId = autoId.useId(id);
  React.useEffect(function () {
    if (value && !globalFilter) setGlobalFilter(value);
  }, [dataHash, globalFilter, setGlobalFilter, value]);
  return /*#__PURE__*/jsxRuntime.jsxs("div", _objectSpread$6(_objectSpread$6({}, rest), {}, {
    className: "mb-4",
    children: [/*#__PURE__*/jsxRuntime.jsx("label", {
      htmlFor: elementId,
      children: /*#__PURE__*/jsxRuntime.jsx("span", {
        className: "sr-only",
        children: tableFilterLabel
      })
    }), /*#__PURE__*/jsxRuntime.jsx("input", {
      className: "table-search-filter",
      id: elementId,
      name: id,
      onChange: function onChange(e) {
        setValue(e.target.value);
        handleChange(e.target.value);
      },
      placeholder: tableFilterLabel,
      type: "search",
      value: value
    })]
  }));
};
TableSearchFilter.defaultProps = {
  globalFilter: '',
  id: null
};
TableSearchFilter.propTypes = {
  data: PropTypes__default["default"].arrayOf(PropTypes__default["default"].shape({})).isRequired,
  globalFilter: PropTypes__default["default"].string,
  i18n: PropTypes__default["default"].shape({
    tableFilterLabel: PropTypes__default["default"].func.isRequired
  }).isRequired,
  id: PropTypes__default["default"].string,
  setGlobalFilter: PropTypes__default["default"].func.isRequired
};
var TableSearchFilter$1 = TableSearchFilter;

var _excluded$5 = ["HtmlTag", "alignItems", "capitalize", "children", "flex", "isLoading", "isLoadingScreenReaderText", "justifyContent"];
function ownKeys$5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$5(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$5(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var TextCell = function TextCell(_ref) {
  var HtmlTag = _ref.HtmlTag,
    alignItems = _ref.alignItems,
    capitalize = _ref.capitalize,
    children = _ref.children,
    flex = _ref.flex,
    isLoading = _ref.isLoading,
    isLoadingScreenReaderText = _ref.isLoadingScreenReaderText,
    justifyContent = _ref.justifyContent,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$5);
  if (isLoading) {
    return /*#__PURE__*/jsxRuntime.jsxs("div", {
      className: "leading-2 mr-8",
      role: "status",
      children: [/*#__PURE__*/jsxRuntime.jsx("span", {
        className: "sr-only",
        children: isLoadingScreenReaderText
      }), /*#__PURE__*/jsxRuntime.jsx(LoadingLine$1, {
        height: 6,
        width: "70%"
      }), /*#__PURE__*/jsxRuntime.jsx(LoadingLine$1, {
        height: 6
      })]
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx(HtmlTag, _objectSpread$5(_objectSpread$5({}, props), {}, {
    className: "".concat(flex ? 'flex' : '', " ").concat(alignItems, " ").concat(justifyContent, " ").concat(capitalize ? 'capitalize' : ''),
    children: children
  }));
};
TextCell.defaultProps = {
  alignItems: 'items-start',
  capitalize: false,
  flex: false,
  HtmlTag: 'span',
  isLoading: false,
  isLoadingScreenReaderText: 'Loading...',
  justifyContent: 'justify-start'
};
TextCell.propTypes = {
  HtmlTag: PropTypes__default["default"].string,
  alignItems: PropTypes__default["default"].oneOf(['items-baseline', 'items-center', 'items-end', 'items-start', 'items-stretch']),
  capitalize: PropTypes__default["default"].bool,
  children: PropTypes__default["default"].node.isRequired,
  flex: PropTypes__default["default"].bool,
  isLoading: PropTypes__default["default"].bool,
  isLoadingScreenReaderText: PropTypes__default["default"].string,
  justifyContent: PropTypes__default["default"].oneOf(['justify-around', 'justify-between', 'justify-center', 'justify-end', 'justify-evenly', 'justify-start'])
};
var TextCell$1 = TextCell;

var uniqueId = 0;
var useDeferCrumb = function useDeferCrumb() {
  var _useContext = React.useContext(BreadcrumbsContext$1),
    deferCrumb = _useContext.deferCrumb,
    resolveCrumb = _useContext.resolveCrumb;
  var ref = React.useRef(null);
  var getUniqueId = React.useCallback(function () {
    if (ref.current) {
      return ref.current;
    }
    uniqueId += 1;
    ref.current = uniqueId;
    return ref.current;
  }, []);
  var defer = React.useCallback(function () {
    var id = getUniqueId();
    deferCrumb(id);
    return id;
  }, [deferCrumb, getUniqueId]);
  var resolve = React.useCallback(function (id) {
    resolveCrumb(id);
  }, [resolveCrumb]);
  return {
    defer: defer,
    resolve: resolve
  };
};
var useDeferCrumb$1 = useDeferCrumb;

var TagCloseButton = function TagCloseButton(_ref) {
  var callback = _ref.callback,
    className = _ref.className;
  return /*#__PURE__*/jsxRuntime.jsx(ButtonBase$2, {
    "aria-label": "Close",
    className: "bg-opacity-0 border-opacity-0 leading-none ml-2 p-0 focus:shadow-none focus:border-cyan-3 hover:cursor-pointer hover:text-gray-7 ".concat(className),
    onClick: callback,
    children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
      icon: proSolidSvgIcons.faTimes
    })
  });
};
TagCloseButton.defaultProps = {
  className: ''
};
TagCloseButton.propTypes = {
  callback: PropTypes__default["default"].func.isRequired,
  className: PropTypes__default["default"].string
};
var TagCloseButton$1 = TagCloseButton;

var _excluded$4 = ["children", "onClose"];
function ownKeys$4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$4(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$4(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var colors = ['bg-blue-1', 'bg-cyan-2', 'bg-gray-2', 'bg-green-1', 'bg-orange-1', 'bg-orange-2', 'bg-purple-1', 'bg-purple-2', 'bg-red-1', 'bg-teal-2', 'bg-yellow-2', 'bg-yellow-3'];
var childrenToColor = function childrenToColor(children) {
  var pos = parseInt(hashSum__default["default"](children), 16);
  var color = colors[pos % colors.length];
  return "".concat(color, " text-gray-6");
};
var RandomColorTag = function RandomColorTag(_ref) {
  var children = _ref.children,
    onClose = _ref.onClose,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$4);
  return /*#__PURE__*/jsxRuntime.jsxs("span", _objectSpread$4(_objectSpread$4({}, props), {}, {
    className: "tag inline-flex flex-row items-center justify-center rounded ".concat(childrenToColor(children)),
    children: [/*#__PURE__*/jsxRuntime.jsx("span", {
      className: "tag-truncated text-ellipsis overflow-hidden whitespace-nowrap",
      title: children,
      children: children
    }), onClose && /*#__PURE__*/jsxRuntime.jsx(TagCloseButton$1, {
      callback: onClose,
      className: "text-gray-3"
    })]
  }));
};
RandomColorTag.defaultProps = {
  onClose: null
};
RandomColorTag.propTypes = {
  children: PropTypes__default["default"].string.isRequired,
  onClose: PropTypes__default["default"].func
};
var RandomColorTag$1 = RandomColorTag;

var _excluded$3 = ["children", "onClose", "palette", "type"];
function ownKeys$3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$3(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$3(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var defaultPalette = {
  "default": {
    button: 'text-white',
    tag: 'bg-gray-5 text-white'
  },
  info: {
    button: 'text-white',
    tag: 'bg-blue-3 text-white'
  },
  success: {
    button: 'text-white',
    tag: 'bg-green-3 text-white'
  },
  warning: {
    button: 'text-orange-5',
    tag: 'bg-orange-3 text-orange-5'
  },
  danger: {
    button: 'text-white',
    tag: 'bg-red-4 text-white'
  },
  secondary: {
    button: 'text-white',
    tag: 'bg-cyan-4 text-white'
  },
  pantheor: {
    button: 'text-white',
    tag: 'bg-purple-3 text-white'
  }
};
var subtlePalette = {
  "default": {
    button: 'text-gray-5',
    tag: 'bg-gray-2 text-gray-5'
  },
  info: {
    button: 'text-blue-4',
    tag: 'bg-blue-1 text-blue-4'
  },
  success: {
    button: 'color-green-4',
    tag: 'bg-green-1 color-green-4'
  },
  warning: {
    button: 'text-orange-5',
    tag: 'bg-orange-1 text-orange-5'
  },
  danger: {
    button: 'text-red-4',
    tag: 'bg-red-1 text-red-4'
  },
  secondary: {
    button: 'text-cyan-5',
    tag: 'bg-cyan-1 text-cyan-5'
  },
  pantheor: {
    button: 'text-purple-4',
    tag: 'bg-purple-1 text-purple-4'
  }
};
var palettes = {
  "default": defaultPalette,
  subtle: subtlePalette
};

// Use keys from default palette for props validation
var TAG_TYPES = Object.keys(palettes["default"]);
var TagBase = function TagBase(_ref) {
  var children = _ref.children,
    onClose = _ref.onClose,
    palette = _ref.palette,
    type = _ref.type,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$3);
  return /*#__PURE__*/jsxRuntime.jsxs("span", _objectSpread$3(_objectSpread$3({}, props), {}, {
    className: "tag inline-flex flex-row items-center justify-center rounded ".concat(palettes[palette][type].tag),
    children: [/*#__PURE__*/jsxRuntime.jsx("span", {
      className: "tag-truncated text-ellipsis overflow-hidden whitespace-nowrap",
      title: children,
      children: children
    }), onClose && /*#__PURE__*/jsxRuntime.jsx(TagCloseButton$1, {
      callback: onClose,
      className: palettes[palette][type].button
    })]
  }));
};
TagBase.defaultProps = {
  onClose: null
};
TagBase.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  onClose: PropTypes__default["default"].func,
  palette: PropTypes__default["default"].oneOf(Object.keys(palettes)).isRequired,
  type: PropTypes__default["default"].oneOf(TAG_TYPES).isRequired
};
var Tag = function Tag(props) {
  return /*#__PURE__*/jsxRuntime.jsx(TagBase, _objectSpread$3({
    palette: "default"
  }, props));
};
var TagSubtle = function TagSubtle(props) {
  return /*#__PURE__*/jsxRuntime.jsx(TagBase, _objectSpread$3({
    palette: "subtle"
  }, props));
};
var defaultProps = {
  type: 'default'
};
var propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  type: PropTypes__default["default"].oneOf(TAG_TYPES)
};
Tag.defaultProps = defaultProps;
Tag.propTypes = propTypes;
TagSubtle.defaultProps = defaultProps;
TagSubtle.propTypes = propTypes;

var basicTallyStyles = 'rounded-4xl py-0.5 px-2 font-semibold text-sm';
var typeStyles = {
  "default": 'text-white bg-gray-5',
  danger: 'text-white bg-red-3',
  info: 'text-white bg-blue-3',
  success: 'text-white bg-green-3',
  warning: 'text-orange-5 bg-orange-3'
};
var Tally = function Tally(_ref) {
  var children = _ref.children,
    type = _ref.type;
  return /*#__PURE__*/jsxRuntime.jsx("span", {
    className: "".concat(basicTallyStyles, " ").concat(typeStyles[type]),
    children: children
  });
};
Tally.propTypes = {
  /**
   * The content within the tally. Usually a number.
   */
  children: PropTypes__default["default"].node.isRequired,
  /**
   * Tally type. Choose one of the following:
   */
  type: PropTypes__default["default"].oneOf(Object.keys(typeStyles))
};
Tally.defaultProps = {
  type: 'default'
};
var Tally$1 = Tally;

var TallyInlineGroup = function TallyInlineGroup(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "tally-inline-group",
    children: children
  });
};
TallyInlineGroup.propTypes = {
  children: PropTypes__default["default"].node.isRequired
};
var TallyInlineGroup$1 = TallyInlineGroup;

var Switch = function Switch(_ref) {
  var disabled = _ref.disabled,
    falseLabel = _ref.falseLabel,
    field = _ref.field,
    humanName = _ref.humanName,
    initialValue = _ref.initialValue,
    trueLabel = _ref.trueLabel;
  var _useState = React.useState(initialValue),
    _useState2 = _slicedToArray__default["default"](_useState, 2),
    isChecked = _useState2[0],
    setIsChecked = _useState2[1];
  return /*#__PURE__*/jsxRuntime.jsxs("fieldset", {
    disabled: disabled,
    children: [/*#__PURE__*/jsxRuntime.jsx("legend", {
      className: "sr-only",
      children: humanName
    }), /*#__PURE__*/jsxRuntime.jsx(informed.Checkbox, {
      className: "switch-checkbox absolute opacity-0",
      field: field,
      id: field,
      initialValue: initialValue,
      onValueChange: setIsChecked
    }), /*#__PURE__*/jsxRuntime.jsx("label", {
      className: "switch text-gray-4 cursor-pointer font-normal pl-14 relative ".concat(isChecked ? 'is-checked' : ''),
      htmlFor: field,
      children: isChecked ? trueLabel : falseLabel
    })]
  });
};
Switch.defaultProps = {
  disabled: false,
  initialValue: false
};
Switch.propTypes = {
  disabled: PropTypes__default["default"].bool,
  falseLabel: PropTypes__default["default"].string.isRequired,
  field: PropTypes__default["default"].string.isRequired,
  humanName: PropTypes__default["default"].string.isRequired,
  initialValue: PropTypes__default["default"].bool,
  trueLabel: PropTypes__default["default"].string.isRequired
};
var Switch$1 = Switch;

var ToggleBase = function ToggleBase(_ref) {
  var children = _ref.children,
    className = _ref.className,
    disabled = _ref.disabled,
    humanName = _ref.humanName,
    id = _ref.id;
  var childrenWithId = React__default["default"].Children.map(children, function (child) {
    return /*#__PURE__*/React__default["default"].cloneElement(child, {
      groupId: id
    });
  });
  return /*#__PURE__*/jsxRuntime.jsxs("fieldset", {
    className: className,
    disabled: disabled,
    children: [/*#__PURE__*/jsxRuntime.jsx("legend", {
      className: "sr-only",
      children: humanName
    }), /*#__PURE__*/jsxRuntime.jsx(informed.RadioGroup, {
      disabled: disabled,
      field: id,
      children: childrenWithId
    })]
  });
};
ToggleBase.defaultProps = {
  className: '',
  disabled: false
};
ToggleBase.propTypes = {
  children: PropTypes__default["default"].arrayOf(PropTypes__default["default"].node).isRequired,
  className: PropTypes__default["default"].string,
  disabled: PropTypes__default["default"].bool,
  humanName: PropTypes__default["default"].string.isRequired,
  id: PropTypes__default["default"].string.isRequired
};
var ToggleBase$1 = ToggleBase;

var _excluded$2 = ["children"];
function ownKeys$2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$2(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$2(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ToggleButton = function ToggleButton(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$2);
  return /*#__PURE__*/jsxRuntime.jsx(ToggleBase$1, _objectSpread$2(_objectSpread$2({
    className: "toggle-button bg-gray-2 text-gray-6 inline-block rounded overflow-hidden"
  }, props), {}, {
    children: children
  }));
};
ToggleButton.propTypes = {
  children: PropTypes__default["default"].arrayOf(PropTypes__default["default"].node).isRequired
};
var ToggleButton$1 = ToggleButton;

var ToggleOption = function ToggleOption(_ref) {
  var children = _ref.children,
    disabled = _ref.disabled,
    id = _ref.id,
    isDefault = _ref.isDefault,
    groupId = _ref.groupId,
    value = _ref.value;
  var fieldApi = informed.useFieldApi(groupId);
  var elementId = autoId.useId(id);
  React.useEffect(function () {
    if (isDefault) {
      fieldApi.setValue(value);
    }
  }, [fieldApi, isDefault, value]);
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    children: [/*#__PURE__*/jsxRuntime.jsx(informed.Radio, {
      disabled: disabled,
      id: elementId,
      value: value
    }), /*#__PURE__*/jsxRuntime.jsx("label", {
      htmlFor: elementId,
      children: children
    })]
  });
};
ToggleOption.defaultProps = {
  disabled: false,
  groupId: '',
  id: null,
  isDefault: false
};
ToggleOption.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  groupId: PropTypes__default["default"].string,
  id: PropTypes__default["default"].string,
  isDefault: PropTypes__default["default"].bool,
  value: PropTypes__default["default"].string.isRequired
};
var ToggleOption$1 = ToggleOption;

var _excluded$1 = ["children"];
function ownKeys$1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread$1(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys$1(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys$1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var ToggleSlider = function ToggleSlider(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties__default["default"](_ref, _excluded$1);
  return /*#__PURE__*/jsxRuntime.jsx(ToggleBase$1, _objectSpread$1(_objectSpread$1({
    className: "toggle-slider bg-gray-2 rounded-4xl text-gray-6 inline-block overflow-hidden"
  }, props), {}, {
    children: children
  }));
};
ToggleSlider.propTypes = {
  children: PropTypes__default["default"].arrayOf(PropTypes__default["default"].node).isRequired
};
var ToggleSlider$1 = ToggleSlider;

var TooltipQuestion = function TooltipQuestion(_ref) {
  var label = _ref.label;
  return /*#__PURE__*/jsxRuntime.jsx(Tippy__default["default"], {
    animation: "fade",
    arrow: true,
    content: label,
    interactive: true,
    placement: "bottom",
    children: /*#__PURE__*/jsxRuntime.jsx("span", {
      className: "inline-block text-gray-4 focus:text-gray-6 hover:text-gray-6",
      "data-testid": "tooltip-span",
      tabIndex: "0",
      children: /*#__PURE__*/jsxRuntime.jsx(Icon$1, {
        icon: proSolidSvgIcons.faQuestionCircle
      })
    })
  });
};
TooltipQuestion.propTypes = {
  /**
   * Text within tooltip.
   */
  label: PropTypes__default["default"].string.isRequired
};
var TooltipQuestion$1 = TooltipQuestion;

var Tooltip = function Tooltip(_ref) {
  var children = _ref.children,
    label = _ref.label;
  return /*#__PURE__*/jsxRuntime.jsx(Tippy__default["default"], {
    animation: "fade",
    arrow: true,
    content: label,
    interactive: true,
    placement: "bottom",
    children: /*#__PURE__*/jsxRuntime.jsx("span", {
      className: "inline-block text-gray-4 focus:text-gray-6 hover:text-gray-6",
      "data-testid": "tooltip-span",
      tabIndex: "0",
      children: children
    })
  });
};
Tooltip.propTypes = {
  /**
   * Tooltip trigger. Icon to hover or focus on to show tooltip.
   */
  children: DTIcon.isRequired,
  /**
   * Text within tooltip.
   */
  label: PropTypes__default["default"].string.isRequired
};
var Tooltip$1 = Tooltip;

var _excluded = ["isSelected", "children"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var Tab = function Tab(props) {
  var isSelected = props.isSelected,
    children = props.children,
    rest = _objectWithoutProperties__default["default"](props, _excluded);
  var selectedStyles = 'border-b-blue-3 border-b-4 text-blue-3';
  var unselectedStyles = 'border-b-gray-2 border-b-2 font-normal';
  return /*#__PURE__*/jsxRuntime.jsx(tabs.Tab, _objectSpread(_objectSpread({
    className: "cursor-pointer border-t-0 border-l-0 border-r-0 rounded-none px-4 py-2 focus:shadow-none ".concat(isSelected ? selectedStyles : unselectedStyles)
  }, rest), {}, {
    children: children
  }));
};
Tab.defaultProps = {
  isSelected: false
};
Tab.propTypes = {
  children: PropTypes__default["default"].oneOfType([PropTypes__default["default"].node, PropTypes__default["default"].arrayOf(PropTypes__default["default"].node)]).isRequired,
  isSelected: PropTypes__default["default"].bool
};
var Tab$1 = Tab;

Object.defineProperty(exports, 'Menu', {
  enumerable: true,
  get: function () { return menuButton.Menu; }
});
Object.defineProperty(exports, 'MenuItem', {
  enumerable: true,
  get: function () { return menuButton.MenuItem; }
});
Object.defineProperty(exports, 'MenuLink', {
  enumerable: true,
  get: function () { return menuButton.MenuLink; }
});
Object.defineProperty(exports, 'TabList', {
  enumerable: true,
  get: function () { return tabs.TabList; }
});
Object.defineProperty(exports, 'TabPanel', {
  enumerable: true,
  get: function () { return tabs.TabPanel; }
});
Object.defineProperty(exports, 'TabPanels', {
  enumerable: true,
  get: function () { return tabs.TabPanels; }
});
Object.defineProperty(exports, 'Tabs', {
  enumerable: true,
  get: function () { return tabs.Tabs; }
});
exports.ActionPanel = ActionPanel$1;
exports.Alert = Alert$1;
exports.AlertAnimated = AlertAnimated$1;
exports.Announcement = Announcement;
exports.Avatar = Avatar$1;
exports.AvatarTeam = AvatarTeam;
exports.Breadcrumbs = Breadcrumbs$1;
exports.BreadcrumbsProvider = BreadCrumbsProvider$1;
exports.Button = Button$3;
exports.ButtonDanger = ButtonDanger;
exports.ButtonGroup = ButtonGroup$1;
exports.ButtonPrimary = ButtonPrimary;
exports.ButtonSecondary = ButtonSecondary;
exports.ButtonSplit = ButtonSplit$1;
exports.ButtonSubtle = ButtonSubtle;
exports.ButtonTable = ButtonTable;
exports.ButtonTertiary = ButtonTertiary;
exports.ButtonWarning = ButtonWarning;
exports.CSVExporter = CSVExporter$1;
exports.Card = Card$1;
exports.CardContent = CardContent$1;
exports.CardFooter = CardFooter$1;
exports.CardGridTemplate = CardGridTemplate$1;
exports.CardImage = CardImage$1;
exports.CardSelectGroup = CardSelectGroup$1;
exports.CardSelectRadio = CardSelectRadio$1;
exports.ClipboardButton = ClipboardButton$1;
exports.CloseButton = CloseButton$1;
exports.Code = Code$1;
exports.CodeBlock = CodeBlock$1;
exports.CodeInline = CodeInline$1;
exports.Combobox = Combobox$1;
exports.Container = Container$2;
exports.ContainerFlex = ContainerFlex$1;
exports.ContextPanel = ContextPanel$1;
exports.CustomCheckbox = CustomCheckbox$1;
exports.CustomRadio = CustomRadio$1;
exports.CustomTextArea = CustomTextArea$1;
exports.DropdownButton = DropdownButton$1;
exports.DropdownMenu = DropdownMenu$1;
exports.ExpandableBlock = ExpandableBlock$1;
exports.ExpandableContent = ExpandableContent$1;
exports.ExpandableSectionHeader = ExpandableSectionHeader$1;
exports.Filter = Filter$1;
exports.FilterCategory = FilterCategory$1;
exports.FilterItem = FilterItem$1;
exports.FlexContent = FlexContent$1;
exports.FormGroup = FormGroup$1;
exports.GlobalPrimary = GlobalPrimary$1;
exports.GlobalPrimaryContextButton = GlobalPrimaryContextButton$1;
exports.GlobalPrimaryDropdownButton = GlobalPrimaryDropdownButton$1;
exports.GlobalPrimaryDropdownMenu = GlobalPrimaryDropdownMenu$1;
exports.GlobalPrimaryLink = GlobalPrimaryLink$1;
exports.GlobalSecondary = GlobalSecondary$1;
exports.GlobalSecondarySubNav = GlobalSecondarySubNav$1;
exports.HX = HX$1;
exports.Header = Header$1;
exports.HeadingContent = HeadingContent$1;
exports.HeroTemplate = HeroTemplate$1;
exports.HorizontalContentContainer = HorizontalContentContainer$1;
exports.HorizontalEmptyStateTemplate = HorizontalEmptyStateTemplate$1;
exports.Icon = Icon$1;
exports.IconDropdownButton = IconDropdownButton$1;
exports.IconList = IconList;
exports.IconListItem = IconListItem;
exports.IndeterminateCheckbox = IndeterminateCheckbox$1;
exports.InputGroup = InputGroup$1;
exports.LeftColumnContent = LeftColumnContent$1;
exports.LinkButton = LinkButton$1;
exports.LinkButtonBitbucket = LinkButtonBitbucket;
exports.LinkButtonGitHub = LinkButtonGitHub;
exports.LinkButtonGitLab = LinkButtonGitLab;
exports.LinkButtonPrimary = LinkButtonPrimary;
exports.LinkButtonSecondary = LinkButtonSecondary;
exports.LinkButtonSubtle = LinkButtonSubtle;
exports.LinkButtonTertiary = LinkButtonTertiary;
exports.LinkNewWindow = LinkNewWindow$1;
exports.ListFilter = ListFilter$1;
exports.ListStepped = ListStepped;
exports.ListUnstyled = ListUnstyled;
exports.LoadingBase = LoadingBase$1;
exports.LoadingCircle = LoadingCircle$1;
exports.LoadingLine = LoadingLine$1;
exports.Markdown = MD$1;
exports.MeatballDropdownButton = MeatballDropdownButton$1;
exports.MediaBody = MediaBody$1;
exports.MediaObject = MediaObject$1;
exports.MenuButton = MenuButton$1;
exports.MenuHeading = MenuHeading$1;
exports.Modal = Modal$1;
exports.ModalConfirmationForm = ModalConfirmationForm$1;
exports.ModalContent = ModalContent$1;
exports.ModalContext = ModalContext$1;
exports.ModalHeader = ModalHeader$1;
exports.NavItem = NavItem$1;
exports.NavLink = NavLink$1;
exports.PaddedCard = PaddedCard$1;
exports.PaddedCardGroup = PaddedCardGroup$1;
exports.PaginationTable = PaginationTable$1;
exports.Panel = Panel$1;
exports.PanelGroup = PanelGroup$1;
exports.PanelHeader = PanelHeader$1;
exports.PanelLarge = PanelLarge$1;
exports.PanelPaddingBuster = PanelPaddingBuster$1;
exports.PanelTitle = PanelTitle$1;
exports.PasswordInput = PasswordInput$1;
exports.ProgressBar = ProgressBar$1;
exports.ProgressCircle = ProgressCircle$1;
exports.RandomColorTag = RandomColorTag$1;
exports.RouterLinkButton = RouterLinkButton$1;
exports.RouterLinkButtonPrimary = RouterLinkButtonPrimary;
exports.RouterLinkButtonSecondary = RouterLinkButtonSecondary;
exports.RouterLinkButtonSubtle = RouterLinkButtonSubtle;
exports.RouterLinkButtonTertiary = RouterLinkButtonTertiary;
exports.SelectAllCheckbox = SelectAllCheckbox$1;
exports.SelectAllGroup = SelectAllGroup$1;
exports.SelectField = SelectField$1;
exports.SideNavigation = SideNavigation$1;
exports.SideNavigationGroup = SideNavigationGroup$1;
exports.SideNavigationMenu = SideNavigationMenu$1;
exports.SideNavigationTemplate = SideNavigationTemplate$1;
exports.SmallTable = SmallTable$1;
exports.SplitButton = SplitButton$1;
exports.StatusIndicator = StatusIndicator$1;
exports.StepGate = StepGate$1;
exports.Stepper = Stepper$1;
exports.StepperProgress = StepperProgress$1;
exports.StickyHeader = StickyHeader$1;
exports.SubmitButton = SubmitButton$1;
exports.SubmitButtonDanger = SubmitButtonDanger;
exports.SubmitButtonPrimary = SubmitButtonPrimary;
exports.SubmitButtonSecondary = SubmitButtonSecondary;
exports.Switch = Switch$1;
exports.Tab = Tab$1;
exports.Table = Table$1;
exports.TableFilters = TableFilters$1;
exports.TableSearchFilter = TableSearchFilter$1;
exports.Tag = Tag;
exports.TagSubtle = TagSubtle;
exports.Tally = Tally$1;
exports.TallyInlineGroup = TallyInlineGroup$1;
exports.TextAreaAutosize = TextAreaAutosize$1;
exports.TextCell = TextCell$1;
exports.TextInput = TextInput$1;
exports.Toast = Toast$1;
exports.Toaster = Toaster$1;
exports.ToggleButton = ToggleButton$1;
exports.ToggleOption = ToggleOption$1;
exports.ToggleSlider = ToggleSlider$1;
exports.Tooltip = Tooltip$1;
exports.TooltipQuestion = TooltipQuestion$1;
exports.UtilityNavigation = UtilityNavigation$1;
exports.UtilityNavigationHeading = UtlityNavigationHeading$1;
exports.UtilityNavigationMenu = UtlityNavigationMenu$1;
exports.VerticalEmptyStateTemplate = VerticalEmptyStateTemplate$1;
exports.toolkitColors = colors$2;
exports.useClipboard = useClipboard$1;
exports.useDeferCrumb = useDeferCrumb$1;
exports.usePaginationTable = usePaginationTable$1;
exports.usePaginationTableWithSearch = usePaginationTableWithSearch$1;
exports.useRowSelectPaginationTableWithSearch = useRowSelectPaginationTableWithSearch$1;
exports.useRowSelectTable = useRowSelectTable$1;
exports.useSortTable = useSortTable$1;
exports.useStandardTable = useStandardTable$1;
exports.useStepApi = useStepApi$1;
exports.useStepGateState = useStepGateState$1;
exports.useStepState = useStepState$1;
exports.useStepperApi = useStepperApi$1;
exports.useStepperState = useStepperState$1;
exports.useToast = useToast;
exports.withBreadcrumb = withBreadcrumb$1;
exports.zIndexLayers = zIndex;
//# sourceMappingURL=design-toolkit.cjs.js.map
